"Las Reliquias de Tolti Aph" by Graham Nelson.

[Traducido por El Clérigo Urbatain, con el apoyo técnico de Sarganar, la edición literaria de Melitón y el maquetado profesional de Grendel Khan.]

Include Spanish by Sebastian Arg.
Include Basic Screen Effects by Emily Short.

[ Algunos comentaristas de ficción interactiva sugieren que esta se originó directamente de la invención de los juegos de rol en los años 70, cuando los juegos de guerra de mesa del siglo diecinueve colisionaron con el potente culto a J. R. R. Tolkien en los campus universitarios Americanos. Realmente es cierto que Will Crowther, co-autor del generalmente estimado como el verdadero primer trabajo de FI (Ficción Interactiva), había sido un temprano jugador de prototipo de juego de rol de E. Gary Gygax y Dave Anderson: "Dungeons and Dragons: Rules for Fantastic Medieval Wargames Campaigns Playable with Paper and Pencil and Miniature Figures (1974) ("Dragones y Mazmorras: Reglas para Juegos de Guerra en Campañas Medievales de Fantasía Jugables con Papel y Lápiz y Figuras en Miniatura"), luego, más abreviado, sólo D&D. Por otro lado, sorprendentemente, pocos autores de ACs en los últimos treinta años han adoptados estilos de juego que se asemejen lo más posible a los RPGs; y el mantenimiento de los libros, la aletoriedad, la naturaleza simulacionista, el volumen de detalle y los finales abiertos implicados por una "campaña" hacen que la implementación de un RPG en ficción interactiva sea todo un réto técnico. Así que eso es lo que vamos a hacer: o al menos trabajaremos sobre un sistema de reglas suficientemente parecidas a un RPG para demostrar la posibilidad.]

The story description is "Se suele decir que hay dos tipos de usuarios de magia: aquellos que han estado en Tolti-Aph, y charlatanes. Se suele entender por lo general que un intento de probarse a uno mismo en nuestra implacable sociedad de Tolti-Aph era buscar un avance rápido de nivel, o bien románticamente, la muerte de un joven-mago-demacrado-de-túnica-oscura-como-la-medianoche. Cuanto más te acercas a la isla selvática vagamente marcada como 'Tholtaff' en el globo de ágate del estudio de tu tátara-tátara-abuelo, mejor suena la alternativa: instalarte en cualquier villa con mar, quizás, un poco de magiadeltiempo, algo de polimancia, y ayudar con las redes tras una mala tormenta. Retirarse quizás en el nivel 3, con la mayoría de tus puntos de experiencia ganados a base de observar raros envenenamientos derivados de los peces, que se llevan a los aldeanos despreocupados por la higiene en el destripe. Publicar una increíblemente tediosa monografía sobre el uso correcto del hechizo 'desenredar aparejo'. Ya sabes, la buena vida."

The story creation year is 2005.

Release along with cover art, the source text, a website and a file of "revista Collegio" called "Collegio_es.pdf".

Omit everything from the debugging log.

Part I - Mecánica de un Juego de Rol Sencillo

The story headline is "Un escenario W&W". [* W&W es "Woodpulp y Wyverns" (NT: que se podría traducir como "Pulpa de madera y Guivernos"), el nombre de nuestro RPG imaginario, el cual será una mezcla simplificada de ingredientes de varios libros de reglas de los 70: además de D&D, debemos mencionar "Tunnels and Trolls" (Túneles y Trolls) por Ken St Andre (nombre loco, tipo loco).] The story genre is "Fantasy". Use full-length room descriptions[ and memory economy][* Los juegos de W&W usan montones y montones de tablas, y apenas cabe en la máquina Z. Nota del Traductor: Es más, el Español ocupa más que el Inglés, así que este juego finalmente en su versión Española ha tenido que echar mano de Glulx, ya que no cabe de ninguna manera en z8, ni siquiera usando el memory economy, por tanto lo he quitado de la compilación final.].

Understand "ayuda" or "pista" or "pistas" or "acerca" or "acerca de" as calling for help. Calling for help is an action out of world applying to nothing. Carry out calling for help:
	say "(Este juego funciona de acuerdo a unas reglas de un juego de rol simplificado que llamaremos Woodpulp & Wyverns, o W&W. El protagonista es un usuario de magia, cuya principal habilidad es lanzar hechizos. No andamos en busca de riquezas sino de experiencia: consiguiendo puntos de experiencia, el protagonista podrá progresar subiendo de 'nivel': el comando PUNTOS muestra esto. Un INVENTARIO (o I) lista los hechizos que conoces además de los objetos portados.

La fuerza de uno, FUE, será reducida tanto por lanzar hechizos como por ser herido, y - especialmente al principio - es importante economizar esto cuidadosamente: aunque los medios de restaurarla también pueden ser encontrados. Probablmente costará varias partidas lograr las mejores tácticas para jugar. Tolti-Aph no es un lugar seguro, así que espera ser matado una y otra vez (por ejemplo: con terrible frecuencia).

A W&W se juega de forma diferente a la ficción interactiva convencional en cuanto a que un gran componente del juego es el comportamiento aleatorio. Notaciones cómo 4d6+2 expresan las veces que el dado (virtual) debe de lanzarse: esta implica lanzar 4 dados de seis caras, y luego añadir 2 al resultado. El combate es una especie de negocio imprevisible, pero nota que uno puede habitualmente huir de una lucha que está llendo mal.

Es posible meterse en luchas insanamente difíciles, o correr riesgos con una pérdida de fuerza apabullante, donde podrías tener suerte, pero nueve de cada diez veces morirás. Estos momentos son una señal de que nos hemos perdido algo. El diseñador intenta que un jugador de ACs suficientemente ingenioso pueda vencer incluso con la peor de las suertes. Aún así, con la vida y la muerte pendientes de un dado lanzado, el comando UNDO ha sido eliminado. GUARDAR la partida está permitido, pero un temprano puzzle muy importante sirve para averiguar cómo hacerlo.

Finalmente, este es uno de los trabajos ejemplo cuyo código fuente se incluye en la documentación completa de Inform 7, un sistema para crear ficción interactiva. Casi el primer cuarto del fuente contiene las reglas para jugar a W&W, y pueden ser extraidas para escribir nuevos escenarios de W&W.)

Unas notas adicionales por parte del traductor están disponibles con el comando NOTAS."

Understand "notas" or "nt" as calling for notas. Calling for notas is an action out of world applying to nothing. Carry out calling for notas:
	say "[line break]Notas del traductor: (Debido a diferencias idiomáticas de gramática entre el Inglés y el Castellano, puede haber algo de confusión a la hora de expresarse para lanzar hechizos. La orden correcta para hechizar es CONJURAR <nombre de hechizo> SOBRE <destino>. También se admite el verbo LANZAR <hechizo>. Además se proporciona una forma abreviaba de lanzar conjuros que consiste en teclear sólo el nombre del hechizo, por ejemplo: DETECTAR TRAMPA. Pero esto puede llevar a confusión pensando que un verbo asociado al nombre de un hechizo se pueda usar normalmente, y esto no es correcto, de forma que una orden como CONOCER NATURALEZA DE LA DAGA, no es correcto sino que habría que teclear LANZAR CONOCER NATURALEZA SOBRE LA DAGA; o de forma abreviada CONOCER NATURALEZA SOBRE DAGA. Esto es, los hechizos NO son acciones o verbos, son NOMBRES de hechizos y no sirven para construir frases como si fuesen verbos. Lo mismo pasará con el hechizo MEMORIZAR, recuerda que los hechizos se lanzan sobre objetos físicos, por tanto la orden exacta es LANZAR MEMORIZAR SOBRE PERGAMINO ANOTADO, por ejemplo, y no MEMORIZAR ESCUDO AEREO, el cual no funcionará, hay que lanzar memorizar siempre sobre los pergaminos, no sobre los hechizos que contienen. Si en algún momento sientes que el parser no entiende tus hechizos, usa la forma correcta y elaborada de CONJURAR <hechizo> SOBRE <objeto>, gracias.

Además a la hora de comunicarse con los personajes, se usa la notación tradicional de infocom que es PREGUNTAR A <persona> SOBRE <tema> y RESPONDER o DECIR. El problema viene de que tratarás naturalmente de poner artículos en los temas, pero el parseado será estricto y el juego no te entenderá ya que los temas están codificados por simplicidad sin los artículos. Por tanto no uses artículos en los temas. Por ejemplo: PREGUNTA AL PROFESOR SOBRE EL LIBRO DE HECHIZOS, no será entendido para nada, la forma correcta sería: PREGUNTA AL PROFESOR SOBRE LIBRO DE HECHIZOS. De todas formas mi recomendación es que uses una forma muy abreviada para expresarte: DECIR LIBRO sin usar ningún tipo de artículo; y eso servirá para realizar la pregunta correcta sobre el tema en cuestión. Disculpen las molestias.

Teclea CREDITOS para más información sobre la fuerza humana tras esta traducción.)". [* NT: El código fuente tendrá comentarios precedidos de NT que significa Nota del Traductor, cuando tenga que añadir algo por mi parte referente a la traducción o a las idiosincracias de Inform 7 en Español.]

Understand "creditos" as calling for credits. Calling for credits is an action out of world applying to nothing. Carry out calling for credits:
	say "(Créditos de la versión en Castellano:

Traducida por El Clérigo Urbatain con permiso del autor. Publicada en diciembre del 2008. Con la ayuda técnica de Sarganar, la edición literaria por parte de Mel Hython, y el testeo laborioso de Al-kwarizmi y Grendel Khan. Edición del PDF por Grendel Khan.

Comenzó por una iniciativa de Sarganar, que quería traducir sólo el sistema de rol y el laberinto para usarlos en sus maquinaciones experimentales sobre aventuras multijugador, me pidió ayuda y le dije '¡Sí claro que te lo traduzco!,' estaba deseando un encargo de este tipo, 'pero yo voy a traducir el juego entero'. Dos semanas después ya tenía todo la aventura traducida. Pero eso no es suficiente, parece ser que uno mientras más lee en Inglés menos es capaz de expresarse correctamente en su idioma natal, con lo cual hizo falta un mes adicional de revisión del texto con el inefable ojo crítico de Mel Hython. Más dos semanas más de testeo.)

Esta versión de 'Las Reliquias de Tolti Aph' hace uso de un mínimo hack incorporado por Eliuk Blau para aprovechar el mecanismo de aceleración de rutinas del veneer de Inform 7 y que se ejecute con mayor velocidad en cualquier intérprete de Glulx preparado para ello."

Chapter 1 - Fundamentos

Section 1(a) - Substancia

A material is a kind of value. The materials are piedra, madera, papel, madera imbuida de magia, metal, arcilla, carne, sustento and aire.[* La idea de que algo esté hecho de aire causó algo de controveria cuando el juego fue testado, particularmente cuando además eran el material de cuerpos de agua tales como el Icefinger River. Al final, puse una especie de explicación en la parodia de revista que acompaña al juego.] A thing has a material. Things are usually piedra. People are usually carne.

Substance relates a thing (called the item) to a material (called the stuff) when the material of the item is the stuff. The verb to be made of implies the substance relation.

[La frase verbal"to be made of" (hecho de) es tan sólo un atajo de él mismo, pero nuestra principal ambición es escribir un código fuente que parezca como prosa normal en Inglés - creemos que será más entendible, y más propenso a funcionar por primera vez, si se lee de forma natural.]

Section 1(b) - El dado

A die roll is a kind of value. 3d20+9 specifies a die roll[* Los RPGs son juegos de azar además de juegos de habilidad, y el hecho de lanzar un dado forma tanto parte de la experiencia como el resultado aleatorio. Los poliedros de cuatro, seis, ocho, diez, veinte, e incluso cien caras omnipresentes en los RPGs son placenteramente exóticos en la palma de la mano, pero además permiten un ámplio rango de distribuciones aleatorias. W&W usa la notación tradicional para ese tipo de dados (que han evolucionado junto con las reglas de D&D mientras se reimprimían sucesivamente, pero que llegaron a un estandar sobre 1980): "3d6+2" significa que debemos tirar tres dados de seis caras, sumar los resultados, y añadir 2.] with parts dice, sides (without leading zeros), adds (without leading zeros, optional, preamble optional).[* La naturaleza opcional de la parte de añadido de tirar dado significa que "2d4", por ejemplo, es también una forma legal. De nuevo, esta es una conveción que imita las tablas que aparecen impresas en los libros de reglas de un RPG. Lo que Inform significa con el preámbulo de las partes añadidas es el signo más: si este no ha sido especificado como opcional, "2d4+" sería legal.]

To decide which number is roll of (dr - a die roll):
	let the total be the adds part of dr;
	say "[dr]: ";
	repeat with counter running from 1 to the dice part of dr
	begin;
		let the roll be a random number from 1 to the sides part of dr;
		if the counter is not 1, say ",";
		say the roll;
		increase the total by the roll;
	end repeat;
	if the adds part of dr is 0 and the dice part of dr is 1, decide on the total;
	if the adds part of dr is not 0, say "+", adds part of dr;
	say "=", total;
	decide on the total.

Test rolling is an action out of world applying to one die roll. Understand "juega [die roll]" as test rolling. Carry out test rolling: say "Para tu propia diversión, lanzas un "; let the result be the roll of the die roll understood; say ", obteniendo [result in words]." [* Hemos añadido el verbo sin sentido "jugar dado" como una inofensiva conveniencia para testear que las tiradas de dados funcionan: Si el jugador escribe  "JUGAR DADO 3D6+2", el juego debería responder "Para tu propia diversión, lanzas un 3d6+2: 2,5,4+2=13, obteniendo trece."]

Understand "juega dado [die roll]" as test rolling.
Understand "lanza dado [die roll]" as test rolling.
Include (-VerboIrregular "jugar" with imperativo 'juega';-). [* NT: No existe manera actual de definir un verbo irregular en español con I7, así que se tiene que recurrir a este apaño, que es una llamada al viejo inform 6, donde infsp sí que tiene esa construcción para definir los irregulares, deberás usarlo así en tus propios juegos.]

Section 1(c) - Porcentajes

A percentage is a kind of value. 100% specifies a percentage with parts parts per hundred.[* Esto parece un poco extraño pero tiene sentido. Inusualmente, esta notación implica sólo una pieza numérica - el número antes del símbolo del porcentaje. Le damos el siguiente nombre, "parts per hundred", de forma que podamos convertir los porcentajes en números ordinarios y viceversa.]

Section 1(d) - Fuerza

A person has a number called strength. The strength of a person is usually 14.

Definition: A person is alive if its strength is 1 or more. Definition: A person is killed[* No hay muertes naturales en Tolti-Aph.] if its strength is 0 or less.

A person has a number called permanent strength.[* La fuerza que tienes tras una cena copiosa y una buena noche de sueño.]

When play begins:
	repeat with the patient running through people begin;
		change the permanent strength of the patient to the strength of the patient;
	end repeat.[* Especificar la fuerza permanente y la fuerza (actual), ambas, para todo el mundo en el juego puede ser tedioso. Para simplificar el asunto asumimos que todo el mundo comienza el juego con una salud fuerte, y a partir de ahí podemos deducir la fuerza permanente de la fuerza (actual).]

To restore the health of (patient - a person): change the strength of the patient to the permanent strength of the patient.

Include (-VerboIrregular "fuerza" with imperativo 'fuerza';-).

Understand "fue" or "fuerza" as a mistake ("FUE no es un comando; sino más bien un número que indica tu fuerza actual. Se muestra siempre en la barra de estado (parte superior de esta ventana), para que puedas enterarte de cualquier cambio mientras juegas. Aún así, actualmente tu FUE es de [strength of the player].").[* Una forma rápida de responder a un comando erroneo por parte del jugador. El testeo mostró que alguna gente malinterpretó la mención de FUE en el texto de AYUDA, y que otros nunca se dieron cuenta de la linea de estado.]

Understand "diagnostico" or "status" or "estado" as a mistake ("Siempre puedes conocer tu FUE (fuerza) con solo mirar la barra de estado en la parte superior de esta ventana. Actualmente tu FUE es de [strength of the player].").[* Algunos juegos de Infocom tenían el verbo "diagnóstico" y algunos testers querían verlo añadido por nostalgia.]

Section 1(e) - Experiencia y niveles

A person has a number called level. The level of a person is usually 1.[* Parece que a los RPGs les gusta la idea de niveles numerados, con un usuario de magia de nivel 3 un poquito más pujante que uno de nivel 2. Creo que esto deriva del vago sentido de misterio alrededor de los "grados" de las logias masónicas, "The Benevolent and Protective Order of the Elks", y cosas por el estilo.]

Table of Level Advancement
level number	experience points to progress
1		50
2		100
3		250
4		600
5		0

Every turn:
	let the current level be the level of the player;
	if the current level is 5, stop;
	let the target be the experience points to progress corresponding to a level number of the current level in the Table of Level Advancement;
	if the score is greater than the target
	begin;
		say "¡Subes al nivel [current level plus 1]!";
		increase the level of the player by 1;
	end if.

Procedural rule: ignore the announce the score rule.[* Esta es la regla por defecto en Inform que usualmente maneja el comando PUNTOS. Necesitamos tirarla a la basura porque estamos, de alguna forma, subvertiendo las convenciones usuales por usar los puntos para representar el total de puntos de experiencia acumulados por el jugador; lo cual significa que necesitamos escribir nuestra propia rutina para decirle al jugador cual son sus puntos actuales, tal y como sigue.]

Carry out requesting the score:
	say "Eres un usuario de magia de nivel [level of the player], con [score] punto[s] de experiencia.";
	let the current level be the level of the player;
	let the target be the experience points to progress corresponding to a level number of the current level in the Table of Level Advancement;
	let the target be the target minus the score;
	if the current level is 5, say "No es posible subir más de nivel." instead;
	if the target <= 0, say "Pronto subirás al siguiente nivel." instead;
	say "Necesitas [target] punto[s] [if the score > 0]más [end if]para subir al siguiente nivel." instead.

 When play begins, change the right hand status line to "NVL: [level of the player] FUE: [strength of the player]".[* Uno se vuelve débil al realizar magia o ser herido, más fuerte al descansar o ser curado; uno gana experiencia teniendo una vida ocupada. Estas cuentas importan mucho, así que vamos a hacer que sean prominentemente visibles a todas horas en la barra de estado - la barra sobre la pantalla.]

Section 1(f) - Dados de salvación (saving rolls)

Calculating saving roll modifiers of something is an activity.[* Dados de salvación son tiradas de dados que se hacen cuando un jugador intenta algo difícil o para evitar algun peligro - he ahí lo de "salvación". Tienden a estar influenciados por el contexto del juego: si el jugador lleva algún tipo de amuleto de la suerte, está actualmente estimado con la maldición de algún semidios y así sucesivamente. Cada una de estas influencias modifican el dado: -7 por acabar de haber roto un espejo, por ejemplo. Necesitamos calcular todo esto win sabes cuales de estas influencias serán - necesitamos contruir una montura general, de hecho, vamos a dar el paso inusual de crear una "actividad". Estas normalmente manejan las labores del hogar de Inform, pero somos perfectamente libres de crear nuevas, y las reglas de W&W contienen varias.]

The to-save roll is a number that varies.

To modify to-save roll by (amount - a number) for (reason - text):
	if the amount >= 0, say ", +[amount] por [reason]";
	otherwise say ", [amount] por [reason]";
	increase the to-save roll by the amount.

For calculating saving roll modifiers of the player:
	modify to-save roll by the level of the player for "tu nivel";[* ¿Ves qué útil es tener un jugador de alto nivel? Esto produce el texto del tipo "+3 por tu nivel" en un momento crucial.]
	continue the activity.

To decide whether a saving roll of (target - a number) by (savee - a person) to (task - a text) is made:
	say "[if savee is the player]Necesitas [otherwise][The savee] necesita [end if]obtener un dado de salvación de [target] o más usando 1d20 para [task]: ";
	change the to-save roll to a random number from 1 to 20;
	say the to-save roll;
	carry out the calculating saving roll modifiers activity with the savee;
	if the to-save roll >= target
	begin;
		say " - éxito.";
		decide yes;
	end if;
	say " - fracaso."; decide no.

To decide whether a saving roll of (target - a number) by (savee - a person) to (task - a text) is lost:[* Así podemos escribir cosas como, 'if a saving roll of 15 by the player to "nadar los rápidos" is lost'...]
	if a saving roll of target by the savee to task is made, decide no;
	decide yes.

Chapter 2 - Magia

Section 2(a) - El fenómeno de la magia

A spell character is a kind of value. The spell characters are ofensivo, defensivo, curativo and arcano. A valency is a kind of value. The valencies are targeted and untargeted.

A spell is a kind of value. The spells are defined by the Table of Enchantments.[* Esta es la primera de muchas tablas que imitan el estilo de los manuales típicos de RPG. Esta imitación no es muy diferente de cómo el jugador eventual percive el juego, pero nos ayuda a escribir el código fuente. Los hechizos cuestan una cierta cantidad de puntos de fuerza para lanzarlos, y vendrán en varias categorías: algunos se aplican a un objeto en particular (los "targeted" que necesitan un objetivo), y otros que no. La mayoría necesitan que el mago que los lanza sostenga algo de una naturaleza material particular: por ejemplo, "the requirement of magic missile" se evalua a "madera" (el requerimiento para lanzar el misil mágico). Nota las entradas vacías dadas con "--", y la columna completamente en blanco hacia el final, las cuales se usan para cálculos durante el juego.]

Table of Enchantments
spell		nature	cost	requirement	emission		targeting		duration	duration timer	usage count
detectar trampa	defensivo	1	aire	"una luz azul difusa"		untargeted	--	a number	a number
memorizar		arcano	3	aire	"un símbolo luminoso"		targeted		--	
modelar vara	arcano	2	madera	"pulpa de madera"		untargeted	--	
conocer naturaleza	arcano	1	aire	"unos rayos indagadores"		targeted		--
hacer santuario	arcano	8	arcilla	"unos muros con los colores del arcoiris"		untargeted	--	
luz mágica		arcano	4	madera	"una luz blanca parpadeante"	untargeted	25	
remendar		curativo	2	carne	"unos dedos fantasmales"		targeted		--	
misil mágico	ofensivo	6	madera	"un fiero rayo rojo"		targeted		--	
escudo aéreo	defensivo	3	aire	"un humo verde"		untargeted	3	
silencio		defensivo	4	aire	"una pequeña nube blanca"		untargeted	2	
telaraña		ofensivo	4	aire	"una hebra blanca pegajosa"	targeted		--	
magia protectora	defensivo	6	metal	"chispas naranja"		untargeted	--	
exorcizar no-muertos	defensivo	7	metal	"una haz de luz blanca pura"		untargeted	--	
dormir dragón	curativo	5	carne	"pequeñas luces danzantes"	targeted		--	
circunvenir cerradura	curativo	2	metal	"unas hebras de luz metálica"	targeted		--	
calor interior	defensivo	4	madera	"un resplandor rojizo"		untargeted	4
huesos de hierro		defensivo	4	carne	"unos haces de color rojo metálico"	untargeted	6
invocar elemental		ofensivo	6	carne	"una niebla rojo-sangre"		untargeted	--

[* NT: Los nombres de los hechizos originales son: detect trap, memorise, fashion staff, know nature, make sanctuary, magelight, mend, magic missile, aerial shield, silence, web, ward magic, exorcise undead, dragon sleep, circumvent lock, inner warmth, ironbones, summon elemental.]

Understand "memoriza" as memorizar.
Understand "luz magica" as luz mágica. Understand "misil magico" as misil mágico. Understand "escudo aereo" as escudo aéreo. Understand "dormir dragon" as dormir dragón.
Understand "telarana" as telaraña.
Understand "exorcizar nomuertos" as exorcizar no-muertos. Understand "exorcizar no muertos" as exorcizar no-muertos.
Understand "conocer naturaleza" as conocer naturaleza.

Section 2(b) - La capacidad de la magia

Memorisation relates various people to various spells. The verb to know (he knows, they know, he knew, it is known) implies the memorisation relation.

Understand "hechizos" or "lista de hechizos" as listing spells. Listing spells is an action applying to nothing. Carry out listing spells: reel off the spells.[* Al igual que "DIAGNOSTICO", este comando y su consecuente acción ha sido añadidos para satisfacer la nostalgia de los testers.]

After taking inventory: reel off the spells; continue the action.

To reel off the spells:
	say "Ahora mismo puedes recordar los siguientes hechizos:[line break]";
	repeat through the Table of Enchantments in cost column order[* Cada vez que necesitamos una lista de hechizos conocidos por el jugador, requerimos a la computadora que mire en la tabla de hechizos por orden de coste, lo cual es algo ineficientes - pero no causa un retraso perceptible en el juego. No listamos los hechizos en el orden correcto para empezar porque no nos importa, y porque sería problemático a la hora de añadir extensiones a las relgas más tarde; y no ordenamos la tabla por coste al principio del juego porque no se nos permite perturbar el orden de la tabla que define las propiedades fijadas a los valores.]
	begin;
		let this spell be the spell entry;
		if the player knows this spell
		begin;
			say "  [this spell] ([nature of this spell]): cuesta [cost of this spell] FUE";
			if the requirement of this spell is not aire, say ", requiere [requirement of this spell]";
			say "[line break]";
		end if;
	end repeat;
	say "[line break]".

Section 2(c) - Báculos, pociones de fuerza y pergaminos

After examining something made of madera imbuida de magia, say "Si llevas [the noun], se reducen en 2 puntos el costo de vida de cualquier hechizo."

After printing the name of something made of madera imbuida de magia while taking inventory: say " (imbuido en magia)".

To decide which number is the strength cost of (incantation - a spell) to (wizard - a person):
	let the damage be the cost of the incantation;
	if the wizard is carrying something made of madera imbuida de magia, decrease the damage by 2;
	if the damage is less than zero, let the damage be zero;
	decide on the damage.[* Esta frase calcula la el coste de fuerza actual para cierta persona al lanzar un hechizo dado, como podemos ver este costo es reducido si esa persona porta una "vara mágica".]

A strength potion is a kind of thing. A strength potion has a die roll called additional strength. Instead of examining a strength potion, say "[The noun] es una poción de vida que suma [additional strength]." A strength potion is usually sustento.

Instead of eating or drinking a strength potion:
	remove the noun from play;
	say "Te tomas [the noun], ganando ";
	let the extra be the roll of the additional strength of the noun;
	increase the strength of the player by the extra;
	if the strength of the player is greater than the permanent strength of the player
	begin;
		change the strength of the player to the permanent strength of the player;
		say " - más de lo que necesitas para conseguir la máxima puntuación de vida.";
		stop;
	end if;
	say " puntos de vida."

A scroll is a kind of thing. A scroll has a spell called the inscribed spell. A scroll is papel. The description of a scroll is "Tras observarlo con cuidado, te das cuenta que [the item described] está escrito con las runas del hechizo [italic type][inscribed spell][roman type]." After printing the name of a scroll while taking inventory: say " (conteniendo el hechizo [italic type][inscribed spell][roman type])".[* Los pergaminos son el objeto de deseo del jugador, ya que portan hechizos para ser memorizados y añadidos al repertorio actual del jugador.]

Section 2(d) - La acción de conjurar

Affectedness relates various people to various spells. The verb to be affected by implies the affectedness relation.[* Ahora tenemos dos verbos que conectan las personas con los hechizos: podemos escribir afirmaciones tales como "Radagast knows invocar elemental", o "Harry is affected by huesos de hierro".]

Casting it at is an action applying to one spell and one visible thing. Rule for supplying a missing second noun while casting: change the second noun to the location.[* "Casting it at" es una acción inusual porque puede tomar dos formas, tiene una especie de versión transitiva e intransitiva: uno lanza "detectar trampa" sin ningún objetivo, pero "misil mágico" tiene que ser orientado a algo. Inform permite a las acciones tener sintaxis que tengan un nombre opcional, pero requiere que pongamos cualquier nombre perdido para que cuando la acción vaya a ser procesada nada esté ausente. Así que construimos el destino perdido de un hechizo como la localización actual: así, "detectar trampa" es realmente un hechizo lanzado en el escenario al rededor, lo cual parece ser bastante razonable. (La acción constuida dentro de Inform "listening" (escuchar) hace algo similar.)]

Understand "conjura [spell]" or "lanza [spell]" or "[spell]" as casting it at.
Understand "conjura [spell] sobre/en [something]" or "lanza [spell] sobre/en [something]" or "[spell] sobre/en [something]" or "[spell] [something]" as casting it at.

The current spell focus is an object which varies.[* La variable "current spell focus" (foco actual del hechizo) tipifica algo que suele ocurrir en secuencias de reglas complejas: reglas posteriores necesitan referirse a algo ya desarrollado en el curso de una regla anterior. Esto significa que el tipo de variable "let ..." no funcionará porque es demasiado temporal - expira cuando la regla anterior termina, así que ya no estará cuando la regla posterior se alcance. Esto puede ser problemático si una acción de conjurar puede ser interrupida por alguien, pero aquí esto nunca pasa.] Before casting, change the current spell focus to the location.

Check casting (this is the can't cast what you don't know rule):[* Nombramos estas reglas para que el autor de un escenario W&W pueda usar reglas procedurales para suspenderlas o alterarlas según necesite.]
	if the player does not know the spell understood, say "No conoces los misterios de ese hechizo." instead.

Check casting (this is the can't cast on the wrong sort of target rule):
	if the targeting of the spell understood is targeted
	begin;
		if the second noun is a room, say "Ese hechizo debe lanzarse sobre algo." instead;
	otherwise;
		if the second noun is not a room, say "Ese hechizo no puede lanzarse sobre algo." instead;
	end if.

Check casting (this is the can't cast without strength rule):
	if the strength of the player <= the strength cost of the spell understood to the player, say "Estás débil, no tienes suficientes puntos de vida." instead.

Check casting (this is the can't cast at yourself rule):
	if the player is the second noun, say "Una de las primeras lecciones en el mundo de la magia: Un mago nunca se lanzará hechizos sobre sí mismo." instead.

Check casting (this is the can't cast without required materials rule):
	let the stuff be the requirement of the spell understood;
	if the stuff is not aire
	begin;
		if the player is carrying something (called the focus) which is made of the stuff,
			change the current spell focus to the focus;
		otherwise say "Para lanzar ese hechizo, necesitas tener algo hecho con [stuff]." instead;
	end if.

Check casting (this is the can't magically attack a warded person rule):
	if the nature of the spell understood is ofensivo and the second noun is a person
	begin;
		let the intended victim be the second noun;
		if the intended victim knows magia protectora, say "Con un insolente hechizo de chispas naranja, [the intended victim] cancela tu encantamiento [italic type][spell understood][roman type]." instead;[* La "can't magically attack a warded person rule" es un poco torpe, ya que no reduce la fuerza mágica de la víctima al lanzar el hechizo, el cual - si es salsa para el hechicero, es salsa para el necromántico - quizás debería, pero así se queda.]
	end if.

Effect is a rulebook.[* Las reglas de "carry out" y "report" de la acción casting vas a ser sorpresivamente cortas - considerando el ámplio rango de resultados posibles cuando un hechizo es lanzado - y esto es posible usando un mecanismo más poderoso para permitir una forma de reportar más flexible de lo que ordinariamente sería posible: estas crean un nuevo libro de reglas, "Effect" (efecto), cuya tarea es desarrollar el hechizo. Las reglas de efecto además deben traducir el "current spell outcome" (resultado actual de un hechizo) a un mensage apropiado sobre qué está pasando, y (opcionalmente) "current spell event" (evento actual del hechizo) a una regla que acarrea ulteriores consecuencias.]

The current spell outcome is a text which varies. To record outcome (eventual message - text): change the current spell outcome to eventual message.
The current spell event is a rule which varies. To record event (eventual rule - rule): change the current spell event to eventual rule.

This is the no spell event at all rule: stop.

Carry out casting:
	record outcome "pero aparentemente no ocurre nada";
	record event the no spell event at all rule;
	change the strength of the player to the strength of the player minus the strength cost of the spell understood to the player;
	increase the usage count of the spell understood by 1;
	if the usage count of the spell understood is less than 3[* Ganas puntos de experiencia las primeras veces que lanzas un hechizo, pero entonces la novedad desaparece.]
	begin;
		award cost of the spell understood points;
		award cost of the spell understood points;
	end if;
	if the cost of the spell understood is at least 5 and the current spell focus is something, remove the current spell focus from play;
	consider the effect rulebook.

Report casting:
	say "Tras pronunciar las palabras del hechizo [italic type][spell understood][roman type], ";
	if the current spell focus is something
	begin;
		say "[the current spell focus] ";
		if the player is not holding the current spell focus, say "desaparece mientras ";
		say "proyecta ";
	otherwise;
		say "tus dedos proyectan ";
	end if;
	say emission of the spell understood;
	if the second noun is not the current spell focus
	begin;
		if the second noun is not a room, say " hacia [the second noun]";
	end if;
	say ", [current spell outcome]";
	if the player is affected by the spell understood begin;
		if duration of the spell understood is greater than 0
		begin;
			say ", y que durará por [duration of the spell understood in words] turno[s]";
			change the duration timer of the spell understood to the duration of the spell understood;
			increase the duration timer of the spell understood by 1;
		end if;
	end if;
	say ".";
	consider the current spell event.

Every turn:
	repeat through the Table of Enchantments
	begin;
		let the remaining effect be the duration timer entry;
		decrease the remaining effect by 1;
		if the remaining effect >= 0, change the duration timer entry to the remaining effect;
		if the remaining effect is 0
		begin;
			now the player is not affected by the spell entry;
			say "(El hechizo [italic type][spell entry][roman type] termina.)";
		end if;			
	end repeat.[* Por simplicidad, y para mantener los requerimientos de almacenamiento fuera de los límites del tejado, los hechizos temporales sólo se aplican al jugador.]

Understand "xyzzy" and "plugh" as a mistake ("Nadie cree ya esas viejas historias de la infancia acerca de cavernas con palabras mágicas. La Magia es algo que requiere años y años de estudio.").

Section 2(e) - Efectos de los hechizos estandar en orden alfabético

Effect of casting escudo aéreo at:
	record outcome "que forma un escudo casi invisible de forma circular sobre tu cabeza, que se mueve contigo";
	now the player is affected by escudo aéreo;
	rule succeeds.

A thing can be trapped or untrapped. A thing is usually not trapped.

Instead of drinking a trapped strength potion:
	remove the noun from play;
	say "Bebes [the noun], ¡pero está envenenada! Y te hace un daño de ";
	let the extra be the roll of the additional strength of the noun;
	decrease the strength of the player by the extra;
	say " puntos de fuerza.";
	if the player is killed, end the game saying "Has sido envenenado".

Instead of putting a trapped strength potion on a weapon:[* Esto no se le ocurrió al autor, de ninguna manera - uno de los testers lo intentó, y la idea parecía irresistible. Envenenar un arma añade todo un dado extra y un +2, así que es toda una recompensa para alguien lo suficientemente ingenioso para pensar en esto.]
	remove the noun from play;
	let the hit power be the hit dice of the second noun;
	let N be the dice part of the hit power;
	let S be the sides part of the hit power;
	let A be the adds part of the hit power;
	increase A by 2;
	increase N by 1;
	change the hit dice of the second noun to the die roll with dice part N sides part S adds part A;
	say "Cuidadosamente, aplicas el veneno contenido en [the noun] sobre [the second noun], gastándolo todo."

Understand "envenena [something]" as a mistake ("¿Cómo, exactamente?").

A person can be slumbering or wakeful.

Effect of casting dormir dragón at a wyvern:
	if the second noun is wakeful
	begin;
		record outcome "y es suficiente para engañarle, pues el guiverno, aún no siendo un dragón, siempre se siente halagado por la sugerencia de contar como uno de los grandes esquemas de las cosas. Pronto se escuchan enormes ronquidos";
		award 4 points;
		now the second noun is slumbering;
	otherwise;
		record outcome "pero, después de todo, el wyvern está ya dormido";
	end if;
	rule succeeds.

Instead of doing something to a slumbering wyvern, say "Mejor dejar que la wyvern durmiente descanse."

Effect of casting detectar trampa at:
	if a trapped thing is visible
	begin;
		record outcome "que da vueltas como un remolino a tu alrededor por un tiempo hasta que finalmente se posa sobre [the list of trapped visible things]. Sonríes maliciosamente";
	otherwise;
		record outcome "pero esta brilla momentáneamente hasta desaparecer con un sentimiento de calma y normalidad";
	end if;
	rule succeeds.

Effect of casting modelar vara at:
	now the current spell focus is madera imbuida de magia;
	record outcome "un calor abrasador crece en tus manos mientras la madera se transforma en un mágico híbrido, imbuido con su fuerza";
	rule succeeds.

Effect of casting calor interior at:
	record outcome "que te rodea con un sentimiento acogedor de bienestar";
	now the player is affected by calor interior;
	rule succeeds.

Effect of casting huesos de hierro at:
	record outcome "que retornan y se introducen por tu piel, fortaleciendo todo tu cuerpo";
	now the player is affected by huesos de hierro;
	rule succeeds.

Effect of casting conocer naturaleza at:
	if the second noun is a direction, record outcome "los cuales se pierden para nunca más volver";
	otherwise record outcome "que hacen una suerte de reconocimiento trazando después la firma [la firma del the second noun] en mitad del aire";
	rule succeeds.

[ * NT Lo anterior de "la firma del" es un saying, una frase construida para la ocasión para poder darle género a un kind of value (que no puede tener genero que valga por defecto, o sea, no hay manera humana en I7 de indicar que "carne" es femenino). La solución a este problema es cosa de Melitón. Con este mecanismo conseguimos que se imprima adecuadamente el "del papel" o "de la carne" según el material sea masculino o femenino.]

To say la firma del (object - a thing):
	let mat be the material of the object;
	if mat is papel or mat is metal or mat is sustento or mat is aire:
		say "del";
	otherwise:
		say "de la";
	say " [material of the second noun]"

Effect of casting luz mágica at:
	record outcome "que baña la parte superior de tu cuerpo con luminiscencia";
	now the player is affected by luz mágica;
	now the player is lit;
	rule succeeds.

Every turn: if the player is not affected by luz mágica, now the player is unlit.

Effect of casting misil mágico at something:
	if the second noun is a person
	begin;
		record outcome "irrumpiendo en una explosión de fuego mágico";
		record event the misil mágico strike rule;
	otherwise;
		if the second noun is portable and the second noun is not scenery
		begin;
			remove the second noun from play;
			record outcome "que se vaporiza dejando tras de sí tan sólo un soplo de humo";
		otherwise;
			record outcome "que es sacudid[o the second noun] cuando absorbe el golpe, pero lo resiste";
		end if;
	end if;
	rule succeeds.

This is the misil mágico strike rule:
	say "Un misil mágico hace 1d6 de daño por nivel del hechicero, así que: ";
	let L be the level of the player;
	let the strike power be the die roll with dice part L sides part 6 adds part 0;
	let the strike amount be the roll of the strike power;
	say " puntos de daño";
	now the second noun is hostile;
	make the second noun take the strike amount points of damage.

Sanctum Sanctorum is a room. "Aquí en la calma, silencioso centro del mundo que gira, encuentras Santuario. Es un lugar para descansar, para meditar. A través de los nebulosos muros arcoiris, apenas puedes discernir [the room outside from the Sanctum Sanctorum], pero aparenta ser tan irreal como un sueño." Before going outside from the Sanctum Sanctorum, say "Parpadeas cuando tus ojos se ajustan a la aspereza de la realidad; la implacable vivacidad de la existencia."

The contornos arcoiris de tu santuario are fixed in place. "Ante ti están los contornos arcoiris de tu santuario, el cual sólo tú puedes ver, en el cual sólo tú puedes entrar." Instead of entering the contornos arcoiris: move the player to the Sanctum Sanctorum. [Understand "santuario" as the contornos arcoiris.]

Understand the command "dormir" as "duerme". [* Para tener preferencia frente al hechizo dormir dragon] Understand the command "sueña" or "medita" as "duerme". Check sleeping (this is the can't sleep outside of sanctuary rule): if the location is not the Sanctum Sanctorum and the location is not the Templo de la Paz, say "Este no es un lugar seguro para recuperarse. Ningún sitio expuesto al ataque es lugar seguro." instead. Check sleeping: if the strength of the player is the permanent strength of the player, say "Estás sano y vigoroso, no hay necesidad de descansar." instead.
Include (-VerboIrregular "soñar" with imperativo 'sueña';-).


Carry out sleeping: restore the health of the player. Report sleeping: say "Descansas, absorbiendo toda la bondad curativa del santuario." Procedural rule: ignore the block sleeping rule.

Check saving the game: if the location is not the Sanctum Sanctorum and the location is not the Templo de la Paz, say "(El juego sólo puede ser salvado cuando se está en un lugar indiscutiblemente seguro. Este no es ese lugar. Lo reconocerás cuando lo encuentres.)" instead.[* Una excepcionalmente inpopular regla para los jugadores, esta. Pero hace de recompensa para todos aquellos que descubren "hacer santuario" con todo su atractivo.]

Effect of casting hacer santuario at:
	if the location is the Sanctum Sanctorum
	begin;
		record outcome "los cuales, menos mal, se dispipan inocentemente. Quizás haya necrománticos en el mundo que puedan escapar de un golpe como ese, pero tú no eres uno de ellos.";
		rule succeeds;
	end if;
	record outcome "que crecen, tímidamente al principio pero con resolución hacia el final, hasta conformar ante ti los fantasmales límites de un santuario multicolor";
	change the outside exit of the Sanctum Sanctorum to the location;
	move the contornos arcoiris de tu santuario to the location;
	rule succeeds.

Effect of casting memorizar at something:
	record outcome "pero desaparece por si mismo, de una forma peculiarmente insatisfactoria";
	rule succeeds.
Effect of casting memorizar at a scroll:
	if the player is not carrying the second noun
	begin;
		record outcome "el cual, al no estar en tus manos, te tienta más de lo que revela";
		rule succeeds;
	end if;
	remove the second noun from play;
	now the player knows the inscribed spell of the second noun;
	record outcome "el cual se desmorona en polvo, al tiempo que tu mente se llena con pensamientos sobre el hechizo [italic type][inscribed spell of the second noun][roman type]";
	rule succeeds.

Effect of casting remendar at something:
	record outcome "el cual casi imperceptible se endereza y se pone en orden, pero sin ningún efecto real";
	rule succeeds.

Effect of casting remendar at a person:
	record outcome "el cual palmea a [the second noun] en la cabeza, sin ningún beneficio práctico";
	rule succeeds.

Definition: A person is undead if exorcizar no-muertos is its defensive charm.

This is the exorcizar no-muertos removal rule:
	repeat with turned one running through the undead people in the location
	begin;
		remove the turned one from play;
		award the permanent strength of the turned one points;
	end repeat.

Effect of casting exorcizar no-muertos at:
	if an undead person is in the location
	begin;
		record outcome "el cual, como una especie de lazo, rodea [the list of undead people in the location] y arrastra lo indeseado bajo tierra";
		record event the exorcizar no-muertos removal rule;
		rule succeeds;
	end if;
	record outcome "que lanza una especie de lazo sobre nada en particular, y entonces aprieta firmemente hasta desaparecer";
	rule succeeds.

Effect of casting silencio at:
	record outcome "es el silencio que se asienta amortiguadamente sobre tus pies";
	now the player is affected by silencio;
	rule succeeds.

Effect of casting invocar elemental at:
	record outcome "mientras se escucha un horrendo sonido desgarrador proveniente de la misma tierra";
	move Zoorl to the location;
	now Zoorl is indifferent;
	rule succeeds.

Effect of casting telaraña at a hostile monster:
	record outcome "y las trenzas sedosas se visten alrededor de [the second noun], impidiendo todo movimiento";
	now the second noun is affected by telaraña;
	rule succeeds.
After printing the name of a person who is affected by telaraña when we are looking, say " (enredado)".
For calculating combat modifiers of a person who is affected by telaraña:
	modify to-hit roll by -8 for "intentar luchar a través de la telaraña";
	continue the activity.

Effect of casting telaraña at:
	record outcome "pero las trenzas sedosas caen, indiferentes y sin sentido";
	rule succeeds.

Chapter 3 - Combate

Section 3(a) - Los Monstruos también son Personas

A person has a spell called defensive charm.

A person has a text called hand-to-hand combat method. The hand-to-hand combat method of a person is usually "con manos desnudas". A person has a die roll called unarmed combat hit dice. The unarmed combat hit dice of a person is usually 1d2.

A monster is a kind of person. A monster can be hostile or indifferent. A monster is usually hostile. Definition: A monster is scary if its strength is 50 or more. Definition: A monster is feeble if its strength is 10 or less. Some kinds of monster are defined by the Table of Monstrous Beasts.

Instead of asking a monster about something: say "[The noun] no te responderá en la mayoría de los niveles."

After printing the name of a monster while looking: say " (FUE [strength])".

Table of Monstrous Beasts
name		strength	hand-to-hand combat method	unarmed combat hit dice	defensive charm
goblin		5	"a puñetazos con sus puños verdes"	1d4			--
gnomo		2	"abofeteando con sus débiles brazos"	1d2			--
centauro		9	"coceando con sus pezuñas"	1d6			--
araña gigante	7	"chasqueando sus mandíbulas"	1d8+1			--
wyvern		75	"batiendo sus alas con garras"	2d8+5			--
medio-orco		9	"dando zarpazos con sus garras"	1d6			--
arpía		15	"volando en picado con sus garras"	2d6			escudo aéreo
murciélago gigante		8	"lanzándose para morder"		2d4			escudo aéreo
basilisco		4	"mirando con ojos malditos"	4d6			--
gusano púrpura	7	"mordiendo con dientes ácidos"	2d6+1			--
gárgola		10	"golpeando con puños de piedra"	1d8+1			--
troll de las cavernas		14	"balanceando sus enormes puños"	3d4			--
espectro de las cavernas	12	"lanzando maldiciones"		2d4+3			exorcizar no-muertos
espectro del pantano	18	"lanzando maldiciones"		4d4+3			exorcizar no-muertos
esqueleto guerrero	25	"cortando con hojas fantasmales"	2d6+3			exorcizar no-muertos
hidra verde	32	"agachando sus cabezas por turnos"	3d8+3			escudo aéreo
gigante helado		28	"lanzando carámbanos mortales"	2d8+4			calor interior
demonio elemental	35	"con remolinos de veneno"	4d4+2			--

[* NT: Los nombres originales de los monstruos: goblin, gnome, centaur, werespider, wyvern, half-orc, harpy, giant bat, basilisk, purple worm, gargoyle, cave troll, cave spectre, marsh spectre, skeletal warrior, green hydra, frost giant, elemental demon.]

Understand "arana" or "arana gigante" as araña gigante. Understand "harpia" as arpía. Understand "murcielago gigante" or "murcielago" as murciélago gigante. Understand "gusano purpura" as gusano púrpura. Understand "gargola" as gárgola.

The arpía, araña gigante, hidra verde and gárgola are female.

[ Las siguientes reglas son necesarias para que los plurales en español se muestren bien. Hay probabilidades de que salgan 2 o más monstruos de la misma raza a la vez en una localidad, y el I7 por el Inglés, aplica un plural simple de la forma: three skeletal warriors; lo cual en Español quedaría: tres esqueleto guerreros. Estas Rules vienen al rescate. Pero no lo hago con todos los montruos porque de ellos algunos sólo aparece uno a la vez, como por ejemplo, el demonio Zoorl.]

Rule for printing the plural name of a esqueleto guerrero: say "esqueletos guerreros" instead.

Rule for printing the plural name of a araña gigante: say "arañas gigantes" instead.

Rule for printing the plural name of a gusano púrpura: say "gusanos púrpura" instead.

Rule for printing the plural name of the espectro de las cavernas: say "espectros de las cavernas" instead.


An demonio elemental called Zoorl el Demonio Elemental is indifferent.[* Oh, el tedio del inframundo. El efecto práctico de esta linea es crear a Zoorl y dejarle fuera de juego al comienzo de la aventura: él es un demonio que aparecerá al usar el conjuro "invocar elemental".]

Every turn:
	if Zoorl is in a room (called the haunt)
	begin;
		if the haunt is not the location
		begin;
			remove Zoorl from play;
		otherwise;
			if Zoorl is indifferent and a hostile monster is in the location
			begin;
				let the victim be a random hostile monster in the location;
				make Zoorl strike a blow against the victim;
			end if;
		end if;
	end if.

Effect of casting telaraña at a wyvern:[* Parece que era conveniente tener un monstruo que es básicamente, a prueba de cualquier cosa que el jugador pueda lanzarle, esa es el wyvern. En el testo, resultó que la "telaraña" le daba a un jugador con suerte la posibilidad de vencer al wyvern, lo cual era inconveniente para el guión. Así que...]
	record outcome "pero la telaraña resulta patéticamente pequeña frente al brutal tamaño del wyvern, tus esfuerzos son de risa";
	rule succeeds.

Section 3(b) - Armamento

A weapon is a kind of thing. A weapon has a die roll called hit dice. Definition: A weapon is savage if its hit dice are 3d6 or more. A weapon has a text called technique. The technique of a weapon is usually "oscilante". Some kinds of weapon are defined by the Table of Weaponry.[* Esta sentencia aparentemente inocente hace algo realmente sofisticado: contruye una nueva clase por cada fila de la tabla.] Weapons are usually metal. A lanza corta is madera. A báculo is madera. A lanza larga is madera.

After printing the name of a weapon while taking inventory: say " (ataque de [hit dice])". Instead of examining a weapon, say "[The noun] es un arma con ataque de [hit dice of the noun]."

A weapon has a number called the to-hit bonus.

Table of Weaponry
name		hit dice	technique
daga	1d3	"apuñalando con"
báculo	1d6	"oscilando"
hacha de batalla	1d8	"atacando con"
espada corta	1d6	"oscilando"
espada ancha	2d4	"oscilando"
lanza corta	1d6	"arremetiendo con"
lanza larga	1d8+1	"arremetiendo con"

[* NT: Nombres originales de las armas: dagger, quarterstaff, battle axe, short sword, broad sword, spear, lance.]

Understand "baculo" or "vara" as a báculo.

The daga is female. The espada corta is female. The espada ancha is female.
The lanza corta is female. The lanza larga is female.

Rule for printing the plural name of the lanza corta: say "lanzas cortas" instead.
Rule for printing the plural name of the lanza larga: say "lanzas largas" instead.

Section 3(c) - Armaduras

An armour is a kind of thing. An armour is wearable. Some kinds of armour are defined by the Table of Armoured Dress. Armour is usually metal. Armour is usually female. Jubón de cueros are usually carne.

Table of Armoured Dress
name		armour class
jubón de cuero	1
cota de anillos	2
cota de malla	3
armadura de placas	4

[* NT: Nombres originales: leather jerkin, chain mail, ring mail, plaque armour.]

Understand "jubon" or "jubon de cuero" as jubón de cuero.
Jubón de cuero is male.

Check wearing an armour:
	if the player is wearing armour, say "Solo te puedes poner una armadura por vez." instead.

After printing the name of armour while taking inventory: say " (daño - [armour class])".

Instead of casting misil mágico at armour which is worn by someone (called the victim): try casting misil mágico at victim.


Section 3(d) - Preparación del combate

To decide whether combat proceeds:
	if a hostile alive monster (called the baddie) is in the location, decide yes;
	decide no.

Before reading a command:
	if combat proceeds, change the command prompt to "Combate> ";
	otherwise change the command prompt to "> ".

After waiting when combat proceeds: stop the action.

Check going (this is the need a saving roll to retreat rule):
	if combat proceeds
	begin;
		if a saving roll of 11 by the player to "escabullirte de la lucha" is made, continue the action;
		say "Asi que no puedes irte." instead;
	end if.

Check casting (this is the can't cast non-combat spells in combat rule):
	let the warlike nature be the nature of the spell understood;
	if the warlike nature is defensivo, let the warlike nature be ofensivo;
	if combat proceeds and the warlike nature is not ofensivo
	begin;
		say "La naturaleza de ese hechizo es [nature of the spell understood]: a diferencia de los hechizos ofensivos y defensivos; creados para usar en combates, los hechizos [nature of the spell understood] necesitan de un ambiente pacífico y en calma para poder usarse." instead;
	end if.

A person can be surprised or ready. A person is usually ready.

Instead of attacking a monster:
	if the noun is hostile, say "Ya estás trabado en combate con [the noun]." instead;
	now the noun is hostile;
	now the noun is surprised;
	now the player is ready;
	say "¡Realizas un ataque sorpresa [al noun]!" instead.

To mount an attack from (bad guy - a monster):
	now the bad guy is hostile;
	now the bad guy is ready;
	now the player is surprised;
	say "¡[The bad guy] ataca!"

Every turn when a hostile monster is in the location:
	if the player is ready, make the player strike a blow against the scariest hostile monster in the location;[* Recuerda que "scary" (que da miedo) fue definido en 3(a) más arriva: "scariest" automáticamente adquiere el significado de "el que da más miedo".]
	repeat with the opponent running through hostile monsters in the location
	begin;
		if the player is killed, stop;
		if the opponent is ready
		begin;
			if Zoorl is in the location, make the opponent strike a blow against Zoorl;
			otherwise make the opponent strike a blow against the player;
		end if;
	end repeat;
	now the player is ready;
	now all hostile monsters are ready.

Section 3(e) - Daño

The damage incurred is a number that varies.

Calculating damage modifiers of something is an activity.

For calculating damage modifiers of a person (called the defender):
	if the defender is wearing armour (called the protector) and the damage incurred is greater than 1
	begin;
		say ": [the protector] absorbe ";
		let the absorbency be the armour class of the protector;
		if the absorbency >= the damage incurred
		begin;
			let the absorbency be the damage incurred;
			decrease the absorbency by 1;
		end if;
		decrease the damage incurred by the absorbency;
		say the absorbency;
	end if;
	continue the activity.

For calculating damage modifiers of a person (called the defender):
	if the defender is affected by huesos de hierro and the damage incurred is greater than 1
	begin;
		say ": el hechizo huesos de hierro reduce el daño a la mitad";
		change the damage incurred to the damage incurred divided by 2;
	end if;
	continue the activity.

Dead body disposal of something is an activity.[* Esto se proporciona para beneficio de cualquier persona que use estas reglas para hacer algo especial con los cuerpos muertos, de otra forma se desvanecerían silenciosamente del campo de batalla.]

To make (defender - a person) take (hits - a number) points of damage:
	let the original hits be the hits;
	change the damage incurred to the hits;
	carry out the calculating damage modifiers activity with the defender;
	let the hits be the damage incurred;
	if the hits <= 0
	begin;
		say " - así que no hay daño.";
		stop;
	end if;
	if the original hits are not the hits, say ", dejando [hits] sin absorber";
	decrease the strength of the defender by the hits;
	if the defender is killed
	begin;
		say " - ¡un golpe fatal!";
		if the player is the defender begin;
			end the game saying "Has muerto en combate.";
			stop;
		end if;
		carry out the dead body disposal activity with the defender;
		if the defender is in the location, remove the defender from play;
		award the permanent strength of the defender points;
		repeat with the item running through things which are had by the defender
		begin;
			move the item to the location;
		end repeat;
	otherwise;
		if the player is the defender, say ", reduciendo tu vida a [strength of the player].";
		otherwise say ", disminuyendo la vida [del defender] a [strength of the defender].";
	end if.

Section 3(f) - Golpes

The to-hit roll is a number that varies.

To modify to-hit roll by (amount - a number) for (reason - text):
	if the amount >= 0, say ", +[amount] por [reason]";
	otherwise say ", [amount] por [reason]";
	increase the to-hit roll by the amount.

Calculating combat modifiers of something is an activity.

For calculating combat modifiers of the player:
	modify to-hit roll by the level of the player for "tu nivel";
	continue the activity.

To make (attacker - a person) strike a blow against (defender - a person):
	[ELIUK BLAU: esta linea producía "El globlin *ataca* te ataca", era un bug.]	
	[if the attacker is the player, say "Atacas "; otherwise say "[The attacker] ataca ";]
	if the attacker is the player, say "Atacas "; otherwise say "[The attacker] ";
	if the defender is the player, say "te ataca, "; otherwise say "[al defender], ";
	let the damage done be the unarmed combat hit dice of the attacker;
	if the attacker carries a weapon
	begin;
		let the instrument be the savagest weapon carried by the attacker;
		let the damage done be the hit dice of the instrument;
		say "[technique of the instrument] [the instrument]";
	otherwise;
		say hand-to-hand combat method of the attacker;
	end if;
	change the to-hit roll to a random number from 1 to 20;
	say ", haciendo una tirada de ataque (1d20) de [to-hit roll]";
	carry out the calculating combat modifiers activity with the attacker;
	if the instrument is a weapon and the to-hit bonus of the instrument is not 0, modify to-hit roll by the to-hit bonus of the instrument for "empuñar un arma bendecida";
	if the to-hit roll <= 2
	begin;
		say " - fracaso crítico (2 o menos): ";
		if the instrument is a weapon
		begin;
			if the attacker is the player
			begin;
				silently try dropping the instrument;
				if the player does not carry the instrument, say "¡[the instrument] cae al suelo!";
				otherwise say "¡[the instrument] vibra violentamente en tus manos!";
			otherwise;
				now the instrument is in the location;
				say "¡[the attacker] pierde [the instrument]!";
			end if;
		otherwise;
			decrease the strength of the attacker by 1;
			if the attacker is the player
			begin;
				say "¡te has hecho daño!";
				if the player is killed, end the game saying "Has fenecido en una muerte sin gloria";
			otherwise;
				say "¡[the attacker] ruge con impotente furia!";
			end if;
		end if;
		stop;
	end if;
	if the to-hit roll <= 10
	begin;
		say " - fracaso (3 a 10): ¡no hay daño!";
		stop;
	end if;
	if the to-hit roll <= 19
	begin;
		say " - éxito (11 a 19), ocasionando [damage done] de daño de: ";
		let the hits be the roll of the damage done;
		if the hits is 1, say " punto"; otherwise say " puntos";
	otherwise;
		say " - daño crítico (20 o más), haciendo [damage done] el doble de daño: ";
		let the hits be the roll of the damage done;
		let the hits be the hits multiplied by 2;
		say ", multiplicando por dos hasta [hits] puntos en total";
	end if;
	let the counter-charm be the defensive charm of the attacker;
	if the defender is affected by the counter-charm
	begin;
		say ", protegido por el hechizo [counter-charm].";
		stop;
	end if;
	make the defender take hits points of damage.

Section 3(g) - Armas de proyectil, ausencia de

Instead of throwing a lanza corta at, say "No hay armas de proyectil en las reglas de combate de este juego. Una lástima teniendo en cuenta la  buena lanza que llevas ahí."

Instead of throwing a lanza larga at, say "No hay armas de proyectil en las reglas de combate de este juego. Una lástima teniendo en cuenta la  buena lanza que llevas ahí."

Instead of throwing something at, say "No hay armas de proyectil en las reglas de combate de este juego, pero créeme que podemos usar [the noun] de una manera más productiva, incluso si existieran tales reglas."

Part II - Las Reliquias de Tolti-Aph, el escenario

Use undo prevention.[* Madre mía, esto fue muy impopular. El problema era que todos los testers cuando entraban en batalla con algún monstruo, estos hacían UNDO en cada turno en que el dado no lograba impactar. Así que eliminé el UNDO, a pesar de que en algunos intérpretes hay maneras de hacer UNDO incluso si el juego no quiere: pero una mayoría de los testers decían que el UNDO era un derecho inalienable de todo aventurero. No estoy seguro si debería de capitular o no, pero logra hacer mejor al juego como ejemplo de una mecánica inusual de juego teniendo el UNDO dentro, así que este podría ser también el factor decisivo para dejarlo.]

When play begins:
	say "Se suele decir que hay dos tipos de usuarios de magia: aquellos que han estado en Tolti-Aph, y charlatanes. Se suele entender por lo general que un intento de probarse a uno mismo en nuestra implacable sociedad de Tolti-Aph era buscar un avance rápido de nivel, o bien románticamente, la muerte de un joven-mago-demacrado-de-túnica-oscura-como-la-medianoche. Cuanto más te acercas a la isla selvática vagamente marcada como 'Tholtaff' en el globo de ágate del estudio de tu tátara-tátara-abuelo, mejor suena la alternativa: instalarte en cualquier villa con mar, quizás, un poco de magiadeltiempo, algo de polimancia, y ayudar con las redes tras una mala tormenta. Retirarse quizás en el nivel 3, con la mayoría de tus puntos de experiencia ganados a base de observar raros envenenamientos derivados de los peces, que se llevan a los aldeanos despreocupados por la higiene en el destripe. Publicar una increíblemente tediosa monografía sobre el uso correcto del hechizo 'desenredar aparejo'. Ya sabes, la buena vida.";
wait for any key.

[La ciudad en ruinas está dividida en cuatro barrios, norte, sur, este y oeste, alerededor de un Ziggurat central: estas cinco zonas forman los cinco capítulos del escenario. El jugador comienza en la punta más al sur del barrio sur, así que ese capítulo comienza el primero.]

Chapter S - Barrio Sur

Section S(a) - La Torre, el Gran Muro y el Montículo

Some árboles altos are a backdrop. The árboles altos are everywhere. Instead of doing something to the árboles altos, say "Los árboles están por todas partes, y aunque ahora forman parte de los mismos cimientos de la ciudad a la vez no dejan de ser unos extraños para esta. No tienen porqué preocuparte." Understand "bosque" and "profundo bosque" and "arboles" and "arboles altos secos y tercos" as the árboles altos.

The printed name of árboles altos is "árboles altos secos y tercos".

Calle del Gran Muro is a room. "Casi invadido por el profundo bosque, ora colapsado ora en pié, el ciclópeo gran muro este-oeste de la ciudad en ruinas se hunde aquí hasta quedar convertido en un claro de piedra cubierto de liquen. Debió de ser, hace mucho, un puesto de aduana. Hacia el oeste, como una pieza de ajedrez rota, una vieja torre del muro parece accesible a través de una entrada oscura; mientras que la parte este del boquete del muro lleva a una rampa informe de bloques de mampostería. Hacia el norte, lo que antes fue el interior, árboles altos, secos y tercos se agarran firmemente al antiguo pavimento." The Calle del Gran Muro is female.

The player is in the Calle del Gran Muro. The player knows detectar trampa, memorizar, modelar vara, conocer naturaleza and exorcizar no-muertos. The player is wearing a jubón de cuero. The player is carrying a daga.

The vieja torre del muro is scenery in Calle del Gran Muro. Effect of casting remendar at the vieja torre del muro: record outcome "pero estos pierden el foco al tratar de arreglar esa enorme ruina"; rule succeeds. Instead of pushing the vieja torre, say "Está inestable, quizás. Casi apunto de caerse por tocarlo con pequeño dedo, así que mejor no." The vieja torre is female.

Before going inside in Calle del Gran Muro, try going west instead. Before entering the vieja torre del muro, try going west instead.

Writing it on is an action applying to one topic and one thing. Understand "escribe [text] en/sobre [something]" as writing it on. Understand "escribe sobre/en [something]" as a mistake ("Para escribir debes decir lo que quieres escribir: por ejemplo, ESCRIBE HOLA MUNDO SOBRE EL MURO."). Check writing it on: if the pluma is not carried, say "No tienes nada para escribir." instead. A thing can be inscribable. A thing is usually not inscribable. Check writing it on: if the second noun is the player, say "Los tatuajes están mal vistos por lo comunidad de los usuarios de magia." instead; if the second noun is not inscribable, say "Escribiendo sobre [the second noun] no lograrías gran cosa." instead.

Include (-VerboIrregular "escribir" with imperativo 'escribe';-).

The player is carrying a pergamino en blanco. The pergamino en blanco is inscribable. The pergamino profusamente anotado is a scroll. The inscribed spell of the pergamino profusamente anotado is escudo aéreo. Carry out writing it on: if the second noun is the pergamino en blanco begin; remove the pergamino en blanco from play; move the pergamino profusamente anotado to the player; say "La pluma metálica ignora el movimiento de tu muñeca y escribe lo que verdaderamente desea en el pergamino, el cual se transforma en un pergamino profusamente anotado."; award 7 points; end if. The description of the pergamino en blanco is "Tan sólo es un pergamino de papel en blanco, sin ningún valor en particular o rareza. Una de las herramientas que los usuarios de magia suelen manejar, aunque tienes que reconocer que a tu madre también le gusta usarlo para cubrir los moldes de los pasteles." The pergamino en blanco is papel.

The entrada oscura is an open door. "La entrada parece bastante normal, pero es difícil de estar seguro a simple vista." The entrada oscura is scenery. The entrada oscura is not openable. The entrada oscura is west of Calle del Gran Muro and east of Sala de la Torre. The entrada oscura is trapped. The entrada is female. [* Oh, el dolor que causó esta puerta entrampada. Es la primera prueba de que este juego no es una AC convencional: porque uno puede meter la pata al entrar y, probablemente, sobrevivir sólo para ver el interior de la Torre, aunque uno quede demasiado débil como para sacar algo valioso de la experiencia. Los jugadores asumían que si habían logrado entrar, entonces es que debían de haber resuelto el problema. Varias pistas se añadieron para sugerir lo contrario. Otra confusión muy popular es que los jugadores creían que "detectar trampa" también debía de desarmar las trampas, así que se añadió algo de texto a la parodia de revista para explicarlo.]

Instead of examining the torre for the first time, try examining the entrada.

After going through the trapped entrada oscura:
	now the entrada oscura is untrapped;
	say "Tu paso a través de la entrada dispara una vieja trampa, de ¡cuchillas oxidadas que oscilan a través con un contrapeso! Un dispositivo tosco de un sólo uso, pero no es el momento de burlarse de su ingenua simplicidad. Simplemente [italic type]sabes[roman type] que había algo que podrías haber hecho para evitar esto... Absorbes ";
	let the damage be the roll of 4d4;
	say " puntos de daño";
	if the player is affected by escudo aéreo
	begin;
		decrease the damage by 3;
		say ", reducido sólo en parte (-3) por tu escudo aéreo ya que las cuchillas vienen casi de todas partes";
	end if;
	make the player take the damage points of damage;
	if the player is killed, end the game saying "Te ha matado una trampa";
	otherwise continue the action.

Effect of casting remendar at the untrapped entrada oscura:
	now the entrada oscura is trapped;
	record outcome "la cual da un gemido metálico chirriante que realmente no te ha gustado nada de nada como suena";
	rule succeeds.

After going through the trapped entrada oscura with the bola ornamental de piedra:
	now the entrada oscura is untrapped;
	say "La bola de piedra, al rodar por la entrada, dispara una vieja trampa, de ¡cuchillas que oscilan a través por un contrapeso! Un dispositivo tosco de un sólo uso, que hace un sonido sorprendentemente horroroso, pero que no logra ningún daño.";
	continue the action.

A sencilla mesa is a supporter in the Sala de la Torre. "Una sencilla mesa está [if the migajas are on the mesa]cubierta de migajas de pan, lo cual sugiere que alguien ha vivido aquí recientemente[otherwise]completamente limpia[end if]." The sencilla mesa is madera, female and fixed in place. The migajas are scenery on the sencilla mesa. The migajas are sustento. Instead of taking the migajas, say "Son demasiado pequeñas." The migajas are female. The oblea de pan élfico is a strength potion. The pan élfico has additional strength 3d6. The pan élfico is sustento. The oblea is female. Effect of casting remendar at the migajas: record outcome "mientras observas como los dedos dan forma a las migajas de vuelta a la forma de oblea de pan élfico que una vez fue desmoronada"; remove the migajas from play; move the oblea de pan élfico to the sencilla mesa; award 7 points; rule succeeds.

The migajas and the oblea are female. Understand "oblea de pan elfico" and "pan elfico" as the oblea de pan élfico.

Outside from the Sala de la Torre is Calle del Gran Muro.

Going south in the Calle del Gran Muro is departing Tolti-Aph. Going southeast in the Calle del Gran Muro is departing Tolti-Aph. Going southwest in the Calle del Gran Muro is departing Tolti-Aph.

Instead of departing Tolti-Aph:
	if the level of the player is less than 5, say "Oh, sería un deshonor partir tan pronto. Además de algo ridículo, teniendo en cuenta la cantidad de amigos a los que les has contado tus intenciones: volver como un usuario de magia de nivel 5, o no retornar jamás. Y además está el tener que atravesar el mar otra vez, vomitando sin parar." instead;
	say "Al pasar el Gran Muro y salir al bosque salvaje, en tu camino de vuelta al triple reino, te sientes plenamente satisfecho contigo mismo. Eres un usuario de magia de nivel 5, ¡con genuinos puntos de experiencia ganados a tu nombre! Bueno, si alguna vez alguien se ha inclinado ante un mago de nivel 5, es que estaba doblado de tanto empinar el codo; y parece que ahora eres más propenso que antes a pisar las enredaderas y a tropezar con los árboles; pero ahora eres una fuerza a la que hay que considerar; y si eso tampoco cuenta, al menos siempre te quedarán los recuerdos de Tolti-Aph.";
	end the game saying "Has ganado".

The Montículo de Piedra is east of Calle del Gran Muro. "Los restos del Gran Muro se elevan en pendiente abrupta hacia el este desde el curioso claro en ruinas, y además pierden toda su forma, quedando reducidos nada más que a un gran montículo de piedra. En esta parte, en lo más alto, parece como si la construcción de piedra hubiese sido destrozada por un rayo, y no por el lento paso del tiempo, pero esta idea se te antoja irreal cuando el bosque se expande en todas direcciones bajo un cielo azul-otoñal claro."

Instead of going nowhere from the Montículo de Piedra, say "La única manera de bajar del montículo de forma segura es ir hacia el oeste." Down from the Montículo de Piedra is the Calle del Gran Muro.

Before going to the Montículo de Piedra: if the strength of the player is less than 3, say "Estás demasiado débil como para intentar esa escalada." instead.

After going to the Montículo de Piedra: say "Es una escalada larga y pronunciada hasta llegar al desastrado lado este de la brecha del Gran Muro, que te cuesta 1 punto de fuerza."; decrease the strength of the player by 1; continue the action.

A pluma de púas is in the Montículo de Piedra. "Una pluma de púas metálica, de un pájaro que debía de ser muy alto y largo (además de, desconcertantemente, metálico) descansa semienterrada entre unos escombros sueltos." The pluma is metal. The description of the pluma is "La pluma acaba en una punta metálica que es - sin otras palabras para describirlo - una especie de pequeña punta redondeada." After taking the pluma for the first time, say "Hecho. La pluma sale con facilidad, y en esos momentos se te ocurre que los escombros en los que estaba puesta no eran tan sólo un vulgar montón de piedras aleatorio, sino que parecen todas del mismo tipo de piedra, y que, además, tienen las caras lisas y redondeadas. Pero ahora está concienzudamente destrozado, fuese lo que fuese." The pluma is female.

Understand "pluma de puas" as the pluma de púas.

Understand "vuela" or "vuela [text]" as a mistake ("Umm. 'Magos Que Se Creen Poder Volar' es una delicadeza local allá en casa - al igual que los pequeños crepés de tomate en una sartén de aceite de oliva.").

Include (-VerboIrregular "volar" with imperativo 'vuela';-).

The bola ornamental de piedra is pushable between rooms. Instead of taking the bola ornamental de piedra, say "Es casi tan grande como tú, y está hecha de piedra sólida." The bola is female

Some escombros sueltos is scenery in the Montículo de Piedra. Effect of casting remendar at the escombros sueltos: remove the escombros sueltos from play; move the bola ornamental de piedra to the Montículo de Piedra; record outcome "devolviéndole la forma de una bola ornamental de piedra que debió de estar en todo lo alto del Gran Muro"; rule succeeds. Instead of taking or pushing the escombros sueltos, say "A pesar de haber subido hasta aquí, no es más que un puñado de escombros, no merece la pena que te los lleves a modo de trofeo." Instead of pushing the bola ornamental, say "Trata de decir en qué dirección empujar." After going from the Montículo de Piedra with the bola ornamental de piedra: say "¡Yuuujuuu!"; continue the action. Before pushing the bola ornamental to down, try pushing the bola ornamental to west instead. Understand the command "rueda" as "empuja". Understand "piedras" or "monton" or "monton de piedras" as the escombros sueltos.

Understand "escombro" as the escombros sueltos.

Include (-VerboIrregular "rodar" with imperativo 'rueda';-).

Sala de la Torre is a room. "Esta ámplia sala circular forma el cuerpo central de la torre. Muy poca luz entra por la entrada oscura del este, a pesar de que los toscos escalones ascienden presumiblemente hacia un mirador más iluminado."

The pergamino deteriorado is a scroll in the Sala de la Torre. "Apoyado sobre una pared, casi como si estuvieras destinado a encontrarlo, hay un pergamino deteriorado." The inscribed spell of the pergamino deteriorado is hacer santuario.

Alcoba de la Torre is above the Sala de la Torre. The cofre medicinal is a container in the Alcoba de la Torre. "Los desiguales escalones (probablemente no son los mismos de la construcción original) terminan en una alcoba de paredes blanqueadas que está vacía excepto por la presencia de un cofre medicinal." The frasco verde is a strength potion in the cofre medicinal. The frasco verde has additional strength 1d6+2.  The frasco ocre is a strength potion in the cofre medicinal. The frasco ocre has additional strength 1d6+2. The frasco carmesí is a strength potion in the cofre medicinal. The frasco carmesí has additional strength 1d6+2. The frasco ocre is trapped.[* Esto es para mantener a los jugadores en sus zapatos: ¡detectar trampa! ¡detectar trampa! ¡Siempre detectar trampa!] The cofre medicinal is closed and openable. The cofre medicinal is madera.

Understand "frasco carmesi" or "carmesi" as the frasco carmesí.

The saetera is fixed in place in the Alcoba de la Torre. "Algo de luz se filtra a través de la ancha saetera de la pared noroeste de la torre, opuesta a la pared por donde han subido los escalones." The flecha de madera is a madera thing. Instead of examining the saetera for the first time: say "Justo al mirar por la saetera con curiosidad, escuchas un sonido: ¡fiiiuush!. Instintivamente, esquivas. "; if a saving roll of 11 by the player to "esquivar la flecha" is made begin; say "La flecha pasa rauda junto a ti y cae traqueteando por el vacío de la escalera."; now the flecha is in the Sala de la Torre; otherwise; now the player carries the flecha; say "La flecha se clava en tu hombro"; make the player take 3 points of damage;[* Casi es buena idea ser estoico y aceptar los 3 puntos de daño para obtener algo de madera que pueda ser usado como un foco para los hechizos posteriormente - así que esto no es un puzzle para resolver, sino un tesoro disfrazado, en realidad.] if the player is alive, say "Dolorido sacas la flecha."; end if. Instead of examining the saetera: say "Sientes cierta desgana en sacar la cabeza por ahí por segunda vez." The flecha and the saetera are female.

Section S(b) - El Diario y Orión

The player is carrying a diario aspecto nuevo. The diario is papel. Understand "nuevo" as the diario. Instead of examining the diario: say "Los usuarios de magia son entrenados en mantener un diario, para que sus descubrimientos no sean olvidados, o posiblemente para darles un vehículo para su ego y que lo cual no involucre la subyugación del mundo. El tuyo está dividido en entradas nombradas según las estrellas de la constelación de Orión, así que, claramente, no hay ningún egocentrismo en él.

(Usa ABRE el diario POR RIGEL para un ejemplo del tipo de tonterías que escribías en tus distantes días de estudiante, los cuales terminaron, bueno, hace tres o cuatro semanas.)" The printed name of the diario is "diario de aspecto nuevo".

Understand "diario de aspecto nuevo" as the diario.

An Orion star is a kind of value. The Orion stars are defined by the Table of Journal Entries.[* Los testers fueron acicateados de distinta manera de que tuviesen que saberse los nombres de las estrellas de Orión por sus conocimientos generales, y las transcripciones mostraron que las respuestas más populares fueron tratar de meter todo lo que venía en la entrada de la Wikipedia. La tabla trata de preveer todas las variantes de nombres usadas en referencias populares, pero en cualquier caso no contienen ninguna información crucial: y cuanto más alcanza uno estrellas más obscuras, este comunica menos y menos. De todas formas, fue la paranoya de los testers con Orion la que me condujo a escribir el "extra", la falsa revista Collegium, que incluye pistas sobre Orión y excusas para todas las cosas raras de las reglas.] journal-turning it to is an action applying to one thing and one Orion star. Understand "abre [something] por [Orion star]" as journal-turning it to. Understand "busca [Orion star] en [something]" as journal-turning it to (with nouns reversed). Check journal-turning: if the noun is not the diario, say "Eso no tiene ninguna referencia de estrellas." instead. Carry out journal-turning: say the corresponding journal entry of the Orion star understood; say paragraph break. Before writing: if the second noun is the diario, say "Has jurado no escribir en este diario hasta que tu expedición esté completa." instead.

[Año 342. Primero del Leopardo.]

Table of Journal Entries
star name		corresponding journal entry
betelguese	"Aunque tenga las mismas letras, esa estrella no se escribe así. Puede que lleves toda tu vida llamándola así pero quizás es que llevas toda tu vida equivocado -como quien lleva toda su vida escribiendo mediaval, por muy bien que suene, no quiere decir que sea correcto. El nombre correcto de la estrella es 'Betelgeuse'."
betelgeuse	"Día 13º de la Tortuga, año 346. El viejo Scrofulax en su peor día - doble sesión, hablaba y hablaba aparentemente para siempre. Seguía perdiendo trocitos de manzana en su barba. Pero, por una vez, fue inútil, no nos dormimos. Por primera vez teníamos pergaminos sobre los que practicar, sólo pergaminos inscritos con el hechizo 'animar berro' pero por algo hay que empezar, como el propio Scrofulax decía, y de todas formas no quieres vivir en un mundo donde los berros estén desanimados, ¿verdad? Así que hice mi primer 'memorizar'. No funcionó muy bien, pero por un momento supongo que podría haber alentado algo de hierba. Como siempre, ellos nos lo hicieron repetir veinte veces. ¡Y luego nos hicieron caminar bajo aquel gran talismán que dejaba nuestras mentes de nuevo limpias! ¿Así como vamos a aprender? 'Memorizar' se supone que te da la habilidad permanente de conjurar el hechizo de un pergamino, pero eh, tan sólo lo tuvimos durante una hora y media."
rigel		"Día 1º del Leopardo, año 342. ¡Primer día en el Collegium! Un gran dormitorio frío y libros ENORMES, aunque deliciosas natillas, y Migstipple de la clase IV, dice que puede hacer 'conocer naturaleza' pero ese chico es un mentiroso y mi abuelo puede hacer 'exorcizar no-muertos' que es mucho mejor."
bellatrix	"Día 6º del Camello, año 347. Hoy, ellos, nos han quitado todos nuestros amuletos de madera. Es gracioso, cuando no eres más que una pequeña lagartija, ves a los chicos grandes andando por ahí sin llevar nada en sus muñecas y uno, sencillamente, no puede esperar. Además me siento un poco avergonzado. Resulta que no era simple madera, sino madera imbuida en magia, y era esta quien estaba realizando todos los hechizos, no nosotros. Sea como sea esta nos proveía de toda nuestra fuerza. Nunca me había dado cuenta, pero cuando lanzas un hechizo, te cuesta un poco de fuerza, y es por esto que están tan obsesionados en enseñarnos a medir nuestra FUE todo el tiempo. Así que ellos nos hacieron lanzar 'detectar trampa' sobre nosotros mismos, y Migstipple tuvo que sentarse y su cara estaba pálida como la muerte. El ánimo durante la cena estuvo bastante decaído. Esto no va a ser tan fácil como habíamos pensado."
mintaka	"Día 38º de la Golondrina, año 347. Completamente exhausto. Ejercicios interminables sobre focos.  Parece ser que lo que cuenta no es el foco en sí, tal y como parece en todos esos dibujos - el hechicero sosteniendo en alto una lámpara de plata y todo eso - sino el material del que están hechos. Y uno necesita el material correcto o el hechizo no funcionará. Excepto que, ¡algunos hechizos no necesitan de ningún foco! O algo por el estilo. Estoy tan cansado que incluso no podía escuchar lo que Babbington estaba diciendo al final. ¿Cuando nos van a devolver nuestros amuletos? ¿Cuando?"
alnilam	"Día 2º del Leopardo 348. Gran día, merece una gran estrella en el viejo diario, si señor. Mi primer gran hechizo de verdad. No puedo recordar porque elegí 'exorcizar no-muertos' para mi asignatura opcional de este año, salvo porque sonaba muy siniestro. Y hoy ha sido la primera vez que lo he conjurado de verdad. Ha sido el susto de mi vida cuando la vieja espada desafilada que llevaba como foco ¡desapareció de mis manos! Migstipple me dió un frasco de poción de fuerza para poder volver a ponerme en pié, y sí, parece ser que la ardilla zombie había sido devuelta al inframundo, lo cual mola, pero ¿qué le ha pasado a la espada? Creía que la había soltado, lo cual habría sido muy tonto. Babbington ni siquiera se rió, por una vez, se comportó de una manera decente. Resulta que un hechizo realmente grande drena el foco hasta dejarlo fuera de la existencia - y este era, realmente, un gran hechizo. A pesar de todo, sigo preocupado por mi acné."
alnitak	"Día 14º de la Tortuga, año 347. No sé porque me molesto con este diario en las vacaciones de verano, pero supongo que se ha vuelto un hábito. El lugar de mi Tátara-tátara-abuelo en las montañas no está tan en ruinas y desolado como había esperado, y parece como si la gente hubiese ordenado tanto que no hay manera de encontrar los pocos pergaminos que él hubiese dejado atrás. El estudio es algo interesante, creo. Sin pasajes secretos aún. Hice dar vueltas el globo por un rato, pensando que pasaría algo. Pero no ocurrió nada, aparentemente. Leí un viejo libro polvoriento llamado Reliquias de Tolti-Aph, pero no me creo ni una palabra de lo que dice."
tabit		"La entrada TABIT está tachada casi de inmediato, ya que decidiste que deletrearla THABIT sonaría más siniestro."
thabit	"Día 42º del Lechón, año 346. Ejercicios de combate, bajo la lluvia. Cuando ellos te dicen en clase que sólo los hechizos ofensivos y defensivos se pueden lanzar durante el combate, uno mira con superioridad y piensa 'en todo caso, antes que yo'. Resulta que no están bromeando, es mucho más difícil conjurar cuando estás distraído por algún troll de las cavernas. No es que practiquemos con trolls de las cavernas reales. 'Muy bien, Mr Migstipple,' dijo Babbington cansadamente, 'pero al menos maneje esa porra como si tuviese alguna idea de lo que es un instrumento romo, ¿de acuerdo?' Ahí la llevas."
algiebba	"Día 29º del Azor, año 346. Esta mañana ellos nos hicieron distinguir entre pociones de fuerza. '¿Dirías que esta es amarilla, color café o ocre?' Me harté y le dije a Swarthwater que la poción en cuestión era definitivamente café-amarillento y no amarillento-color café. No esperaba que esta fuese la respuesta correcta."
mankib	"Día 3º del Camello, año 346. Todo el mundo parece tener problemas en la codificación de colores de las pociones de fuerza. Se enfadan porque yo sé distinguir entre carmín de carmesí y este de escarlata. Crabheart me trajo su zumo para identificarlo en la cena. Le dije que era verde manzana con toques de marrón, y que además estaba envenenado. Ella pretendió no creerme, pero Misgstipple dijo que le vio lanzar 'detectar trampa' para asegurarse."
hatsya	"Día 2º de la Tortuga, año 343. Probabilidad de examen en dos días. He pasado toda la tarde haciendo gráficas y tratando de memorizar. Los chicos más grandes dicen que serán preguntas de desarrollo: ¿cuando un arma de 1d10 es mejor que una de 2d3+1? ¿Cuando es peor? ¿Cual blandirías contra un gnomo? Etc. Juro que mi cabeza va a explotar. Al menos, me gustaría que todo el mundo usase la misma base. ¿Qué hay de malo en que todas sean d20?"
nair a saif	"Día 17 del Ánade, año 348. La mañana después de la noche anterior. No más lecciones, no más ceremonias, no más natillas. Casi no puedo soportarlo. Pensar que Scrofulax no parecía muy orgulloso de eliminar todos nuestros puntos de experiencia de vuelta a 0. Lo sé, lo sé, los de la escuela no son los puntos de experiencia reales, pero aún así fueron muy difíciles de ganar, y ahora soy un don nadie de nivel 1 sin NINGÚN PUNTO DE EXPERIENCIA."
saiph		"Día 29 del Ánade, año 348. Si este condenado bosque continúa y continúa por más tiempo, yo mismo me convertiré en un árbol. Quiero decir, ¿es que los dioses no piensan?, claro, me gustaría un poco más de variedad, ¿pongamos un glaciar aquí y quizás unas cuantas playas arenosas acá y allá?"
meissa	"Día 31 del Ánade, año 348. Casi allí, de acuerdo con el dibujo que hice del viejo globo. Parece ser que lo primero que debo ver de Tolti-Aph es el Gran Muro, y este tiene que ser gigantesco si los grabados en las Reliquias son de fiar."
orion		"Esa es la constelación completa, no una única estrella."
nebulosa de orion	"Eso es una nebulosa, no una estrella. De ahí el nombre."
m42		"Eso es una nebulosa, no una estrella."
m43		"Eso es una nebulosa, no una estrella."
cinturón		"Eso es el nombre de un colectivo de estrellas."
trapecio		"Eso es el nombre de un colectivo de estrellas."

Section S(c) - El Árbol Caído y los Bataneros

The Árbol Caído is north of Calle del Gran Muro. "El terreno, que desciende gradualmente hacia el norte, está invadido por la maleza y se interrumpe aquí por el tronco caído de un árbol gigante. Este parece haber demolido parcialmente una vieja casa de la ciudad en dirección nordeste."

The tronco is scenery in the Árbol Caído. Instead of climbing or entering the tronco, say "No hay necesidad de trepar por él." The tronco is madera.

The printed name of the tronco is "tronco caído de un árbol gigante".

Understand "tronco caido" or "arbol gigante" or "arbol" as the tronco.

The casa parcialmente demolida is scenery in the Árbol Caído. Understand "casa de la ciudad" as the casa parcialmente demolida. Effect of casting remendar at the casa parcialmente demolida: record outcome "pero es que es una tarea demasiado grande. Esa idea de reconstruir Tolti-Aph casa por casa, es muy admirable, pero quizás poco realista"; rule succeeds. The casa parcialmente demolida is female.

The esqueleto is a supporter in the Árbol Caído.[* Soporte en el sentido de que puede tener cosas, no en el sentido político. NT: Un chiste político intraducible. Creo que un supporter en política es un apoyo político tanto dando la cara por una campaña o aportando dinero. Las donaciones... siempre son un tema polémico.] "Apoyado contra el tronco ves la parodia de un hombre sentado, un esqueleto (bueno, no, es el de una mujer, a juzgar por la pelvis) de un blanco reluciente a la luz del sol. Las cuencas vacías de los ojos miran hacia el cielo en una suerte de curiosa expectación." Effect of casting remendar at the esqueleto: record outcome "carne se forma de nuevo sobre sus huesos, hasta que ella queda sentada, desnuda (ya que sus ropas no están aquí para ser remendadas) frente a ti; por un momento ella parpadea incrédula, pero toda semblanza de una nueva vida se disipa cruelmente en mero aire. Parece ser que uno no puede remendar un esqueleto, incluso con su propio hechizo"; rule succeeds.

Instead of attacking or kissing the esqueleto, say "Eso violaría un tabú muy poderoso entre tu gente; aparte de que un alarmante número de esqueletos no están tan muertos como parecen."

A mochila de cuero is in the Árbol Caído. "En el regazo del esqueleto hay una mochila de cuero." The mochila is trapped. The pergamino inmaculado is a scroll in the mochila. The inscribed spell of the pergamino inmaculado is remendar. The arpía guardián is an arpía. The mochila is closed and openable. Instead of examining the trapped mochila, say "Parece ser que alguien... un momento: es curioso que la mochila esté sin tocar, sin desvalijar, cuando todo lo demás sencillamente no está, incluso las ropas del esqueleto han desaparecido." Instead of taking or opening the trapped mochila: say "En cuanto tus dedos ladronzuelos tocan la mochila de la mujer muerta, un chillido casi te tira de espaldas, y lo que es peor: ¡una arpía cae en picado de los cielos!"; now the mochila is untrapped; move the arpía guardián to the location; mount an attack from the arpía guardián. The mochila de cuero is carne and female.

Understand "arpia guardian" or "harpia guardian" or "harpia" as the arpía guardián.

The frasco azul marino is a strength potion in the mochila de cuero. The frasco azul marino has additional strength 1d4+2.

A diario en cursiva is in the mochila de cuero. The diario en cursiva is papel. The description of the diario en cursiva is "Un diario escrito en cursiva, esto no se enseña en las escuelas de los gremios desde hace siglos. La entrada final te hace suspirar:

Sin fuerzas... tan cruel estar tan cerca...[line break]recita tus oraciones pequeña,[line break]fuera los días desolados de tiempo anegado -[line break]vosotras nubes libres viajeras estad conmigo -

Claramente ella estaba en un estado místico al final. El colapso de fuerza puede hacer eso en un usuario de magia."

Instead of going north from the Árbol Caído with the bola ornamental de piedra, say "Es inútil: la bola de piedra no puede rodar más allá del tronco."

Instead of going nowhere from the Árbol Caído, say "Sino fuera por el muro roto al nordeste, tan sólo podrías ir al norte o el sur a lo largo de la calle."

The Casa de los Bataneros is northeast of the Árbol Caído.[* La parte más al sur de la ciudad - donde llegaban todos los cargamentos - debía de ser donde el comercio y los artesanos hacían su trabajo, pero quería obviar los típicos gremios. Los Bataneros eran gente que limpiaba y comerciaban con ropa que hacían con lana: es un tipo de comercio que murió con la Revolución Industrial, pero como apellido sobrevive en Inglaterra, casi famoso por el poeta John Fuller - de tal forma que quizás sea la razón de porqué le escribí a los bataneros un pequeño poema.] "Esta estancia bien podría ser la más habitable de todas las abandonadas en Tolti-Aph, a pesar de que los artesanos que la construyeron, bataneros de la lana a juzgar por los frescos, no fuesen en ninguna manera ricos. Y porque además, lo poco que podían permitirse a modo de ventanas no era más que una sólida pared de ladrillo."

Outside from the Casa de los Bataneros is the Árbol Caído. Instead of going nowhere from the Casa de los Bataneros, say "Sino fuera por el agujero en la pared recientemente hecho por el árbol caído, se te ocurre que esta habitación habría permanecido completamente sellada, hermética. Debe de estar conservada casi a la perfección."

A cuadro de una pipa de tabaco is fixed in place in the Casa de los Bataneros. "En una pared hay un cuadro de una pipa de arcilla para fumar tabaco." The description of the cuadro is "Escrito bajo el marco, en lengua vulgar está escrito: ESTO NO ES arcilla." The cuadro is papel. Instead of taking the cuadro, say "Está fijo a la pared." Understand "dibujo" as the cuadro de una pipa de tabaco.[* Véase a René, por supuesto, pero el motivo de este pequeño puzzle es tentar al jugador con algo hecho de arcilla - porque el jugador necesita terriblemente un foco de arcilla para poder conjurar "hacer santuario".]

Looking behind is an action applying to one visible thing. Understand "mira detras de [something]" as looking behind. Report looking behind: say "No ves nada especial detrás de [the noun]." Instead of looking behind the cuadro, say "Parece ser que está sujeto a la pared con algún tipo de mecanismo, así que sencillamente no puedes quitarlo para mirar detrás." Instead of pushing or pulling the cuadro, try looking behind the cuadro.

A telar is a supporter in the Casa de los Bataneros. "La pieza central de la habitación es un viejo telar en el cual es probable que las etéreas trenzas de lana fuesen alguna vez lavadas, peinadas y tejidas." The pergamino alargado is a scroll on the telar. The inscribed spell of the pergamino alargado is circunvenir cerradura. Before casting memorizar at the pergamino alargado, say "Bajo los términos de la reciente Actuación Apropiada de la Hechicería del Milenio, todos los usuarios de magia son hipnotizados para hacerles imposible aprender ciertos hechizos conectados con las trampas de las cerraduras y otros dispositivos para proteger la propiedad. Al igual que los demás usuarios de magia, estás resentido por la implicación de que tú eres algún tipo de cleptomaníaco, y consideras que esto es una escandalosa invasión de tus libertades personales. ¡Especialmente porque los que han impuesto estas restricciones son los mismos que hablan y hablan sobre su derecho a portar varitas de 'bola de fuego apocalíptica'! Tsk." instead.[* La Asociación Americana de la Industria de la Grabación debería notar que esto cabreó bastante a los testers.]

The mecanismo is scenery in the Casa de los Bataneros. Instead of examining or searching the mecanismo, say "Las máquinas y los engranajes siempre se te han dado fatal, lo tuyo es la magia. Además el mecanismo atascado del telar parece oculto a la vista. No hay nada que hacer... a mano."

The description of the telar is "Pintada alrededor de la base del telar hay una partitura, aparentemente, de una canción, escrita en la notación de tablatura tradicional." The partitura is scenery in the Casa de los Bataneros. The partitura is female. Understand "cancion" as the partitura. Understand "canta" as singing. Singing from is an action applying to one visible thing. Understand "canta [something]" as singing from. Check singing from: if the noun is not the partitura, say "Podrías cantar, quizás, con una partitura, pero no con [the noun]." Before singing in the Casa de los Bataneros: try singing from the partitura instead. Instead of singing from the partitura: say "Caminas lentamente alrededor de los cuatro lados del telar, cantando la canción; una ronda y parecen unas notas bastante alegres para estar escritas por aquellos empleados en un arte básicamente repetitivo. Una pequeña y bonita canción, la cual no te hace lamentar que tu padre te hiciese aprendiz de magia, en lugar de esto.

'Oh el telar gira[line break]
Y el mundo gira[line break]
Así llega el día[line break]
Y el telar gira[line break]
Así la hoja gira[line break]
Que gira el mundo[line break]
Así que todo gira'[line break]".

Instead of turning the partitura, say "Le das la vuelta a la canción en tu mente."

The vieja pipa de tabaco is arcilla. Instead of turning the cuadro for the first time: say "Giras el cuadro, dándole la vuelta, y te sorprendes al encontrar detrás un escondrijo secreto de tabaco. Sin duda un lugar para ocultarlo de las mujeres de los bataneros. Todo está podrido excepto una vieja pipa, que no dudas en agenciarte al instante, por tu habitual impulso cleptomaníaco."; now the player carries the vieja pipa de tabaco; award 3 points. Instead of turning the cuadro, say "No, no hay más pipas." Instead of smelling the vieja pipa de tabaco, say "Es extraordinario durante cuanto tiempo sobrevive el fragante olor, aún así, apenas queda una débil huella ahora." Understand "fuma [something]" as burning. Instead of burning the vieja pipa de tabaco, say "Es un hábito pernicioso, mal visto por los usuarios de magia contemporáneos." The vieja pipa de tabaco is female.

Instead of squeezing the cuadro, try turning the cuadro. [ NT: Esto es debido a que tuerce sirve para el verbo retorcer :(]

The Internal Cavity is a container. The modesto pergamino is a scroll in the Internal Cavity. The inscribed spell of the modesto pergamino is silencio. The Temporary Cavity is a container.[* Cuando el telar gira, todo lo que hay dentro sale fuera y viceversa, y esto significa que hay que intercambiar el contenido de dos contenedores. La forma más fácil de hacer esto es tener una tercera localización para almacenamiento temporal, he ahí la Temporary Cavity (Cavidad Temporal), que no tiene existencia física en el mundo del jugador y por eso no aparece en el juego.]

The telar can be known to be broken. The telar is not known to be broken.

The telar is trapped. Instead of turning the telar:
	say "Tus dedos finalmente localizan el agarre oculto que gira el telar, y que permitía a los tabaneros trabajar en ambos lados de la prenda. ";
	if the telar is trapped
	begin;
		now the telar is known to be broken;
		say "Pero el mecanismo está atascado de alguna manera." instead;
	end if;
	say "El mecanismo gira suavemente";
	if something is on the telar, say ", llevándose [the list of things on the telar] fuera de vista";
	if something is in the Internal Cavity, say ", trayendo [the list of things in the Internal Cavity] a la vista";
	say " cuando la nueva cara del telar aparece.";
	now all the things in the Internal Cavity are in the Temporary Cavity;
	now all the things on the telar are in the Internal Cavity;
	now all the things in the Temporary Cavity are on the telar.

Effect of casting remendar at the trapped telar:
	if the telar is known to be broken
	begin;
		record outcome "que se mete en los mecanismos del telar - no tiene ninguna trampa de ningún tipo, sólo que está lleno de engranajes enredados, y así, pronto, la obstrucción cesa";
		now the telar is untrapped;
		rule succeeds;
	end if.

Instead of attacking the telar, say "En el caso de que tu seas del tipo de aventurero que patea las cosas cuando se frustra, lleguemos a un acuerdo ahora mismo de que eso no va a ayudarte." [* Hubo un cierto montón de "pateo al telar" cuando esta habitación fue testeada.]

Understand "teje" or "teje [text]" as a mistake ("Que pena, los antiguos artesanos de la ciudad se marcharon hace mucho tiempo, y sólo serían un sentimentalismo tratar de revivirlos ahora.").


Section S(d) - El Carril Resquebrajado y las Arañas

The Carril Resquebrajado is north of Árbol Caído. "Este lugar debió de ser vía pública y vía de comunicación norte-sur, pero ahora está tan resquebrajado como la cara de un pescadero. Incluso el viejo pavimento está ausente y unas lápidas robadas se han apropiado de su lugar."

[y su lugar ha sido apropiado por unas lápidas robadas.]

Instead of going nowhere from the Carril Resquebrajado, say "Aunque los montículos alrededor del carril, mitad mampostería, mitad troncos de árboles, debieron ser en su día edificios públicos, hoy son inaccesibles. Quizás más hacia el norte."

Some lápidas robadas are scenery in the Carril Resquebrajado. The description of the lápidas robadas is "Estas lápidas han sido evidentemente desenterradas, acarreadas hasta aquí y tiradas sin ningún cuidado para formar algo que alguien muy descuidado podría, caritatívamente, llamar una carretera. Francamente, es un desastre, resquebrajadas como si fueran galletas." Some lápidas are female. Effect of casting remendar at the lápidas robadas: record outcome "que hacen un intento poco entusiasta de ponerlas bien, pero la tarea está más allá de este hechizo tan básico"; if the medio ladrillo is fixed in place begin; now the medio ladrillo is portable; move the medio ladrillo to the player; end if; rule succeeds.

Understand "lapidas robadas" or "lapidas" or "carril" as the lápidas robadas.

The medio ladrillo is fixed in place. The medio ladrillo is arcilla.[* Otro truco para encontrar un foco de arcilla, en el caso de que el jugador no encuentre la pipa de arcilla.]

Rule for printing the name of the medio ladrillo: say "medio ladrillo que adquiriste distraídamente cuando intentaste remendar la carretera" instead.

The indefinite article of the medio ladrillo is "ese".

The puerta ennegrecida por el fuego is west of the Carril Resquebrajado and east of the Atrio Hundido Este. The puerta ennegrecida por el fuego is a closed openable door. "En la pared construida con losas, [if the location is the Carril Resquebrajado]del lado oeste de la calle[otherwise]de la cima este del atrio[end if], hay una puerta ennegrecida por el fuego, de no más de metro y medio de altura." The puerta ennegrecida por el fuego is lockable and locked. The puerta ennegrecida por el fuego is madera and female. The matching key of the puerta ennegrecida por el fuego is the llave de ocho patas. Effect of casting remendar at the puerta ennegrecida por el fuego: record outcome "la cual arroja un aire de superioridad (como si las puertas pudiesen hacer ese tipo de cosas) y de alguna forma te comunica que le [italic type]gusta[roman type] estar ennegrecida por el fuego, muchas gracias. Le da a la puerta un cierto aire; un cierto brío arrogante"; rule succeeds. The llave de ocho patas is metal. The llave de ocho patas is female.

The puerta ennegrecida por el fuego is inscribable. Check writing it on: if the second noun is the puerta ennegrecida por el fuego, say "En los cuadros de ciudades en ruinas que has podido ver, pastores de miembros bronceados permanecen mirando hacia la puesta de sol del horizonte, mientras viaductos medio caídos y templos de perfecto mármol blanco complementan el prado. Típicamente, no se les ve garabateando pintadas sobre los restos; y a ti tampoco."

Knocking on is an action applying to one thing. Instead of knocking on something, say "Poco se consigue con eso, más allá de los placeres de la percusión." Understand "llama [something]" or "llama a [something]" as knocking on. Instead of knocking on the puerta ennegrecida por el fuego, say "Golpeas la puerta con los nudillos, pero (y esto era previsible, ya que la ciudad lleva abandonada incontables siglos) aparentemente no hay nadie en casa." Instead of taking the puerta ennegrecida por el fuego, say "Siento que realmente te encantaría ser el orgulloso dueño de esta achicharrada, aunque presumiblemente AÚN DE MADERA, puerta. Desafortunadamente está fija en el sitio."[* Los objetos de madera pueden ser usados como foco para hechizos cómo "misil mágico", así que tienen mucha demanda.]
Instead of attacking the puerta ennegrecida, try knocking on the puerta ennegrecida.

A room can be araña gigante-infested. Atrio Hundido Este, Atrio Hundido Norte, Atrio Hundido Oeste and Atrio Hundido Sur are araña gigante-infested. Effect of casting detectar trampa at in a araña gigante-infested room: record outcome "pero realmente, todo el lugar - repleto de espeluznantes sombras y arañazos - es tan obivamente una trampa que no es necesario ningún hechizo para decírtelo. Debe de haber arañas gigantes horribles y medio ciegas por todas partes"; rule succeeds.

The Atrio Hundido Este is a room. "Esta es la esquina este de un atrio hundido, quizás de cuarenta y cinco metros por este lado, rodeado por unos muros impenetrables de mampostería que casi podría pasar por una arena. Un pensamiento desconcertante, sin duda; pero no tan desconcertante como los etéreos hilos que reconoces como el tipo de aviso que sale en los cuentos de hadas donde un lugar está infestado de arañas gigantes. Este sitio es peligroso. Una fuente descansa en el centro al oeste, mientras que los sombríos extremos del atrio se extienden hacia el noroeste y hacia el suroeste." Before going from Atrio Hundido Este for the first time, award 10 points.

The Atrio Hundido Norte is northwest of the Atrio Hundido Este. "Esta esquina norte del Atrio está ruinosamente invadida por telas de araña, vainas, y una compota blanquecina de huesos y quitina." In Atrio Hundido Norte is a cota de anillos.

The Atrio Hundido Oeste is southwest of the Atrio Hundido Norte. "¿Es sólo una coincidencia que el extremo oeste del Atrio sea el único lugar que retiene alguna semblanza con su propósito original? Un tramo de escaleras conduce hacia el sur y arriba a lo que parece ser un viejo taller."

A person can be poisoned or unpoisoned. Every turn when the player is poisoned: if the location is the Sanctum Sanctorum begin; now the player is unpoisoned; say "Con un profundo alivio te das cuenta de que la entrada al santuario a purgado el veneno de tu sangre."; stop; end if; decrease the strength of the player by 1;if the strength of the player < 5, say "Te sientes debilitado por algún tipo de corrupción interior. Sólo la paz del santuario puede curar esto."; if the player is killed, end the game saying "Has muerto envenenado".

The Taller del Apotecario is above Atrio Hundido Oeste. The Taller del Apotecario is south of Atrio Hundido Oeste. "Cientos de pequeños ojos brillantes siguen tus movimientos desde las sombras de este antiguo taller, el cual parece ser el lugar donde el apotecario local mezclaba, molía y filtraba sus productos. Al menos, ese era su trabajo diario; tienes la furtiva sospecha de que su pasatiempo debió de haber sido la colección de especies de arañas exóticas..." The botella de cristal is a closed openable trapped transparent container in the Taller. "La mayor parte del detrito que hay aquí es basura, y casi seguro mortal al tacto, pero una botella de cristal con un pergamino en su interior capta tu atención." The botella de cristal is female. The pergamino cubierto de telarañas is a scroll in the botella de cristal. The inscribed spell of the pergamino cubierto de telarañas is telaraña. Instead of opening the botella, say "No hay una manera obvia de abrir la botella salvo rompiéndola." Instead of attacking the botella for the first time, say "Levantas la botella, preparado para romperla, cuando adviertes, sólo por un momento, que hay una pequeña araña en su interior y, aunque esta se desvanece casi al instante, te da tiempo para pensártelo mejor." Instead of attacking the botella: now the player is poisoned; now the pergamino cubierto de telarañas is in the location; remove the botella from play; say "Justo cuando la botella se resquebraja hasta convertirse casi en polvo - el cristal debe de ser muy antiguo - y el pergamino cubierto de telarañas cae, notas una casi imperceptible sensación punzante en tu antebrazo." After dropping the botella, say "Milagrosamente, no se rompe."

Instead of inserting the botella de cristal into the saetera: now the player is poisoned; now the player carries the pergamino cubierto de telarañas; remove the botella from play; say "Una flecha salvaje destroza la botella que se convierte en polvo - el cristal debía de ser muy antiguo - y el pergamino cubierto de telarañas cae en tus manos, así que casi no notas una imperceptible sensación punzante en tu antebrazo."

The frasco turquesa is a strength potion in the Taller del Apotecario. The frasco turquesa has additional strength 3d4+3.

An espada corta called Bliddforn is metal.[* Esta será referida en el juego como "la espada corta llamada Bliddforn". Las armas con nombre añaden vorpalidad extra y son más o menos obligadas en este tipo de juegos.] The to-hit bonus of Bliddforn is 1.
The printed name of Bliddforn is "Bliddforn, la espada corta". Bliddforn is female.
Understand "espada corta" or "espada" as bliddforn.

[* NT: Unas posibles alternativas: Blood-thorn o blood-fang, en español Cuerno ensangrentado, garra esangrentada, aunque sugieren que el nombre original suena de por sí antiguo, con raices alemanas, así que mejor dejarlo así.]

The Atrio Hundido Sur is southeast of the Atrio Hundido Oeste. "El extremo sur del Atrio está ruinosamente invadido por telarañas, vainas, y una compota blanquecina de huesos y quitina." A goblin muerto is in Atrio Hundido Sur. The goblin muerto is carne. "No todas las víctimas son de épocas pasadas, ya que el cuerpo de un goblin muerto - un señor de los goblins además, a juzgar por el corte de su taparrabos - boquea estúpidamente al mundo en un rictus de envenenamiento." Instead of taking the goblin muerto, say "El cuerpo es demasiado pesado para moverlo. Los Goblins son ligeros de pies pero cargados de espalda, ¿no?" Instead of searching the goblin muerto for the first time: now the player carries Bliddforn; say "Rebuscar el cuerpo toma poco tiempo (mejor así, dado el ambiente en este lugar): pero paga sus dividendos ya que recuperas a Bliddforn, una espada corta que debió de ser una reliquia o herencia goblin." Instead of examining the goblin muerto, say "Es mucho menos repelente examinar el goblin que registrarlo."

Effect of casting remendar at the goblin muerto:
	record outcome "pero el cuerpo lo único que hace es crisparse convulsivamente, una vez";
	rule succeeds.

The Atrio Hundido Este is northeast of the Atrio Hundido Sur.

The Sump of the Fountain-Grove is west of the Atrio Hundido Este.

The Sump of the Fountain-Grove is east of the Atrio Hundido Oeste.

The Sump of the Fountain-Grove is south of the Atrio Hundido Norte.

The Sump of the Fountain-Grove is north of the Atrio Hundido Sur.

Instead of going from a araña gigante-infested room to the Sump of the Fountain-Grove, say "Según te acercas cautelosamente al centro del atrio hundido, un intranquilo desgarrón de las hebras que envuelven la fuente te hace caer en la cuenta repentinamente de que la maraña de telarañas está repleta de... bueno. Existen las arañas grandes, y luego están las arañas-gigante. ¡Nunca dejes que una te vea acercarte!"

Some hebras de araña is a backdrop. The hebras are in Atrio Hundido Este, Atrio Hundido Sur, Atrio Hundido Norte and Atrio Hundido Oeste. Instead of pulling the hebras, say "Sería más seguro tirar del pelo de la Pricesa Vl'tasha. (O casi. Ella tiene 13 y además es una psicópata.)" Instead of examining the hebras, say "Realmente no crees que sea bueno acercarse más." Understand "aranas-gigante" or "aranas grandes" as the hebras. The hebras are female.

Five araña gigantes are in the Sump of the Fountain-Grove.[* The sump - El sumidero de la fuente de hecho no es visitable; existe sólo vivienda para las arañas mientras esperar para picar.]

After going from a araña gigante-infested room to a araña gigante-infested room:
	say "Vas hollando cuidadosamente la periferia del atrio hundido. ";
	if the player is affected by silencio
	begin;
		say "Pero el encantamiento de silencio aguanta, y no molestas a las arañas gigante.";
		continue the action;
	end if;
	if a saving roll of 17 by the player to "pasar de puntillas cerca de las arañas gigantes" is lost
	begin;
		repeat with legsy running through the alive araña gigantes
		begin;
			move legsy to the location;
			now legsy is hostile;
		end repeat;
		say "Las arañas gigantes, con orejas en cada una de sus ocho patas, ¡no son burladas!";
	otherwise;
		say "Gracias a los dioses.";
	end if;
	continue the action.

Rule for dead body disposal of a araña gigante (called the victim) when the location is a araña gigante-infested room: restore the health of the victim; move the victim to the Sump of the Fountain-Grove; continue the activity.

Section S(e) - El Río Torrente Frigio

The Camino de Gravilla is north of the Carril Resquebrajado. "El pavimento provisional llega hasta aquí, donde la calle degenera en un camino de gravilla surcado por carros y pisoteado por infinidad de huellas de pies desnudos extrañamente inhumanos."

Understand "pisa" or "pisotea" as jumping. Instead of jumping in the Camino de Gravilla, say "Saltas sobre la gravilla, y te extrañas de que tus propias huellas tampoco parezcan humanas."

Instead of going nowhere from the Camino de Gravilla, say "Aunque los montículos alrededor del carril - mitad mampostería mitad restos de árboles - debieron ser en su día edificios públicos, ahora son inaccesibles. Quizás más allá hacia el norte."

The camino surcado pisoteado por huellas inhumanas is scenery in the Camino de Gravilla. Understand "grava" or "gravilla" as the camino surcado. The description of the camino surcado is "Trazas círculos en la gravilla surcada con la punta del pié, sin ningún beneficio duradero."

A hostile goblin called Vish is in the Camino de Gravilla. Vish carries a lanza corta. "Vish, un centinela goblin armado con una lanza corta, sisea de rabia simplemente por verte profanando su dominio."

Instead of going to the Vado for the first time, say "Tan sólo una advertencia antes de proceder: quizás debieras ejercitar algo de cautela. Parece ser que la callejuela desciende hacia aguas poco profundas, si los goblins tienen un campamento debe de ser allí."[* La razón de esta advertencia es que los goblins son demasiado duros para acometerlos hasta que el jugador haya conseguido solventar las habitaciones anteriores; lo suficientemente bien como para tener el hechizo "hacer santuario", encontrar algo hecho de arcilla para usarlo como foco, y tener la suficiente fuerza como para realizar el conjuro. La pista es para indicar a los jugadores que deberían volver para terminar las habitaciones iniciales antes de proceder.]

Vado del Torrente Frigio is north of the Camino de Gravilla. "Un rápido torrente poco profundo pasa por la calle desde el noroeste hacia el sureste, y no es ningún riachuelo del bosque, por lo que sienten tus tobillos, más bien parece el nacimiento de un río de montaña que debe de haber brotado del suelo a menos de un kilómetro de aquí. Esto debe de ser trabajo de los goblins."

Filling is an action applying to one visible thing.
Understand "llena [something]" as filling.
Report filling: say "aquí no hay agua para llenar."

In Vado del Torrente Frigio are four goblins, a manojo de ramitas and a puchero roto. The manojo is madera. The puchero is arcilla. Instead of filling the puchero, say "Agj. ¿Usar un puchero que los goblins han usado para cocinar? Mejor no." Instead of burning the manojo, say "El manojo de ramitas está demasiado húmedo para que el fuego agarre, incluso si tuvieses algo con que encenderlo. Los goblins [italic type]han[roman type] descubierto el fuego, pero siguen olvidándose de los puntos esenciales." Effect of casting remendar at the puchero: record outcome "pero es que el puchero no está roto, así tal cual; es que sencillamente fue mal hecho desde primera instancia"; rule succeeds. 

A thing called Torrente Frigio is a backdrop. The Torrente Frigio is in the Vado del Torrente Frigio, the Vertiente and the Nacimiento del Río Torrente Frigio. Understand "agua" or "torrente" as the Torrente Frigio. Instead of drinking the Torrente Frigio, say "Está tan frío que puedes sentir cada diente infividual en toda tu mandíbula." The Torrente Frigio is aire.[* En un sentido metafísico. Hay una excusa - No creo que podamos llamarla explicación - en el falso magazine que acompaña el juego.]

The Riverbed Course is a region. Vado del Torrente Frigio, the Vertiente and the Nacimiento del Río Torrente Frigio are in the Riverbed Course.

Rule for calculating combat modifiers of the player: if the location is in the Riverbed Course, modify to-hit roll by -3 for "por tener tus piernas en el agua"; continue the activity.

For calculating saving roll modifiers of the player:
	if the location is in the Riverbed Course and we are going south,
		modify to-save roll by 10 for "chapoter de vuelta por donde viniste";
	continue the activity.[* Esto es para proteger a los jugadores, los cuales, a pesar de la advertencia, marchan directos hacia los goblins en mitad de una batalla difícil. Asumiendo que desean huir corriendo, necesitan hacer una tirada de salvación para salir: fallar el dado significa una masacre segura. Esto parece ser un poco duro, así que les damos un bonus de +10 en esta tirada de salvación (haciendola virtualmente segura de tener éxito) siempre que lo que quieran es volver atrás a las habitaciones iniciales.]

Instead of swimming in the Riverbed Course, say "El agua es demasiado poco profunda para nadar; puede ser vadeada muy fácilmente, así que siéntete libre de andar de aquí para allá."

Swimming is an action applying to nothing.
Understand "nada" as swimming.
Report swimming: say "No hay agua suficiente en la que nadar."

Instead of going nowhere from the Vado del Torrente Frigio, say "La calle, por supuesto, va de norte a sur; las aguas poco profundas pasan por encima desde el noroeste hacia el sureste."

The Vertiente is northwest of Vado del Torrente Frigio. "El Torrente Frigio va desde el oeste hacia el sureste por un corte tan profundo que casi fluye bajo tierra." The impredecible y majestuoso afloramiento rocoso is in the Vertiente. The afloramiento rocoso is fixed in place. "En el centro de la corriente hay un alarmantemente impredecible, aunque majestuoso, afloramiento rocoso. Debe de ser más antiguo que el río, incluso más antiguo que la ciudad." The description is "Una especie de  colina rocosa que puedes tratar de ascender. Desprende una sensación de paz inusitada."

Instead of going up in the Vertiente, say "Tienes que escalar el afloramiento."

Before climbing the majestuoso afloramiento for the first time, say "Advertencia: podrías ser capaz de escalarlo, pero incluso el intentarlo te costará fuerza." instead.

Instead of climbing the majestuoso afloramiento:
	if the strength of the player < 3, say "Estás demasiado débil físicamente como para intentarlo." instead;
	decrease the strength of the player by 1;
	if a saving roll of 15 by the player to "escalar el impredecible afloramiento" is made
	begin;
		move the player to the Santuario del Pináculo;
	otherwise;
		say "Tu intento falla, y aterrizas con un irritante chapoteo; el agua es poco profunda y el cauce del río inquebrantable.";
	end if.

The Santuario del Pináculo is a room. "La achatada cima del majestuoso afloramiento es, a la vez, severamente plano y sin duda sagrado. Sientes que debe de ser un lugar consagrado a alguno de los dioses de la antigua ciudad."

Instead of praying, say "El ruego a los dioses estaría degradado al hacerlo en un lugar como este."

Instead of praying in the Sanctum Sanctorum, say "Este es el lugar donde uno viene a esconderse de los dioses."

Instead of praying in the Santuario del Pináculo, say "Te preparas con debida solemnidad, y aún así, aún así: sientes que te faltan las palabras apropiadas a usar, si es que quieres que la oración sea respondida."

Praying is an action applying to nothing.
Understand "reza" as praying.

Understand "recita tus oraciones pequeno" as a mistake ("Buena idea, pero eso en sí no es una oración.")

Understand "fuera los dias desolados de tiempo anegado" as a mistake ("Buen intento, pero parece ser que esa no es una oración apropiada para este lugar. No ocurre nada.")

Praying to clouds is an action applying to nothing. Understand "vosotras nubes libres viajeras estad conmigo" as praying to clouds. Check praying to clouds: if the location is not the Santuario del Pináculo, say "Nada ocurrirá aquí." instead. Carry out praying to clouds: if the player does not know misil mágico, award 12 points; now the player knows misil mágico. Report praying to clouds: say "Entras en comunión con este lugar especial. El claro cielo otoñal se llena de nubes que se arremolinan alrededor. Te sientes pleno de propósito y habilidad."

Instead of going down in the Santuario del Pináculo:
	if a saving roll of 15 by the player to "bajar con seguridad del afloramiento rocoso" is made
	begin;
		say "Respiras aliviado, y entonces siseas un poco cuando el Torrente Frigio te recuerda lo helada que está el agua de la montaña.";
	otherwise;
		say "Caes al descender, tomando ";
		let the damage be the roll of 1d6+1;
		say " puntos de daño; que aunque haya agua, es poco profunda y el cauce del río no perdona.";
		decrease the strength of the player by the damage;
		if the player is killed
		begin;
			end the game saying "Al caer te has matado";
		end if;
	end if;
	move player to the Vertiente.

The Nacimiento del Río Torrente Frigio is west of the Vertiente. "El canal que sigue el fondo del profundo corte en la tierra se convierte en algo parecido a una cueva, ya que varias paredes de piedra pulimentada interrumpen el camino. Puedes vadear el río de vuelta hacia el este, ya que el resto de salidas son impracticables."

A reja de bronce is fixed in place in the Nacimiento del Río Torrente Frigio. "El Torrente Frigio nace aquí, atravesando una reja de bronce asegurada firmemente contra la roca de la cueva. Esperabas poder descender por aquí pero, no va a poder ser." Instead of opening the reja, say "Cuando dije 'asegurada firmemente', tenía en mente 'mucho más asegurada de lo que puedas romper con tus propias manos'." Instead of searching the reja, say "Agua. Montones de agua."

A goblin called Dronsh is in the Nacimiento del Río Torrente Frigio. "El Señor de los Goblins Dronsh, que estaba pescando aquí (¿quizás esto esté reservado sólo a las castas más altas?), se enfurece con tu mera presencia como siempre suelen hacer todos los goblins." Dronsh is carrying a lanza corta. Dronsh is carrying the llave de ocho patas. Dronsh has strength 12. Understand "goblin" and "lord" as Dronsh. Understand "señor de los goblins" as Dronsh.

[Los goblins son muy cuidadosos en mantener sus costumbres hospitalarias, se enfurecen con todos los extraños por igual.]

The description of the llave de ocho patas is "¿Qué estaría haciendo Dronsh con esto? No es de factura goblin. El aro al final de la llave está trabajado en hierro templado formando algún tipo de figura de ocho patas: sin valor, sin ser agradable a la vista, pero sin duda no es algo fácil de olvidar."[* Habíamos creado un tipo de subhistoria sobre que Dronsh recientemente había depuesto al señor de los goblins anterior, habiéndole sentenciado a muerte en el Atrio de las Arañas Gigantes, pero es mucho más limpio dejar las explicaciones a la imaginación del lector. Vish también estaba mezclado en la intriga, pero no recuerdo en qué forma.]

Section S(f) - El Pantano

A marsh room is a kind of room. Hondonada Pantanosa and Tronco Flotante are marsh rooms.

The Hondonada Pantanosa is southeast of Vado del Torrente Frigio. "Aquí incluso las losas y las grandes peñas de la ciudad en ruinas se sienten desasosegadas, mientras cuelgan en ángulos imposibles sobre un peligroso y cenagoso pantano hondonada de orillas afestonadas. La única ruta segura posible es volver río arriba, hacia el noroeste. Aunque una especie de pontón de leños descansa hacia el este, aunque hay algo que... hay algo en su aspecto que no te gusta nada de nada."

The pontón de leños is scenery in the Hondonada Pantanosa. Instead of doing something to the pontón de leños, say "El pontón descansa más allá hacia el este."

Before going up in the Hondonada Pantanosa, try going northwest instead.

Instead of going nowhere from a marsh room:
	say "El pantano hace remolinos al tragarte en su turbulenta barriga.";
	end the game saying "Te has ahogado en el pantano".

The Tronco Flotante is east of the Hondonada Pantanosa. "Esta plataforma - ¿Quién la construyó, porqué? - es como una balsa de troncos a la deriva en un río; sólo que está estática en mitad de un pantano mortal, el cual se hace más profundo en todas direcciones hasta donde alcanza la vista, salvo hacia el oeste." Instead of praying in the Tronco Flotante, say "Los dioses de este lugar son, como decirlo, poco comunicativos."

In the Tronco Flotante is a espectro del pantano. A pirámide de platino is in the Tronco Flotante. "Balanceandose sobre el pontón, y forzando su capacidad de carga hasta lo primordial, hay una pirámide tan alta como tu cintura de lo que parece ser platino sólido." Instead of doing something to the pirámide de platino when combat proceeds, say "Ni siquiera puedes echar una buena mirada a la pirámide mientras el espectro te está hechizando." The pirámide de platino is fixed in place. The description of the pirámide de platino is "Parece algún tipo de altar, consagrado al horrendo dios de los no-muertos de los pantanos. Está completamente garabateado por toda su superficie por incomprensibles símbolos e hiroglifos, no muy bien escritos." Understand "simbolo", "simbolos", "glifos" and "hiroglifos" as the pirámide de platino. The pirámide de platino is metal. The pirámide de platino is female.

Understand "piramide de platino" or "piramide" as the pirámide de platino.

The pirámide de platino is inscribable. Carry out writing "fuera los dias desolados de tiempo anegado" on pirámide de platino: if the player does not know dormir dragón, award 12 points; now the player knows dormir dragón;[* En este tipo de juego el jugador básicamente progresa coleccionando nuevos hechizos, pero es muy aburrido conseguirlos todos a base de pergaminos. Así que dos hechizos puedes ser adquiridos rezando a los dioses apropiados, en este caso a unos inadecuados: las pistas están en el diario del esqueleto.] say "Justo tras escribir estas palabras sagradas sobre la pirámide con la pluma te echas hacia atrás (tan sólo un paso). Al comunicarte con las horrorosas sombras de los muertos en este lugar especial, sientes que lo que antes era un pantano deshabitado, ahora exuda una tenebrosa presencia. El terrible presentimiento cede y en cambio te sientes pleno de propósito y habilidad." instead. Understand "fuera los dias desolados de tiempo anegado" as a mistake ("Tus palabras parecen morir en el silencio del pantano. No ocurre nada."). Carry out writing it on: if the second noun is the pirámide de platino, say "Incluso al escribir eso sobre la superficie de la pirámide, parece algo tan erróneo de decir, que tu mano vacila."

Chapter Z - El Ziggurat Central

The Ziggurat is north of Vado del Torrente Frigio. "Aquí está el único edificio visible desde la distancia que sobrevive en estas ruinas, en toda su pura y completa inmensidad: el impresionante Ziggurat, un templo piramidal escalonado, se alza hasta donde alcanza la vista. Claramente este es el destino de la vieja calle, que desciende ligeramente hacia el vado en el sur."

The templo piramidal escalonado is scenery in the Ziggurat.[* Parece que ahora estamos en Centro América, mientras que las habitaciones iniciales era más del estilo Europeo-medieval. Estupendo.] Understand "ziggurat" as the templo.

The wyvern de escamas verdes is an indifferent wyvern in the Ziggurat. "Un wyvern de escamas verdes [if the wyvern is wakeful]enrolla su largo cuello mientras te observa sin parpadear[otherwise]duerme felizmente[end if], tomando el sol sobre los escalones del Ziggurat. ¡Una de las grandes bestias de las fábulas! Nunca pensaste que verías uno, y lo cierto es que sólo conoces de él que es sumamente territorial, además de enormemente peligroso si se le provoca."[* Los testers sencillamente no aceptaban un "no" por respuesta, y seguían y seguían tratando de vencer al wyvern. El cual está hecho para que sea esencialmente imposible de matar, así que la única forma de pasarlo es usar el hechizo "dormir dragón", porque esto garantiza que el jugador ha resuelto toda el area del Barrio Sur antes de continuar - y eso es necesario, porque de lo contrario, el jugador no sería lo suficientemente poderoso para hacer frente a lo que se avecina. En cada revisión del juego, el wyvern fue haciéndose más fuerte y duro de matar.] Understand "dragon" or "guiverno" as the wyvern. The description of the wyvern is "No ves nada especial en el wyvern. No es más que el guiverno de todos los días del tamaño de una casa pequeña, cuando te acostumbras a él. Poco interesante."

Instead of going up from the Ziggurat in the presence of the wakeful wyvern:
	if the wyvern is indifferent, mount an attack from the wyvern;
	otherwise say "¡El wyvern tiene toda las intención de detenerte!"

Instead of going nowhere from the Ziggurat, say "Las ruinas son intransitables en todas las direcciones. De repente te das cuenta de que, bueno, no es coincidencia que la única ruta accesible conduzca hasta aquí."

Instead of going north from the Ziggurat, say "Eso significaría SUBIR por el Ziggurat, si es que te atreves."

The Apoteósico Trono is above the Ziggurat. "¿A cuantos de los cientos que vivían en Tolti-Aph alguna vez les fue permitido subir hasta aquí, te preguntas, a esta meseta cuadrada de unos veinte metros de lado? A los arzobispos y el rey, probablemente - o quizás sólo en días de fiesta; y a alguna que otra virgen de blanco cuello en su camino hacia un espacioso encuentro con [if the Vestidor Real has been visited]un monarca lujurioso[otherwise]una daga de obsidiana[end if]. Ahora, todo parece imposiblemente lejano."

The ciudad Tolti-Aph is scenery in the Apoteósico Trono. Understand "ruinas" as Tolti-Aph. The description of Tolti-Aph is "Sólo los blanquecinos huesos del asentamiento en ruinas pueden ser distinguidos entre el bosque usurpador. Claramente esta nunca fue una ciudad, incluso para los degenerados estándares de la gente de por aquí que se adulan así mismos llamando a cualquier cosa 'ciudad'." The ciudad is female.

The trono labrado en piedra is a door. "[if in the Vestidor Real]El extraño pasaje serpenteante lleva de vuelta hacia afuera.[otherwise]Dominando la cima hay un edificio muy bien fundamentado labrado en roca con la forma de un trono, como si esperase a que un dios se sentase sobre él. Un extraño pasaje serpenteante a un lado del trono conduce a la oscuridad del interior." The trono labrado en piedra is inside from the Apoteósico Trono and outside from the Vestidor Real. The trono labrado en piedra is open. The trono labrado en piedra is not openable. Understand "pasaje" or "edificio" as the trono labrado en piedra. The description of the trono labrado en piedra is "Piensa en un edificio pequeño, no en mobiliario grande." Instead of climbing the trono labrado en piedra, say "Es más un símbolo de poder que una silla funcional. Hay que trepar por él para ello. Parece extraño estar desanimado tras los últimos 5 metros de escalada, pero lo estás. Además los lados del trono son perfectamente lisos." Instead of going up in the Apoteósico Trono, try climbing the trono instead. Instead of jumping in the Apoteósico Trono, say "Hay formas mucho más fáciles de suicidarse en la ciudad, si buscas con algo más de interés."

Understand the command "sientate" as something new. Understand "sientate en [something]" or "sientate sobre [something]" as climbing.

Include (-VerboIrregular "sentarme" with imperativo 'sientate';-).

The Vestidor Real is a dark room. "Con la curiosa luz mágica, ves un modesto Vestidor Real - no hay duda que este era un lugar donde tocados emplumados, pieles de jaguar y prendas del estilo estaban dispuestas para que el divino monarca las mostrase ante populacho - de hecho está pintado por todos lados con imágenes altamente 'artísticas' de súcubos. Y el suelo está, bueno, algo más acolchado de lo estrictamente necesario."

Some imagenes artisticas de sucubos are scenery in the Vestidor Real. The description of the imagenes is "Han pasado siglos desde que estas imágenes se pintaron, y aún así, hoy en día sigue siendo posible admirarlas como unas obras de arte realmente logradas. Y a eso es lo que te dedicas durante un buen rato." The imagenes are female. Understand "sucubo" as the imagenes.

Rule for printing the name of the imagenes: say "imágenes artísticas de súcubos" instead.

Instead of sleeping in the Vestidor Real, say "Los recuerdos de aquellos días en el Collegium cuando todos los chicos fueron llevados a ver la verdadera forma de un súcubo, y las chicas a ver la verdadera forma de un íncubo, permanecen en la memoria como una vívida sombra."

Instead of going down in the Apoteósico Trono, say "Todas las direcciones desde aquí van hacia abajo, lo cual era el propósito de los arquitectos. Te orientas de forma que te figuras que el camino que el wyvern estaba guardando es el lado sur." The Ziggurat is south of the Apoteósico Trono. Instead of going outside in the Apoteósico Trono, say "Esto es lo más afuera que se puede estar."

Going northeast is going diagonally. Going northwest is going diagonally. Going southeast is going diagonally. Going southwest is going diagonally. 

Instead of going diagonally in the Apoteósico Trono, say "Sería peligroso trepar hacia abajo por una de las cuatro esquinas angulosas. Limítate al norte, este, sur y oeste."

Instead of praying in the Vestidor Real, say "Aquí sólo hay una religión, y no es del tipo que sueles practicar a solas." Instead of praying in the Apoteósico Trono, say "Ciertamente una vez este lugar fue sagrado. Ahora no es más que meramente elevado."

After going south from the Apoteósico Trono: say "Desciendes lentamente los escalones hasta llegar donde termina la calle norte-sur."; continue the action.

After going east from the Apoteósico Trono: say "Desciendes lentamente los sombríos escalones hasta llegar a un encantador jardín de luz crepuscular."; continue the action.

After going west from the Apoteósico Trono: say "Desciendes lentamente los enormes escalones ceremoniales, con el sol de la tarde sobre tus ojos, y al fin alcanzas el nivel del suelo al llegar a un estrecho canal."; continue the action.


Chapter E - Barrio Este

[ El Barrio Este es en realidad un puzzle enorme: el anteriormente Laberinto de las Bestias Reales, el cual, como suele ser habitual, sigue operativo. Comenzamos con una única habitación, la Arboleda Seca, y los Niños Perdidos que actúan como guardas del laberinto. Debes probarte a ti mismo para poder entrar - realmente queremos que el jugador intente este barrio el último de todos - y entonces resolver uno o más puzzles del laberinto para poder salir.

Este Barrio implica dos hechizos inusuales que no se encuentran en las reglas estandar de W&W, así que son definidas aquí, sencillamente continuando la tabla anterior. "Postulante Compelido" es inusual porque se lanza sobre el jugador, no es lanzado por él.

Además necesitamos un nuevo material para los objetos pseudo-reales que se encuentran en el Laberinto, la mayoría de los cuales no pueden ser sacados de él.]

Table of Enchantments (continued)
spell		nature	cost	requirement	emission		targeting
postulante compelido	arcano	20	aire		"un pincel fantasmal"	targeted
forzar laberinto	arcano	6	metal		"una forma borrosa que gira"	untargeted

The esencia mágica is a material. [* NT: Más hechizos originales: compell postulant, force labyrinth. Este material nuevo se llamaba: the magical essence.]


Section E(a) - La Arboleda Seca

A room called En la Arboleda Seca is east of the Apoteósico Trono. "Estos terrenos del antes eran formalmente los jardines reales; ya nunca más formales, de hecho, desde que abarcaron el Laberinto de las Bestias Reales, el tradicional terreno de pruebas para los magos que deseaban avanzar al servicio del rey. De la estructura original nada queda salvo el 'arco de factura entramada' hacia el este, los altos setos alrededor obscureciendo toda vista de lo que habrá más allá, el banco de piedra; de hecho, más o menos todo ha sobrevivido, o eso parece."

The Apoteósico Trono is up from the Arboleda Seca.

A corro de fantasmales niños perdidos is a person in the Arboleda Seca. "Pero no quizás por causas naturales, ya que un corro de fantasmales niños perdidos, cosas pálidas con violentos y profundos ojos, que con las manos unidas danzan y danzan, una y otra vez, alrededor del banco de piedra." Understand "ninos" and "fantasmas" and "fantasmales" and "palidos" as the niños perdidos. [* NT: La Arboleda Seca, se llamaba en Inglés, The Budless Grove. Difícil de traducir pues Bud significa capullo o brote, y Less, ausencia de, por tanto sería algo así como la arboleda sin germinar, sin echar frutos, sin tener capullos. Opté por Arboleda Seca, más sencilla e igual de poética. Aunque no muy correcta. El texto inglés denota que sí, que es un jardín, no seco, pero sencillamente que no está en flor. Lo dejaré así, de momento. Luego están los never-children. Los nunca-jamás-niños. Niños perdidos hace casi la misma referencia a niños que dejan de ser niños de una forma siniestra, como los de Peter Pan, y también recuerda a la película La Ciudad de los Niños Perdidos, y al Nunca-Jamás de otros cuentos más siniestros.]

Instead of attacking the niños perdidos, say "Hay un abrupto cambio de escala. La risita de los niños crece hasta ser un rugido atronador, desde muy muy alto.

De repente caes en la cuenta de que esta lucha podría comenzar mientras tu tienes la altura de un apargata. Calculas que cada uno de los niños perdidos debe de tener una FUE de 4, y dudas de que puedan hacer entre todos más de 1d4 de daño. Pero por otro lado ahora tienes una FUE de 1/10...

Así que es una suerte que, tratando el episodio como un juego, ellos te permitan retornar a tu tamaño original. Das un paso hacia atrás involuntariamente."

Instead of kissing the niños perdidos, say "Podrías acercarte lo suficiente. En tanto si pudieras alejarte de nuevo..."

The description of the niños perdidos is "Como el nombre sugiere, son niños perdidos. Perdidos de esta realidad. No están muertos, porque nunca han estado vivos. Ellos - bueno. Dejémoslo así."

Instead of giving something to the niños perdidos, say "'¡No queremozz regalozzz!' gritan con ironía. Todo este ceceo se va a hacer tedioso muy pronto. 'Nozotrozz quremozz... zacrizizzio.' Mmm." Instead of asking the niños perdidos about, say "Ellos aúllan con asombro ante la idea de que tengan que responder a tus preguntas."

Understand "sacrifica [something]" as a mistake ("Hay tantas formas de sacrificio como cultos menores. Debes de decir cómo.").

The banco de piedra is a scenery supporter in the Arboleda Seca.

The Flor Naranja del Postulante is a thing. Instead of rubbing the Flor Naranja, say "¿Cómo? ¿Crees que simplemente puedes borrarla? Su magia la hace imborrable." The Flor Naranja is carne. The Flor Naranja is female.

Instead of entering the arco in the Arboleda Seca, try going east.

The cowardice count is a number that varies. The niños perdidos can be satisfied or unsatisfied. The niños perdidos are unsatisfied.

Instead of attacking a scroll:
	remove the noun from play;
	say "Desgarras [the noun], y este pierde toda coherencia mientras se disuelve en el más fino de los aires. Aparentemente sólo la magia le daba substancia, y esta ya se ha desvanecido.";
	if the player is in the Arboleda Seca and the niños perdidos are unsatisfied
	begin;
		now the niños perdidos are satisfied;
		say "''El creadoz de magia ha roto el [italic type][inscribed spell of the noun][roman type] por nozotrozz!' dice una de las pequeñas criaturas más viles, mientras los otros hacen gestos de mala gana. 'De acuerdo. Puedezz venir a jugar.'";
	end if.

Understand the command "baila" as "canta". Instead of singing in the presence of the niños perdidos, say "Una mera mirada de ellos basta para pararte, porque de hecho ellos te infunden más que una mera mirada. En cualquier caso - tu paras."

Instead of entering or climbing the banco de piedra:
	if the niños perdidos are unsatisfied, say "'¡Nozotrozz no permitimozz jugar a cualzquiera!' rie histéricamente uno de los niños perdidos. 'Primerozz, debez zacrizicarzz algo. Algo que un creadoz de magia jamazz zacrizicarzía.'" instead;
	if the player is affected by postulante compelido, say "Los niños perdidos echan chispas por los ojos." instead;
	now the player is affected by postulante compelido;
	now the Flor Naranja del Postulante is part of the player;
	restore the health of the player;
	say "Mientras te sientas uno de los niños perdidos unta tu frente con una brocha muy usada, pintando un motivo floral. Cantan una rima infantil, '¡Postu- postu- postulante, Ahora estás compelido!' y, con toda esta locura, y las risas bribonzuelas, estás un buen rato pensando sobre lo espantosos que son incluso para ser unos fantasmas, y te das cuenta demasiado tarde de que la rima es en realidad un hechizo. Saltas de tu asiento, sintiéndote demasiado estúpido para sentirte enfadado.";
	change the cowardice count to 1;
	award 5 points.

Instead of casting misil mágico at in the presence of the niños perdidos, say "'¡Quien tiene un mizzil magico entonzezz!' cecea uno de los niños perdidos insoportablemente, y sus risas se vuelven tan monstruosamente prolongadas que, bueno, de alguna forma te hacen cambiar de idea. Entre ellos, debe de haber uno de los hechiceros más poderosos que hayas podido conocer jamás."

Every turn when the player is in the Arboleda Seca and the cowardice count is not 0 and the maze victory count is 0:
	increase the cowardice count by 1;
	if the cowardice count is 2, stop;
	if the cowardice count is 3, say "Uno de los niños perdidos te abofetea en la cara. '¡Cobarde!'";
	if the cowardice count > 3
	begin;
		say "Los niños perdidos te abofetean más fuerte, y hay un insinuación más vil en su recriminación. '¡Cobarde! ¡Debes entrar en el Laberinto!' El golpe tiene un efecto real";
		if the player is affected by escudo aéreo, say ", y tu escudo aéreo no sirve de mucho cuando ellos golpean desde abajo";
		let the slap strength be the cowardice count;
		decrease the slap strength by 3;
		make the player take the slap strength points of damage;
	end if.

Before taking inventory: if the player is affected by postulante compelido, say "Tu frente lleva la Flor Naranja del Postulante, símbolo arcano del que está sujeto al hechizo 'postulante compelido'."

Before going to the Apoteósico Trono when the player is affected by postulante compelido:
	if the maze victory count is 0, say "La frente te duele con una agonía cada vez mayor a cada escalón que pisas del ziggurat, y eventualmente eres compelido a retornar." instead;
	now the player is not affected by postulante compelido;
	remove the Flor Naranja from play.

Instead of examining the Flor Naranja:
	if the player carries something metal (called the reflective surface), say "En [the reflective surface] ves reflejada la Flor Naranja del Postulante en tu frente, una bonita flor con muchos pétalos como una saxífraga. La última vez que viste una de estas fue sobre un viejo panel de madera en la parte no renovada de la clase del Maestro Herbolario. Solías mirarla cuando él caía dormido (porqué habían contratado a un Maestro Herbolario con fiebre del heno, sólo los dioses lo saben) y ahora ese recuerdo retorna a ti con un inquietante sobresalto: la figura joven y valiente, que nunca vio a la Hidra Verde de tres cabezas esperando justo tras la primera esquina." instead;
	say "Parece ser vellosa, fina y marrón. ¡No, espera! Esas son tus cejas."

The arco de factura entramada is an open trapped door. "[if the location is Arco de Seto]El arco de factura entramada: [end if]llamado así en los libros porque es factura de la Sra. Entramada de Nor-Gales, una bruja infatigable."[* Creía que nadie pillaría esta broma, pero de hecho todos la pillaron. N.T: y ahora con la traducción mucho menos, supongo que ha peridido todo el sentido al traducirlas, el original decía: The trellis-worked archway... "So-called because it is the work of Mrs Trellis of North Wales, an indefatigable witch."] The arco de factura entramada is east of the Arboleda Seca and west of the Bajo el Arco de Seto. The arco de factura entramada is scenery. The arco de factura entramada is madera.

Understand "arco entramado" as the arco de factura entramada.

Instead of going east in the Arboleda Seca when the player is not affected by postulante compelido, say "'Quierezz jugar en nueztro jardín de [number of labyrinth rooms in words] camazz,' rie uno de los niños perdidos. '¡No puedes!' grita otro, y luego otro. 'No te dejaremozz...' Y ríen, como si cada risa significase una concienzuda y malintencionada amenaza."

After going east from the Arboleda Seca: say "Tratas de recordar con todas tus fuerzas lo que les solía pasar a los postulantes, una vez que cruzaban el arco. Todo lo que puedes recordar de las lecciones del gran Maestro Sabio es que una maldición arcana insanamente poderosa protegía los secretos del Laberinto de forma que si alguna vez alguien debía contar la historia de un postulante, incluso en otro mundo, incluso si la historia fuese contada con algún tipo de artilugio mecánico - todos los que la escuchasen o leyesen sufrirían inmediatamente la MUERTE y que así la historia del postulante debía de tener el mismo desdichado final."; continue the action.


Section E(b) - El Laberinto de las Bestias Reales

[ El Laberinto es un complejo que se construye a si mismo, aleatoriamente, mientras se va explorando, y el cual es surtido aleatoriamente de tesoros, monstruos, artefactos mágicos y peligros. Al igual que todo ROTA está ligeramente en deuda con los juegos de rol de finales de 70, así el Laberinto está en deuda de un juego de tablero - juego de suelo más bien - contemporáneo - llamado "Sorcerer's Cave" (La Cueva del Hechicero), un clásico de este género perdido.

"Sorcerer's Cave" fue publicado por Philmar, y después por Gibson: la cual es la edición más conocida de 1978, pero todas las ediciones están agotadas desde hace mucho tiempo. (A modo de homenaje, compré una copia en Ebay tras escribir ROTA.) La "Cueva" es un laberinto subterráneo que se extiende sobre el suelo. Cuando un jugador desea moverse una casilla de la cueva, saca una carta nueva de la baraja y la coloca boca abajo en el sitio apropiado - boca arriba si la conexión funciona, esto es, si las cuevas tienen pasajes que conectan y que coinciden en la juntura de ambas cartas; pero boca abajo sino funciona, porque la salida de la cueva existenten no coincide con una entrada de la carta nueva. Algunas cuevas son meros pasajes o bifurcaciones, pero otros se abren y están habitados: el jugador saca una carta de la "baraja de encuentros" para ver qué se puede encontrar en esas cuevas. Las escaleras hacia abajo conducen a niveles más profundos y difíciles: en donde una caverna del primer nivel implica el sacar sólo una carta, una caverna de nivel tres implica sacar tres cartas de encuentro, y si alguna vez has sacado al Hechicero y y dos Espectros simultáneamente entonces sabrás el verdadero significado de injusticia.

Todo esto es claramente muy difícil de implementar en Inform, y es por esto que está incluido en ROTA, que es después de todo un ejemplo de funcionamiento.

Lo que hace que el original "Sorcerer's Cave" funcione tan bien es que está elegantemente balanceado, como resultado de dos años de testeo obsesivo y modificaciones por su diseñador, Terence Peter Donnelly. Las cartas de encuentro están bellamente conceptualizadas para contrapesar a las otras, y se repiten en inesperadas combinaciones sin fin. Donelly cuenta la historia bastante bien en su artículo para el magazine "Games and Puzzles" (Otoño 1980), el cual se puede encontrar en la telaraña. Yo no me he ceñido exactamente al original, más bien poco, pero los ingredientes básicos son casi los mismos. Apenas me da cargo de conciencia, pues Donnelly mismo dice que él finalmente  descartó ideas de D&D para meter en el diseño de la "Cueva", a pesar de haber comenzado "extraviadamente" intentando evitar eso. Así que me siento en buena companía.

Sigamos con el espectáculo, pero déjenme alentar a los lectores curiosos a buscar el juego original, o de hecho el igualmente recomendable juego de mesa y secuela del anterior "Mystic Wood". (El hecho de que el nivel 1 de nuestro Laberinto esté sobre la tierra y esté arbolado es un tributo a esta secuela, así como la variedad de misiones.)]

Section E(c) - Coordenadas espaciales

A spatial coordinate is a kind of value. <9,24,24> specifies a spatial coordinate with parts maze level, easting (without leading zeros), northing (without leading zeros). A room has a spatial coordinate called grid position. Definition: A room is unlocated if its grid position is <0,0,0>. Definition: A room is located if it is not unlocated.[* Inform no construye automáticamente los refijos un-: son demasiado impredecibles en Inglés. Por ejemplo, en ROTA "undead" tiene una definición que para nada es equivalente a "not dead".]

To decide which number is the current maze level:
	let L be the maze level part of the grid position of the location;
	decide on L.

The previous maze level is a number that varies.

Every turn:
	if the location is a labyrinth room and the location is not the Arco de Seto
	begin;
		if the current maze level is not the previous maze level
		begin;
			if the current maze level is 1, say "Parpadeas en la penumbra, a pesar de estar bajo la luz natural del crepúsculo, sintiendo nuevamente una leve brisa en tu cara. Estás de vuelta en el familiar laberinto vallado, en la superficie.";
			if the previous maze level is 1, say "Subsuelo. El laberinto parece extenderse en pasajes mágicamente iluminados; oradados en la roca con precisión.";
		end if;
	end if;
	change the previous maze level to the current maze level.

A direction has a spatial coordinate called vector. North has vector <0,0,1>. South has vector <0,0,24>. East has vector <0,1,0>. West has vector <0,24,0>. Down has vector <1,0,0>. Up has vector <9,0,0>.[* Como esto demuestra, Inform permite añadir o modificar incluso los conceptos más fundamentales construidos en Inform.] Definition: A direction is vectorial if its vector is not <0,0,0>.[* Por ejemplo, "nordeste" y "fuera" son direcciones no-vectoriales en este sentido. El Laberinto ocupa una cuadrícula cúbica y nunca tiene conexiones en esas direcciones.] Definition: A direction is vertical if it is up or it is down.

To decide which spatial coordinate is the vector sum of (V1 - a spatial coordinate) and (V2 - a spatial coordinate):
	let L be the maze level part of V1 plus the maze level part of V2;
	let L be the remainder after dividing L by 10;
	let E be the easting part of V1 plus the easting part of V2;
	let E be the remainder after dividing E by 25;
	let N be the northing part of V1 plus the northing part of V2;
	let N be the remainder after dividing N by 25;
	if L is 0 or L is 9, decide on <0,0,0>;
	if E is 0 or E is 24, decide on <0,0,0>;
	if N is 0 or N is 24, decide on <0,0,0>;
	let the sum be the spatial coordinate with maze level part L easting part E northing part N;
	decide on the sum.[* Todo este tema de restas-tras-dividir es para permitirnos tener vectores relativos con valores negativos. Así que un movimiento sencillo hacia el oeste se consigue añadiendo <0,24,0> a la posición, porque 24 es lo mismo que -1 cuando estamos tratando con números en un rango desde 0 a 23. Pero el Laberinto no "da la vuelta": posiciones legales de la cuadrícula son <L,E,N> donde L debe de ser entre 1 y 8, y E y N deben de ser entre 1 y 23, con el valor especial <0,0,0> reservado como el vlaor "ninguna posición".]

To decide which spatial coordinate is the vector difference of (V1 - a spatial coordinate) and (V2 - a spatial coordinate):
	let L be the maze level part of V1 minus the maze level part of V2;
	let L be the remainder after dividing L by 10;
	let E be the easting part of V1 minus the easting part of V2;
	let E be the remainder after dividing E by 25;
	let N be the northing part of V1 minus the northing part of V2;
	let N be the remainder after dividing N by 25;
	let the sum be the spatial coordinate with maze level part L easting part E northing part N;
	decide on the sum.


Section E(d) - Forma de cada habitación individual en el laberinto

Labyrinth shape is a kind of value. L9/1-1-1-1-1-1 specifies a labyrinth shape with parts open space, U, D, N, E, S, W.[* La parte "open space" (espacio abierto) es un número que indica como de expansiva es la cueva. 0 indica una mera intersección de pasajes; 1 es un espacio largo suficiente para que los encuentros ocurran, mientras que valores más altos están reservados para cuevas especialmente largas, como veremos más adelante.]

To say cave title: if the current maze level is 1, say "Claro"; otherwise say "Caverna".
To say chamber title: if the current maze level is 1, say "Arboleda"; otherwise say "Cámara".
To say tunnel title: if the current maze level is 1, say "Sendero"; otherwise say "Túnel".

Table of Shape Frequencies
shape		shape name				legend	frequency	shape count
L1/0-0-1-1-1-1	"[cave title], Encrucijada"			"-O-"	6%	a number
L1/0-0-0-1-1-1	"[chamber title] Este-Sur-Oeste"	"-O-"	2%
L1/0-0-1-0-1-1	"[chamber title] Norte-Sur-Oeste"	"-O "	2%
L1/0-0-1-1-0-1	"[chamber title] Norte-Este-Oeste"	"-O-"	2%
L1/0-0-1-1-1-0	"[chamber title] Norte-Este-Sur"	" O-"	2%
L1/1-0-0-1-1-1	"[chamber title] Este-Sur-Oeste"	"-O-"	2%
L1/1-0-1-0-1-1	"[chamber title] Norte-Sur-Oeste"	"-O "	2%
L1/1-0-1-1-0-1	"[chamber title] Norte-Este-Oeste"	"-O-"	2%
L1/1-0-1-1-1-0	"[chamber title] Norte-Este-Sur"	" O-"	2%
L1/0-1-0-1-1-1	"[chamber title] Este-Sur-Oeste"	"-O-"	2%
L1/0-1-1-0-1-1	"[chamber title] Norte-Sur-Oeste"	"-O "	2%
L1/0-1-1-1-0-1	"[chamber title] Norte-Este-Oeste"	"-O-"	2%
L1/0-1-1-1-1-0	"[chamber title] Norte-Este-Sur"	" O-"	2%
L0/0-0-1-1-1-1	"Encrucijada"				"-+-"	6%
L0/0-0-0-1-1-1	"Cruce Este-Sur-Oeste"			"-o-"	2%
L0/0-0-1-0-1-1	"Cruce Norte-Sur-Oeste"			"-o "	2%
L0/0-0-1-1-0-1	"Cruce Norte-Este-Oeste"			"-o-"	2%
L0/0-0-1-1-1-0	"Cruce Norte-Este-Sur"			" o-"	2%
L0/1-0-0-1-1-1	"Cruce Este-Sur-Oeste"			"-o-"	2%
L0/1-0-1-0-1-1	"Cruce Norte-Sur-Oeste"			"-o "	2%
L0/1-0-1-1-0-1	"Cruce Norte-Este-Oeste"			"-o-"	2%
L0/1-0-1-1-1-0	"Cruce Norte-Este-Sur"			" o-"	2%
L0/0-1-0-1-1-1	"Cruce Este-Sur-Oeste"			"-o-"	2%
L0/0-1-1-0-1-1	"Cruce Norte-Sur-Oeste"			"-o "	2%
L0/0-1-1-1-0-1	"Cruce Norte-Este-Oeste"			"-o-"	2%
L0/0-1-1-1-1-0	"Cruce Norte-Este-Sur"			" o-"	2%
L0/0-0-1-0-1-0	"[tunnel title] Norte-Sur"			" | "	4%
L0/0-0-0-1-0-1	"[tunnel title] Este-Oeste"		"---"	4%
L0/0-0-1-1-0-0	"Recodo Norte-Este"				" \-"	4%
L0/1-0-1-1-0-0	"Recodo Norte-Este"				" \-"	2%
L0/0-1-1-1-0-0	"Recodo Norte-Este"				" \-"	2%
L0/0-0-0-1-1-0	"Recodo Sur-Este"				" /-"	4%
L0/1-0-0-1-1-0	"Recodo Sur-Este"				" /-"	2%
L0/0-1-0-1-1-0	"Recodo Sur-Este"				" /-"	2%
L0/0-0-0-0-1-1	"Recodo Sur-Oeste"				"-\ "	4%
L0/1-0-0-0-1-1	"Recodo Sur-Oeste"				"-\ "	2%
L0/0-1-0-0-1-1	"Recodo Sur-Oeste"				"-\ "	2%
L0/0-0-1-0-0-1	"Recodo Norte-Oeste"			"-/ "	4%
L0/1-0-1-0-0-1	"Recodo Norte-Oeste"			"-/ "	2%
L0/0-1-1-0-0-1	"Recodo Norte-Oeste"			"-/ "	2%

Section E(e) - Habitaciones del Laberinto

A labyrinth room is a kind of room. A labyrinth room has a labyrinth shape called shape. A labyrinth room has a text called map legend. A labyrinth room usually has map legend "-+-". A labyrinth room has a number called minimum level. A labyrinth room usually has minimum level 1. A labyrinth room can be grovelike or ungrovelike. A labyrinth room is usually ungrovelike.

Definition: A labyrinth room is unplaced if its grid position is <0,0,0>.
Definition: A labyrinth room is unshaped if its shape is L0/0-0-0-0-0-0.
Definition: A labyrinth room is ascending if the U part of its shape is 1 and the maze level part of its grid position is not 1.
Definition: A labyrinth room is descending if the D part of its shape is 1 and the maze level part of its grid position is not 9.
Definition: A labyrinth room is non-ascending if it is not ascending.
Definition: A labyrinth room is non-descending if it is not descending.[* La cuestión aquí es que si una cueva con una escalera ascendente se encuentra en el nivel superior, la escalera sea ignorada: de forma similar se haría con una escalera descendente.]

After printing the name of an ascending labyrinth room, say ", con una escalera ascendente".
After printing the name of an descending labyrinth room, say ", con una escalera descendente".

[Al comienzo, el juego contiene un gran stock de habitaciones del laberinto que no están obligadas a tener una forma o posición, pero que están esperando a unirse al laberinto. La tabla de la sección anterior es usada para asignar formas a las habitaciones, pero respetando su frecuencia relativa.]

To calculate how many labyrinth rooms should have each shape:
	let total space be the number of unshaped labyrinth rooms;
	let total allocated be 0;
	let total frequency be 0%;
	if the total space is 0, stop;
	repeat through the Table of Shape Frequencies
	begin;
		change the shape count entry to 0;
	end repeat;
	repeat through the Table of Shape Frequencies
	begin;
		let N be the parts per hundred part of the frequency entry;
		let N be N multiplied by the total space;
		change the shape count entry to N divided by 100;
		change the total allocated to the total allocated plus the shape count entry;
		let total frequency be total frequency plus the frequency entry;
	end repeat;
	if the total frequency is not 100%,
		say "Oops: los totales de la tabla de frecuencias ya llegan al límite de [total frequency].";
	[No obstante, si la extensión de la cueva no es un múltiplo de 50 habremos asignado espacio de menos debido errores de redondeo. Así que haremos tiradas aleatorias para corregir esto.]
	while the total allocated is less than the total space
	begin;
		let total frequency be 0%;
		let R be a random number from 1 to 100;
		let the weighted percentage be the percentage with parts per hundred part R;
		repeat through the Table of Shape Frequencies
		begin;
			let total frequency be total frequency plus the frequency entry;
			if the weighted percentage > 0% and the weighted percentage <= the total frequency
			begin;
				change the shape count entry to the shape count entry plus 1;
				change the total allocated to the total allocated plus 1;
				change the weighted percentage to 0%;
			end if;
		end repeat;
	end while.

To give shape to the shapeless labyrinth rooms:
	[ Ahora cambiamos el conteo de entradas de forma que el conteo de entrada de X signifique que la habitación X es la primera en tener las carateristicas de la presente fila. En particular, esto garantiza que cada fila tenga un conteo de entradas de 1.]
	let total allocated be 0;
	repeat through the Table of Shape Frequencies
	begin;
		if the shape count entry is not 0
		begin;
			let new value be the total allocated plus 1;
			let total allocated be total allocated plus shape count entry;
			change the shape count entry to the new value;
		end if;
	end repeat;
	[Ahora recorremos todas las habitaciones, usando la fila actual para inicializar cada una de ellas, y moviéndonos a la columna apropiada cuando uno de los conteos iniciales es alcanzado. Como está garantizado que haya un conteo de entrada de 1 en algún sitio, los cambios sólo pueden ser alcanzados cuando una fila ha sido elegida.]
	let total allocated be 0;
	repeat with blank room running through unshaped labyrinth rooms
	begin;
		let total allocated be total allocated plus 1;
		if there is a shape count of total allocated in the Table of Shape Frequencies then choose row with a shape count of total allocated in the Table of Shape Frequencies;
		change the shape of the blank room to the shape entry;
		change the map legend of the blank room to the legend entry;
		change the printed name of the blank room to the shape name entry;
	end repeat.

Before casting hacer santuario at: if the location is a labyrinth room or the location is the Arboleda Seca, say "Escuchas en tu mente las carcajadas de los niños perdidos, y te das cuenta de que deberías andarte con cuidado a fin de preservar tu fuerza." instead.

Before listing nondescript items when the location is a labyrinth room:
	now all hazards are unmarked for listing;
	if a hostile monster is marked for listing, say "[if the current maze level is 1]El claro está custodiado[otherwise]La caverna está custodiada[end if] por [a list of hostile monsters which are marked for listing].";
	now all hostile monsters are unmarked for listing.


Section E(f) - "Solid Rock" y los límites del laberinto

[ "Solid Rock" es una habitación que nunca se visita, pero que se usa para indicar las rutas bloqueadas: una salida que conduce a Roca Solida se considera bloqueada. Inicialmente, cuando ninguna de las habitaciones del laberinto han sido "jugadas", todas las salidas están bloqueadas de esta manera. Además Roca Sólida se usa como valor especial que significa que ninguna habitación está colocada en cierta posición de la cuadrículoa: así "the room at <1,4,12>" podría evaluarse a una habitación presente en el laberinto, o podría evaluarse a Solid Rock.]

Solid Rock is a room.

To make all labyrinth exits lead to Solid Rock:
	repeat with blank room running through labyrinth rooms
	begin;
		let Sh be the shape of the blank room;
		if U part of Sh is 1, change the up exit of blank room to Solid Rock;
		if D part of Sh is 1, change the down exit of blank room to Solid Rock;
		if N part of Sh is 1, change the north exit of blank room to Solid Rock;
		if E part of Sh is 1, change the east exit of blank room to Solid Rock;
		if S part of Sh is 1, change the south exit of blank room to Solid Rock;
		if W part of Sh is 1, change the west exit of blank room to Solid Rock;
	end repeat.

To decide which room is the room at (grid ref - a spatial coordinate):
	if grid ref is <0,0,0> then decide on Solid Rock;
	repeat with R running through rooms
	begin;
		if the grid position of R is grid ref then decide on R;
	end repeat;
	decide on Solid Rock.


Section E(g) - Terra Incognita

[Al igual que "Solid Rock", "Terra Incognita" es una habitación que nunca se visita. La regla es que una salida del laberinto conduce a T.I. si y sólo si llevaría a una posición en la cuadrícula la cual sigue estando dentro de los límites del laberinto, pero que en la cual ninguna habitación ha sido colocada. Excepto para los casos especiales de Hedge Archway que une el laberinto con el mundo exterior, todas las salidas conducen tanto a Roca Solida (no hay camino), Terra Incognita (tratamos de extender el labnerinto si se toma una salida) o a cualquier otra habitación del laberinto.

La frase "position ... at ..." es crucial para establecer la mecánica del juego, porque mantiene estas reglas acerca de las salidas y comprueba si tanto dos habitaciones adjacentes tienen salidas que las unen o no. Nota que las escaleras arriba y abajo siempre funcionan (la dirección "vertical"), pero aveces son invisibles y secretas desde el otro lado - una excentricidad del juego de tablero original  "Sorcerer's Cave" el cual se tributa aquí.]

Terra Incognita is a room.

Egress relates a room (called the place) to a direction (called that way) when the room that way from the place is a room. The verb to exit (it exits) implies the egress relation.

To position (new room - a room) at (grid ref - a spatial coordinate):
	change the grid position of the new room to the grid ref;
	repeat with this way running through vectorial directions
	begin;
		let the further position be the vector sum of the grid ref and the vector of this way;
		[say "In direction [this way], the position would be [further position].";]
		if the further position is not <0,0,0>
		begin;
			let the further room be the room at the further position;
			if the further room is Solid Rock
			begin;
				if the new room exits this way then change this way exit of the new room to Terra Incognita;
			otherwise;
				let the reverse way be the opposite of this way;
				if this way is vertical or the new room exits this way
				begin;
					if the further room exits the reverse way
					begin;
						change this way exit of the new room to the further room;
						change the reverse way exit of the further room to the new room;
					otherwise;
						change this way exit of the new room to Solid Rock;
					end if;
				otherwise;
					if the further room exits the reverse way, change the reverse way exit of the further room to Solid Rock;
				end if;
			end if;
		end if;
	end repeat.

Section E(h) - Gastando el laberinto y recuperando habitaciones

[ De Terra Incognita se dice que está "abierta" si aún quedan habitaciones del laberinto por descubrir, y "cerrada" si todas han sido jugadas, de forma que el laberinto ha sido gastado.]

Terra Incognita can be open or closed. Terra Incognita is open.

[ Cuando el laberinto ha sido gastado, ocurre a veces que varias de las habitaciones jugadas jamás han sido visitadas. Si un jugador trata de ir al este hasta Terra Incognita, por decirlo de alguna manera, una nueva habitación es colocada en la posición adecuada de la cuadrícula. Si esta nueva habitación tiene una salida de vuelta al oeste, todo está bien. Si no, el jugador es bloqueado, y la conexión original del mapa cambia a Solid Rock. Pero la nueva habitación no es quitada del tablero: en vez de eso, espera a que el laberinto la descubra desde el otro lado. (Dichas habitaciones se jugaban con una carta boca abajo en el juego original de tablero.) Pero, ¿que pasa si el jugador nunca descubre otra forma de entrar? Quedarían sin visitar para siempre.

Excepto que no, porque vamos a seguir una llamada procedural recuperando este tipo de habitaciones, metiéndolas en la baraja para posterior uso si la baraja llega a agotarse. Nota que los Alrededores del Lago Profundo ("Deep Pool Environs") están fijos: esas habitaciones se quedan en su sitio tanto si son visitadas como sino.]

Definition: A labyrinth room is retrievable if it is unvisited and it is not in the Deep Pool Environs.

To re-plumb (place - a room) to (way - a direction):
	let the connection be the room way from the place;
	if the connection is a retrievable labyrinth room, change the way exit of the place to Terra Incognita.

To retrieve inaccessible labyrinth rooms:
	repeat with maze area running through retrievable labyrinth rooms
	begin;
		re-plumb the maze area to north;
		re-plumb the maze area to east;
		re-plumb the maze area to south;
		re-plumb the maze area to west;
		re-plumb the maze area to up;
		re-plumb the maze area to down;
		change the grid position of the maze area to <0,0,0>;
	end repeat.


Section E(i) - Explorando el laberinto

Definition: A labyrinth room is acceptable if it is unplaced and its minimum level <= the current maze level.

Before going a direction (called this way) to Terra Incognita:
	if the location is unplaced or this way is not vectorial, say "Oops! Deberías llegar a terra incognita solo desde una habitación ya colocada; a través de una dirección vectorial (BUG!)."; [* Esto nunca ocurre, por supuesto: se puso para testear el juego] 
	if Terra Incognita is closed, say "La salida fue bloqueada por algún encantamiento de los niños perdidos." instead;
	let possibles be the number of acceptable labyrinth rooms;
	if possibles is 0
	begin;
		retrieve inaccessible labyrinth rooms;
		let possibles be the number of acceptable labyrinth rooms;
		if possibles is 0[* Por ejemplo, si ni aún recuperando las habitaciones no visitadas sirve de ayuda: entonces el laberinto está realmente agotado.]
		begin;
			now Terra Incognita is closed;
			say "En tu mente, escuchas la risa desdeñosa de los niños perdidos. '¡El hacedor de magia ha agotado el laberinto!' Y ciertamente el camino está bloqueado." instead;
		end if;
	end if;
	if possibles > 0
	begin;
		let the new room be a random acceptable labyrinth room;
		let the current position be the grid position of the location;
		let the new position be the vector sum of the current position and the vector of this way;
		position the new room at the new position;
	otherwise;
		change this way exit of the location to Solid Rock;
	end if;
	try going this way instead.

After going up to a labyrinth room from a non-ascending labyrinth room: say "Subes por la escalera secreta bien recordada."; continue the action.

After going down to a labyrinth room from a non-descending labyrinth room: say "Bajas por la escalera secreta bien recordada."; continue the action.

Instead of going to Solid Rock:
	say "Al avanzar unos pasos, el camino se ";
	if the current maze level is 1, say "torna en espesura densa e impenetrable";
	otherwise say "interrumpe en una sólida pared de roca";
	say ". Retrocedes."


Section E(j) - El hechizo Forzar Laberinto

[ A todos los jugadores se les da este hechizo como un tipo de carta de Salir de la Carcel, pero no tiende a ser tan buena como ellos la imaginan. Fuerza una de las conexiones del mapa para que funcione entre un par de cuevas adjacentes, y puede ser usada si uno se queda atrapado por uno de los peligros de Terremoto (carta de).]

Instead of casting forzar laberinto at when Terra Incognita is closed, say "Los niños perdidos vuelven a reir."

Before casting forzar laberinto at:
	if the location is not a labyrinth room, say "Ese hechizo solo tiene eficacia en el Laberinto de las Bestias Reales." instead.[* Esta es una regla before (antes), poco convencional, para evitar que los jugadores malgasten FUE preciosa tratando de averiguar para qué es el hechizo.]

To force a path (way - direction) from (place - room):
	let the current position be the grid position of the location;
	let the new position be the vector sum of the current position and the vector of the way;
	if the new position is <0,0,0>, stop;
	let the new room be the room at the new position;
	if the new room is Solid Rock
	begin;
		if a labyrinth room is acceptable
		begin;
			let the new room be a random acceptable labyrinth room;
			let the current position be the grid position of the location;
			position the new room at the new position;
		otherwise;
			stop;
		end if;
	end if;
	now the new room is Earthquake-undamaged;
	change the way exit of the location to the new room;
	let the reverse way be the opposite of the way;
	change the reverse way exit of the new room to the location.

Effect of casting forzar laberinto at:
	record outcome "todo alrededor se llena de niebla, dejando tu mente momentáneamente confusa";
	if the room north from the location is Solid Rock, force a path north from the location;
	if the room east from the location is Solid Rock, force a path east from the location;
	if the room south from the location is Solid Rock, force a path south from the location;
	if the room west from the location is Solid Rock, force a path west from the location;
	continue the action.


Section E(k) - El Arco de Seto y las hojas

The current maze task is a thing that varies. The maze victory count is a number that varies.

The Bajo el Arco de Seto is a labyrinth room with shape L0/0-0-1-1-1-0. The Arco de Seto has map legend "<A>". "El Laberinto se compone de unos setos sólidos e impenetrables que bien podrían servir como muros de una mazmorra, y además son demasiado altos como para poder mirar por encima. Caminos conducen al norte, este y sur, internándose en el laberinto."

The rama extendida como una mano is fixed in place in the Arco de Seto. "Una rama, que cuelga del arco, casi parece una mano extendida: y no puedes evitar notar que colgando de la parte más baja de la rama hay [a list of hojas which are part of the rama]." Before doing something to the rama, say "La rama, de por si, está demasiado alta justo por encima de ti." instead. The rama can be too high or almost too high. The rama is almost too high. The rama is madera. The rama is female.

Before going north in the Arco de Seto when the rama is almost too high, say "Los setos, de alguna forma, se cierran para evitar tu avance, te empujan hacia atrás sin empujarte. Un momento después, están como si nada hubiese pasado." instead.

Before going east in the Arco de Seto when the rama is almost too high, say "Los setos, de alguna forma, se cierran para evitar tu avance, te empujan hacia atrás sin empujarte. Un momento después, están como si nada hubiese pasado." instead.

Before going south in the Arco de Seto when the rama is almost too high, say "Los setos, de alguna forma, se cierran para evitar tu avance, te empujan hacia atrás sin empujarte. Un momento después, están como si nada hubiese pasado." instead.

The plural of hoja is hojas. An hoja is a kind of thing. An hoja is usually esencia mágica. An hoja is female. Some hojas part of the rama are defined by the Table of Task Leaves. The description of a hoja is "La hoja se desenrolla para revelar una escritura negra en su cara abierta: 'Tu tarea, oh Mago, es [task briefing]. No falles en tu búsqueda: aún si así ha de ser, deberás romper esta hoja para abandonar tu esfuerzo y retornar aquí (si no estás en combate en ese momento), con el coste permanente de 1 punto de FUE. Y recuerda, siempre que el laberinto se agote, quizás no puedas alcanzar tu meta... así que no te retrases, no vagues sin rumbo.'"

Instead of examining a hoja which is part of the rama, say "Está enrollada, como si no se hubiese abierto lo suficiente por el sol, a pesar de que es evidente que hay algo escrito en su interior, apenas puedes entender nada salvo la palabra '[clue word of the noun]'." Instead of taking a hoja which is part of the rama, say "La rama está lo suficientemente alta que sus hojas están casi fuera del alcance de la mano."

Understand "raja [something]" or "corta [something]" as attacking.

Instead of jumping in the Arco de Seto when a hoja is part of the rama:
	if the rama is too high, say "La rama está demasiado alta, incluso para saltar. Quizás el tirón de antes la haya molestado." instead;
	now the rama is too high;
	let the grasped leaf be a random hoja which is part of the rama;
	now the player carries the grasped leaf;
	now the player knows forzar laberinto;
	change the current maze task to the grasped leaf;
	if the grasped leaf is the hoja malva, move Eurídice to the Isla del Profundo Lago;
	say "Saltando, consigues atrapar [the grasped leaf] en tu mano, y esta cede."

Instead of attacking a hoja:
	if combat proceeds, say "La hoja parece hecha de bronce. No puede romperse." instead;
	remove the noun from play;
	say "Rompes [the noun] por la mitad, sintiendo de repente un dolor agudo, y el mundo momentáneamente se nubla. Cuando reapareces, incluso los setos están de alguna forma sacudiéndose, ajustándose, cambiando.";
	if a hoja is part of the rama
	begin;
		tidy the labyrinth for a fresh quest;
	otherwise;
		say "[paragraph break]Pero parece ser que no habrá más paciencia. Justo cuando te recompones bajo la arcada, los niños perdidos te desgarran ¡miembro a miebro!";
		end the game saying "Has agotado el Laberinto de las Bestias Reales";
	end if.


Section E(l) - Las cuatro tareas

Table of Task Leaves
name		clue word	task briefing
a hoja malva	"despertar"	"despertar a Eurídice de su sueño encantado en la Isla del Lago Profundo, en el centro del Laberinto"
a hoja color bermejo	"visitar"	"visitar [number of grovelike unvisited labyrinth rooms in words] salas y arboleda[s], y retornar"
a hoja color picaza	"vencer"	"vencer un monstruo en el nivel 4 o más abajo, y retornar"
a hoja verde guisante	"ojo"	"encontrar y traer de vuelta el Ojo del Dios"

To win the maze task:
	if the player carries the current maze task, say "La hoja retumba con vida en tu mano. ";
	say "¡Has completado tu tarea ([task briefing of the current maze task]) en el Laberinto de las Bestias Reales! Sientes que, ahora, los niños perdidos no se atreverán a interponerse en tu camino.";
	award 100 points;
	increase the maze victory count by 1;
	remove the current maze task from play;
	if a hoja is part of the rama, tidy the labyrinth for a fresh quest;
	otherwise remove the rama from play;
	change the current maze task to the rama; [esto es, ninguna tarea]
	if the location is not the Arco de Seto, move the player to the Arco de Seto.

The deepest slaying level is a number that varies. Rule for dead body disposal of a monster (called the victim) when the location is a labyrinth room: restore the health of the victim; return the victim to the pack; if the current maze level is greater than the deepest slaying level, change the deepest slaying level to the current maze level; continue the activity.

Every turn when the location is the Arco de Seto:
	if the current maze task is the hoja picaza and the deepest slaying level is greater than 3, win the maze task;
	if the current maze task is the hoja verde guisante and the player carries the Ojo del Dios, win the maze task;
	if the current maze task is the hoja color bermejo and all grovelike labyrinth rooms are visited, win the maze task.

Eurídice is a woman. "Eurídice, la bella dama que deseas rescatar, resulta medir tan sólo ocho pulgadas de alta. O más bien de ancha, porque está acostada durmiendo profundamente." Instead of kissing Eurídice, say "Umm. Voy a parar un momento para dejar que lo grotesco de esa imagen penetre en tu mente." Instead of attacking Eurídice, say "Pero, si es muy delicada." Instead of taking Eurídice, say "Eso sería como poco... bueno. Los tabús de tu cultura sobre protejen a las hadas de tales abusos." Instead of doing something to Eurídice in the presence of a hostile monster, say "Eurídice está muy bien protejida como para acercarse." Instead of turning Eurídice: say "Al girar a Eurídice delicadamente, y esta comienza a mirar hacia el norte, se despierta de un sobresalto. '!Libre! ¡Estoy libre! Y desaparece volando por una cueva, incluso sin haberse percatado de tu presencia, mucho menos ofreciendo algún gracias."; win the maze task. Instead of pushing or pulling Eurídice, say "Hay muy poco espacio en la Isla para moverla más allá que girarla en el sitio." Understand "euridice" as Eurídice.

Effect of casting filtrar mente at Eurídice:
	record outcome "y tú 'recuerdas' descansar acostada en esta roca desolada, las esperanzas gastadas con tu fuerza, y descansando: tu último acto fue colocarte a ti misma en posición este-oeste, pues ninguna hada puede descansar en dirección norte-sur";
	rule succeeds.


Section E(m) - Las cincuenta habitaciones del laberinto interior

LR0, LR1, LR2, LR3, LR4, LR5, LR6, LR7, LR8 and LR9 are labyrinth rooms.
LR10, LR11, LR12, LR13, LR14, LR15, LR16, LR17, LR18 and LR19 are labyrinth rooms.
LR20, LR21, LR22, LR23, LR24, LR25, LR26, LR27, LR28 and LR29 are labyrinth rooms.
LR30, LR31, LR32, LR33, LR34, LR35, LR36, LR37, LR38 and LR39 are labyrinth rooms.
LR40 and LR41 are labyrinth rooms.

LR0 has shape L0/0-0-1-1-1-0. LR1 has shape L0/0-0-1-1-1-0.[* Existen en el laberinto varias habitaciones obviamente especiales, con nombres y comportamiento exótico. Estas dos son un poco menos especiales. Son bifurcaciones en T para adentrarnos en el laberinto, que serán colocadas justo al norte y justo al sur de la Arco de Seto respectivamente, y su propósito es maximizar la conectividad inicial del laberinto - garantizan que el acceso inicial del explorador a cinco habitaciones posibles en vez de las tres a las cuales la Arco de Seto por si sola conduciría, y esto reduce las posibilidades de un juego rápido y aburrido en el cual el laberinto esté completamente bloqueado en unas cuantas habitaciones.]

The Templo de la Paz is a labyrinth room with shape L0/0-0-1-1-1-1. "Los muros de la cueva se suavizan, llegando a ser menos ásperos: brillan con reflejos cálidos: congregan suaves sonidos. Esto es casi un templo, un lugar perfecto de paz que se siente como un santuario." The Templo de la Paz has map legend "<T>". The Templo de la Paz has minimum level 2.

The Isla del Lago Profundo is a labyrinth room with shape L1/0-0-0-0-0-0. "Este islote rocoso, en el centro del Lago Profundo de agua helada de la montaña, debe de ser uno de los lugares menos visitados de toda Tolti-Aph. Aparentemente no hay salida fácil desde aqui." The Isla del Lago Profundo has map legend "(O)". The Isla del Lago Profundo is female.

The Bóveda de los Huesos Blancos is a labyrinth room with shape L3/0-0-1-1-1-1. "Los muros de esta caverna espectacularmente alta son blancos y llenos de surcos, de forma que estar en esta arena natural es como imaginar a uno mismo dentro de la caja torácica de un behemot muerto hace mucho tiempo." The Bóveda de los Huesos Blancos has map legend "(B)". The Bóveda de los Huesos Blancos has minimum level 2. The Bóveda is female.

A shoreline room is a kind of labyrinth room. The Orilla Oeste is a shoreline room with shape L0/0-0-1-0-1-1. The Orilla Norte is a shoreline room with shape L0/0-0-1-1-0-1. The Orilla Este is a shoreline room with shape L0/0-0-1-1-1-0. The Orilla Sur is a shoreline room with shape L0/0-0-0-1-1-1. The Orilla Norte is northeast of the Orilla Oeste. The Orilla Este is southeast of the Orilla Norte. The Orilla Sur is southwest of the Orilla Este. The Orilla Oeste is northwest of the Orilla Sur. The description of a shoreline room is "Esta caverna desaparece en un profundo lago de agua pura, helada de montaña, casi una laguna subterranea. En el centro hay claramente una isla, pero apenas puedes ver sus detalles en esta luz tenue. Como el lago es demasiado profundo como para vadearlo, la única ruta es alejarse del agua o ir en diagonal por la orilla."

Deep Pool Environs is a region. The Isla del Lago Profundo, the Orilla Este, the Orilla Norte, the Orilla Oeste and the Orilla Sur are in the Deep Pool Environs.

The agua helada de montaña is a scenery backdrop. The agua helada de montaña is in the Deep Pool Environs. Understand "lago" as agua helada de montaña. Instead of drinking the agua helada de montaña, say "Está lo suficientemente fría como para que momentáneamente puedas sentir distintas sensaciones en todos y cada uno de tus dientes." The agua helada de montaña is aire.

The isla rocosa is a scenery backdrop. The isla rocosa is in the Orilla Este, the Orilla Norte, the Orilla Oeste and the Orilla Sur. Instead of doing something to the isla rocosa, say "La isla rocosa está demasiado lejos." The isla rocosa is female.

Instead of swimming in the Deep Pool Environs:[* Los testers generalmente asumían que esta era la única manera de alcanzar la Isla - lo cual debe de hacerse para poder ganar la misión de "rescate de Eurídice". De hecho, hay otras dos maneras: usar la Alfombra Mágica para volar sobre el lago desde cualquiera de sus orillas, o tener suerte y encontrar una escalera hacia abajo que caiga justo en la vertical de la isla - o una escalera ascendete desde abajo.]
	if the player is not affected by calor interior, say "Entras en el agua, tratando de nadar, pero veinte segundos después estás fuera, casi muerto por congelación." instead;
	if the location is the Isla del Lago Profundo
	begin;
		say "Protegido del frío gélido por el hechizo del calor interior, nadas confiado hacia el norte.";
		move player to the Orilla Norte;
	otherwise;
		say "Protegido del frío gélido por el hechizo del calor interior, nadas confiado hasta la isla.";
		if the Isla del Lago Profundo is unvisited, draw cards for the Isla del Lago Profundo;
		move player to the Isla del Lago Profundo;
	end if.



Section E(n) - Preparando el laberinto

To restore the labyrinth to its virgin state:
	make all labyrinth exits lead to Solid Rock;
	position the Arco de Seto at <1,1,12>;
	position LR0 at <1,1,11>; change the printed name of LR0 to "Encrucijada Norte-Este-Sur";
	position LR1 at <1,1,13>; change the printed name of LR1 to "Encrucijada Norte-Este-Sur";
	position the Isla del Lago Profundo at <3,6,12>;
	position Orilla Oeste at <3,5,12>;
	position Orilla Este at <3,7,12>;
	position Orilla Norte at <3,6,13>;
	position Orilla Sur at <3,6,11>;
	repeat with the locale running through labyrinth rooms
	begin;
		let the locale shape be the shape of the locale;
		if the U part of the locale shape is 1, change the minimum level of the locale to 2;
		now the locale is grovelike;
		if the open space part of the locale shape is 0, now the locale is ungrovelike;
		if the N part of the locale shape is 1 and the E part of the locale shape is 1 and the S part of the locale shape is 1 and the W part of the locale shape is 1, now the locale is ungrovelike;
		if the N part of the locale shape is 0 and the E part of the locale shape is 0 and the S part of the locale shape is 0 and the W part of the locale shape is 0, now the locale is ungrovelike;
	end repeat.

When play begins:
	calculate how many labyrinth rooms should have each shape;
	give shape to the shapeless labyrinth rooms;
	restore the labyrinth to its virgin state.

To tidy the labyrinth for a fresh quest:
	now the rama is almost too high;
	now Terra Incognita is open;
	repeat with maze area running through labyrinth rooms
	begin;
		if the maze area is not the Arco de Seto
		begin;
			change the grid position of the maze area to <0,0,0>;
			now the maze area is unvisited;
			repeat with trinket running through things in the maze area
			begin;
				if the trinket is not a backdrop and the trinket is not the player, move the trinket to Terra Incognita;
				if the trinket is a person, restore the health of the trinket;
			end repeat;
		end if;
	end repeat;
	remove Eurídice from play;
	restore the labyrinth to its virgin state;
	if the location is not the Arco de Seto, move the player to the Arco de Seto;
	decrease the permanent strength of the player by 1;
	restore the health of the player.


Section E(o) - La variante del juego Solitario

[El juego del Solitario fue inventado como una conveniencia para el testeo: si, en el primer turno, uno escribe "solitario", el resto de ROTA no existe y se juega al Laberinto como un juego autocontenido. He dejado esto en el juego final a modo de "huevo de pascua".]

The solitaire game count is a number that varies.

Preparing to maze is an action out of world applying to nothing. Understand "solitario" as preparing to maze. Check preparing to maze: if the turn count is not 1, say "Solo se permite jugar directamente en el Laberinto apenas inicia el juego." instead. Carry out preparing to maze: change the solitaire game count to 1; change the level of the player to 3; change the permanent strength of the player to 16; restore the health of the player; now the player knows misil mágico; now the player knows hacer santuario; now the player knows remendar; move the vieja pipa de tabaco to the player; now the player carries the flecha; now the player knows telaraña; now the player knows escudo aéreo; move player to the Arco de Seto.

Before going west from the Arco de Seto when the solitaire game count is not 0:
	end the game saying "Has abandonado el Laberinto de las Bestias Reales" instead.

Section E(p) - Tesoros de todo tipo

A frasco rojizo is a strength potion in Terra Incognita. It has additional strength 2d4+4. A frasco marrón is a strength potion in Terra Incognita. It has additional strength 2d4+4. A frasco amarillento is a strength potion in Terra Incognita. It has additional strength 1d8+2. A frasco verdoso is a strength potion in Terra Incognita. It has additional strength 3d6+6. The frasco marrón is trapped.

Understand "frasco marron" as the frasco marrón.

An viejo pasador de madera and a mango roto are in Terra Incognita. The pasador and the mango are madera. In Terra Incognita are some cota de malla, a lanza larga and a hacha de batalla. A tejón muerto is in Terra Incognita. "Un tejón muerto, de frente a rayas, con las piernas extendidas, yace aquí. Nada terrible parece haberle ocurrido: sólo la vejez." The tejón muerto is carne. Instead of eating the tejón muerto, say "No estás tan desesperado aún: y esperemos que nunca lo estés." Effect of casting remendar at the tejón muerto: record outcome "pero mira, si el hechizo hubiese sido 'resucitar tejón' te lo habría dicho"; rule succeeds. Understand "tejon" or "tejon muerto" as the tejón muerto. [* Estas pequeñas joyas son más útiles de lo que parecen: los objetos de madera son un foco muy conveniente para el "misil mágico", mientras que el pobre tejón es un foco de carne. Hay muchos tejones en el bosque cuando voy a menudo a pasear, y les tengo bastante aprecio: pero estos parecen inexpresiblemente tristes en la muerte.]

A pergamino de retales is a scroll in Terra Incognita. The inscribed spell of the pergamino de retales is calor interior.

A hazard is a kind of thing. Earthquake and Trap are kinds of hazard. In Terra Incognita are two Earthquakes and two Traps.

In Terra Incognita are two goblins, three gnomos, a gigante helado, a hidra verde, one centauro, two medio-orcos, one arpía, one basilisco, one gusano púrpuras, two gárgolas, a troll de las cavernas, two espectro de las cavernas, two esqueleto guerreros and a murciélago gigante.[* En un principio había más murciélagos, y como no aparecen muchas cartas en el jardín laberinto en el nivel 1, los jugadores tendían a encontrar murciélagos gigantes muy a menudo: uno de los testers remarcó que es algo triste dando vueltas por ahí haciendo que los murciélagos gigantes se extinguieran en uno de sus últimos habitats naturales. Sus comentarios ha terminado, algo cambiados, en la columna del "Corresponsal" en la parodia de magazine que acompaña al juego.]

Section E(q) - Los siete artefactos

[ Los artefacos no son muy distintos de los que se encuentran en "Sorcerer's Cave", sin embargo los detalles son diferentes. El Ojo del Dios estaba maldito de forma diferente en el original: aquí es peligroso acarrearlo, pero una de las misiones del laberinto es exactamente llevarlo un buen trecho. Nuestra versión del anillo es inmensamente más poderosa, pero tiene truco: aunque el poseedor llega a ser casi inmortal en niveles más bajos, puede que emerja a niveles superiores con FUE baja, así que es algo peligroso sobrevivir a un altercado con demonios de las profundiades sólo para ser golpeado en la cabeza por un gnomo en el nivel 1.

No hay equivalente a la Varita Profética y el Mapa Encantado en el juego original de tablero: y realmente no podrían haberlo, ya que los jugadores puede siempre ver el laberinto entero extendido en el suelo.]

An artefact is a kind of thing. An artefact is esencia mágica. An artefact has a number called minimum level. The minimum level of an artefact is usually 1. Every turn when the location is the Arboleda Seca and the player carries an artefact: say "Apenas notas como desaparece [the list of artefacts carried by the player], retornados al laberinto mágicamente."; repeat with trinket running through artefacts carried by the player begin; return the trinket to the pack; end repeat.

Instead of inserting an artefact into something, say "Los artefactos del laberinto no pueden ser escondidos de ninguna de las maneras."


The Flauta Encantada is an artefact in Terra Incognita. "La Flauta Encantada, un preciado artefacto, descansa en un rincón." The description is "Cuando se toca, la Flauta Encantada apacigua a cualquier criatura hostil (salvo los no-muertos) a un estado de quietud: pero la Flauta sólo se puede tocar una vez antes de desvanecerse otra vez en el laberinto.". The Flauta Encantada is female.
[The indefinite article of the Flauta is "la".]

Musically playing is an action applying to one thing. Understand "toca [Flauta Encantada]" as musically playing. Check musically playing: if the noun is not the Flauta Encantada, say "Eso no es un instrumento musical." instead.

Carry out musically playing:
	if a hostile monster is in the location
	begin;
		say "Mientras tocas una canción de cuna sobrenatural en la Flauta Encantada, parece como si apaciguases a [the list of hostile monsters in the location]. Ahora eres libre de andar por aquí; pero la Flauta, con su misión cumplida, desaparece.";
		now all monsters in the location are indifferent;
		return the Flauta Encantada to the pack;
	otherwise;
		say "Tocas un corto pasacalles para pasar el tiempo. Pero en la ausencia de criaturas hostiles, no hay ningún efecto salvo el apaciguamiento de tu alma cansada.";
	end if.

Instead of blowing the flauta, try musically playing the flauta.

The Ojo del Dios is an artefact in Terra Incognita. "El Ojo del Dios, una funesta gema verde, te deslumbra." It has minimum level 3. The description is "Maldita y aún así preciosa, la gema el Ojo del Dios es el más extraño de todos los artefactos del laberinto."

Understand "gema" as the Ojo del Dios.

Rule for calculating combat modifiers of the player:
	if the player carries the Ojo del Dios, modify to-hit roll by -2 for "llevar el Ojo del Dios";
	continue the activity.

The Anillo de Poder is an artefact in Terra Incognita. "Descartado en el suelo, como si no fuera uno de los artefactos más pujantes en el laberinto, descansa el Anillo de Poder." It has minimum level 2. The description is "En el tercer nivel e inferiores del laberinto, el portador del Anillo de Poder es invulnerable a los daños (la mayoría) infligidos por otros cuando su FUE baja por debajo del doble de su propio nivel." The Anillo de Poder is wearable.

The Talismán is an artefact in Terra Incognita. "Colocado en el centro de este espacio en frente de ti está el Talismán." It has minimum level 2. The description is "Aquel que lleve el talismán no será atacado por los no-muertos." Instead of wearing the Talismán, say "Este amuleto es llevado, sin necesidad de vestirlo."

Understand "talisman" as the Talismán.

Every turn when the player carries the Talismán and an undead monster is in the location:
	now all undead monsters in the location are indifferent;
	say "El Talismán evita el ataque de [ list of undead monsters in the location]."

For calculating damage modifiers of the player:
	let the threshold be the level of the player;
	let the threshold be the threshold multiplied by 2;
	let the putative strength be the strength of the player;
	decrease the putative strength by the damage incurred;
	if the player is wearing the Anillo de Poder and the current maze level is greater than 2 and the putative strength is less than the threshold
	begin;
		say ": el Anillo de Poder en tu dedo brilla con un fulgor rojo-fuego";
		let the largest safe amount be the strength of the player;
		decrease the largest safe amount by the threshold;
		if the largest safe amount is less than 0, let the largest safe amount be 0;
		change the damage incurred to the largest safe amount;
		stop; [no continuar con la actividad, porque no tiene sentido.]
	end if;
	continue the activity.

The Alfombra Mágica is an artefact in Terra Incognita. "Enrollada frente a ti encuentras la Alfombra Mágica." It has minimum level 2. The description is "Un artefacto muy útil: permite al mago moverse, una sola vez, una posición en cualquier dirección (norte sur, este, oeste, arriba o abajo) sin importar muros o vallas. (Escribe MONTAR ALFOMBRA HACIA EL NORTE.)" The Alfombra Mágica is female.

Understand "alfombra magica" as the Alfombra Mágica.

Carpet-riding is an action applying to two visible things. Understand "monta [something preferably held] a/hacia [direction]" as carpet-riding. Check carpet-riding: if the noun is not the Alfombra Mágica, say "Eso no es algo que puedas montar." instead; if the second noun is not a direction, say "Esa no es una dirección con la que puedas ir con la alfombra." instead.

Carry out carpet-riding:
	let the current position be the grid position of the location;
	let the new position be the vector sum of the current position and the vector of the second noun;
	if the new position is <0,0,0>, say "La alfombra es incapaz de llevarte por esa dirección, la cual te llevaría fuera del laberinto." instead;
	let the destination room be the room at the new position;
	let the novelty factor be 0;
	if the destination room is Solid Rock
	begin;
		if a labyrinth room is acceptable
		begin;
			let the destination room be a random acceptable labyrinth room;
			position the destination room at the new position;
			let the novelty factor be 1;
		otherwise;
			say "La alfombra es incapaz de llevarte por esa dirección, la cual te llevaría fuera del laberinto." instead;
		end if;
	end if;
	return the Alfombra Mágica to the pack;
	say "La Alfombra Mágica te transporta a un lugar hacia la dirección [second noun] en el laberinto, entonces desaparece en el aire.";
	let the way be the second noun;
	let the reverse way be the opposite of the second noun;
	if the room the way from the location is Terra Incognita
	begin;
		if the room the reverse way from the destination room is Terra Incognita
		begin;
			change the way exit of the location to the destination room;
			change the reverse way exit of the destination room to the location;
		otherwise;
			change the way exit of the location to Solid Rock;
			change the reverse way exit of the destination room to Solid Rock;
		end if;
	end if;
	if the novelty factor is 1, draw cards for the destination room;
	move the player to the destination room.

The Varita Profética is an artefact in Terra Incognita. "La Varita Profética, uno de los artefactos del Laberinto, está frente a ti." The description is "Si se agita, la Varita Profética da al mago una ligera idea de su localización en el laberinto." The Varita Profética is female.

Understand "varita profetica" as the Varita Profética.

Instead of pushing the Varita Profética: try waving the Varita Profética.

Instead of waving the Varita Profética:
	say "La Varita Profética siente que ";
	if the location is the Arco de Seto, say "estás en la Arcada. Vaya, qué sorpresa." instead;
	if the current maze level is not 1, say "estás bajo tierra, en el nivel [current maze level] del laberinto; ";
	let the current position be the grid position of the location;
	let the budless position be the grid position of the Arco de Seto;
	let the eastward journey be the easting part of the current position;
	decrease the eastward journey by the easting part of the budless position;
	let the northward journey be the northing part of the current position;
	decrease the northward journey by the northing part of the budless position;	
	let the westward journey be 0 minus the eastward journey;
	let the southward journey be 0 minus the northward journey;
	if the eastward journey is 0 and the northward journey is 0
	begin;
		say "estás verticalmente debajo de la Arcada, ";
	otherwise;
		say "has viajado ";
		if the eastward journey > 0, say "al este [eastward journey in words] paso[s], ";
		if the westward journey > 0, say "al oeste [westward journey in words] paso[s], ";
		if the northward journey > 0, say "al norte [northward journey in words] paso[s], ";
		if the southward journey > 0, say "al sur [southward journey in words] paso[s], ";
	end if;
	let the way out be the best route from the location to the Arco de Seto;
	if the way out is a direction, say "y tira de tu mano en dirección [way out].";
	otherwise say "y sacude tu mano."

The Mapa Encantado is an artefact in Terra Incognita. "El Mapa Encantado, uno de los artefactos del Laberinto, yace aquí a tu disposición."

To plot line (N - a number) of room (R - a room):
	if R is Solid Rock begin; say "     "; stop; end if;
	if R is unvisited begin; say ":::::"; stop; end if;
	if R is Earthquake-damaged begin; say "#####"; stop; end if;
	if R is the Isla del Lago Profundo
	begin;
		if N is 1, say "~~~~~";
		if N is 2, say "~~O~~";
		if N is 3, say "~~~~~";
		stop;
	end if;
	if N is 1
	begin;
		if R exits north, say "  |"; otherwise say "   ";
		if R is ascending, say "/ "; otherwise say "  ";
	end if;
	if N is 2
	begin;
		if R exits west, say "-"; otherwise say " ";
		say the map legend of R;
		if R exits east, say "-"; otherwise say " ";
	end if;
	if N is 3
	begin;
		if R is descending, say " /"; otherwise say "  ";
		if R exits south, say "|  "; otherwise say "   ";
	end if.

Instead of examining the Mapa Encantado:
	let grid ref be the grid position of the location;
	if grid ref is <0,0,0>, stop;
	let L be the maze level part of the grid ref;
	if L is 1, let the design be "=-=-=";
	if L is 2, let the design be "-=-=-";
	if L is 3, let the design be "=+=+=";
	if L is 4, let the design be "=====";
	if L is 5, let the design be "=+o+=";
	if L is greater than 5, let the design be "#####";
	say "[fixed letter spacing]+[design][design][design][design][design]+[line break]";
	repeat with dN running from -1 to 1
	begin;
		repeat with stripe running from 1 to 3
		begin;
			say "#";
			repeat with dE running from -2 to 2
			begin;
				let E be the easting part of the grid ref;
				let N be the northing part of the grid ref;
				let L be the maze level part of the grid ref;
				let E be E plus dE;
				let N be N minus dN;
				let the offset ref be the spatial coordinate with maze level part L easting part E northing part N;
				let the offset room be the room at the offset ref;
				plot line stripe of room offset room;
			end repeat;
			say "#[line break]";
		end repeat;
	end repeat;
	say "+[design][design][design][design][design]+[line break][variable letter spacing][line break]".



Section E(r) - Las cartas de encuentro

[ Aquí poblamos el laberinto. Cuando el jugador entra en una nueva habitación que tiene un espacio abierto, "cartas" son sacadas de la "baraja de encuentros" para ver qué se va ha encontrar allí. Las cartas son en realidad las cosas (monstruos, etc) en si mismas y la baraja es un contenedor - el cual, al igual que las habitaciones Roca Sólida y Terra Incognita, existen en algún tipo de forma metafísica y realmente no se encuentran en el mundo del jugador.

Organizamos estas "cartas" en una baraja porque los monstruos muertos, los artefactos usados y los peligros jugados necesitan ser retornados al fondo de la baraja. No se podría sencillamente sacar cartas de ninguna parte: porque entonces habría la posibilidad de sacar la Flauta Mágica, por ejemplo, justo al siguiente turno de haberla usado.

Aunque poco código de Inform usa o se da cuenta de esto, los contenidos de una habitación o un contenedor están, de hecho, organizados como una lista, así que nosotros usamos esto furtivamente para ordenar la baraja. Nota que "return X to the pack" (retornar X a la baraja), definido más abajo, pone X al fondo eliminando todas las cartas, poniendo dentro X, y luego poniendo todas las cartas de vuelta a la baraja - lo cual suena lento, pero que es un ejercicio trivial para una computadora, y en cualquier caso ocurre relativamente con poca frecuencia en el juego.]

The encounters pack is a container.

Definition: a thing is out-of-the-pack if it is in Terra Incognita.

When play begins:
	let the pack size be the number of out-of-the-pack things;
	let the total shuffled be 0;
	while the total shuffled is less than the pack size
	begin;
		let the next card be a random out-of-the-pack thing;
		move the next card to the encounters pack;
		let the total shuffled be the total shuffled plus 1;
	end while.

To return (this card - a thing) to the pack:
	move this card to Terra Incognita;
	now all things in the encounters pack are in Terra Incognita;
	now all things in Terra Incognita are in the encounters pack.

The previous location is a room that varies. Before going, change the previous location to the location.

After going to an unvisited labyrinth room (called the locale): draw cards for the locale; continue the action.

To draw cards for (locale - a room):
	if the open space part of the shape of the locale is 0, stop;
	let the draw count be the open space part of the shape of the locale plus the maze level part of the grid position of the locale;
	let the preferred artefact be the Mapa Encantado;
	if the current maze task is the hoja malva, let the preferred artefact be the Flauta Encantada;
	if the current maze level is 1 and the preferred artefact is in the encounters pack[* Trucamos la baraja para estar seguros de que la primera cosa que encuentre el jugador es un artefacto útil: habitualmente el Mapa, pero en "el rescate de Eurídice" es la Flauta Encantada, ya que dibujamos al jugador como Orfeo.]
	begin;
		move the preferred artefact to the locale;
		stop;
	end if;
	if the current maze task is the hoja verde guisante and the Ojo del Dios is in the encounters pack and the number of unvisited labyrinth rooms is less than 10[* En la misión de traer de vuelta el Ojo del Dios, podría ser un poco injusto para el Ojo permanecer en el fondo de la baraja durante todo el juego: así que una vez que cuatro quintos del laberinto han sido jugados, el Ojo del Dios se coloca para aparecer el siguiente.]
	begin;
		move the Ojo del Dios to the locale;
		decrease the draw count by 1;
	end if;
	while the draw count is greater than 1 and something (called the top card) is in the encounters pack
	begin;
		move the top card to the locale;
		if the current maze level is 1[* El jardín laberíntico no sufre de trampas, terremotos, o la funesta presencia de los no-muertos.]
		begin;
			if the top card is a hazard, return the top card to the pack;
			if the top card is a monster and the defensive charm of the top card is exorcizar no-muertos, return the top card to the pack;
		end if;
		if the locale is the Bóveda de los Huesos Blancos and the top card is a hazard, return the top card to the pack;[* La Boveda de los Huesos es una caverna inmensa y muy propensa ha sacar muchas cartas, lo cual significa que hay muchas probabilidades de que salga una Trampa o un Terremoto: cuando de hecho ocurría en la fase de testeo, el efecto era poco satisfactorio en primera instancia, injusto en segunda. Así que he hecho que la Boveda de los Huesos esté libre de peligros.]
		if the top card is an artefact and the current maze level is less than the minimum level of the top card, return the top card to the pack;[* Por ejemplo, no encontrarás el Anillo dando vueltas por el laberinto jardín.]
		if the top card is a monster, now the top card is surprised;
		decrease the draw count by 1;
	end while.


Section E(s) - Trampas y terremotos

[ El original "Sorcerer's Cave" de Donnelly tenía cuatro peligros, siendo los otros Medusa y Motín, pero ninguno funciona bien para un juego jugado por un sólo personaje en vez de un "equipo" de exploradores. Trampa y Terremoto están en esencia sin cambiar desde el original.]

Hazard-playing is an action out of world applying to one thing.

Every turn:
	let the locale be the location;
	repeat with hazard card running through hazards in the locale
	begin;
		try hazard-playing the hazard card;
	end repeat.

To make the player fall to (destination - room):
	if the destination is unvisited, draw cards for the destination;
	move the player to the destination.

Carry out hazard-playing a Trap:
	return the noun to the pack;
	let the position below be the vector sum of the grid position of the location and the vector of down;
	if the position below is <0,0,0>, continue the action;
	if the location is descending, continue the action;
	let the place below be the room at the position below;
	if the place below is not Solid Rock
	begin;
		say "Caes a través de una trampa oculta en el suelo, emergiendo en...";
		change the down exit of the location to the place below;
		make the player fall to the place below;
		stop;
	end if;
	if a labyrinth room (called the place below) is unplaced
	begin;
		say "¡Caes por una trampa oculta en el suelo!";
		position the place below at the position below;
		change the down exit of the location to the place below;
		if the place below is not ascending,
			change the up exit of the place below to Solid Rock;
		make the player fall to the place below;
	end if.

A room can be Earthquake-damaged or Earthquake-undamaged. A room is usually not Earthquake-damaged. Instead of going to an Earthquake-damaged room, say "Toda esa cueva se ha colapsado por un terremoto y es ahora intransitable."

Carry out hazard-playing an Earthquake:
	return the noun to the pack;
	if the previous location is not a labyrinth room, continue the action;
	if the previous maze level is 1, continue the action;[* Un Terremoto causa que rocas caigan para bloquear la habitación que acabamos de abandonar: lo cual no tiene mucho sentido en el laberinto ajardinado del nivel 1.]
	if the player is in the previous location, continue the action;
	say "¡Un violento terremoto causa el derrumbe de grandes rocas en la cueva detrás tuya!";
	now the previous location is Earthquake-damaged.



Chapter O - El Barrio Oeste

Section O(a) - Curar calvicie, filtrar mente y corroer

[ Los cuatro barrios son, de hecho, escenarios independientes, pero hay una cierta cantidad de efectos cruzados: los hechizos nuevos que se encuentran en cada barrio tienen una serie de efectos interesantes en los objetos de los demás barrios. De todos modos, aquí creamos dos nuevos monstruos de W&W, y tres hechizos nuevos..]

Table of Monstrous Beasts (continued)
name		strength	hand-to-hand combat method	unarmed combat hit dice	defensive charm
reptil	5	"mordiéndote"	1d6
clérigo	12	"golpeándote con artes marciales"	1d6

[* NT: 2 nuevos monstruos: reptile, priest.]

Understand "clerigo" as a clérigo.

Table of Enchantments (continued)
spell		nature	cost	requirement	emission		targeting		duration	duration timer	usage count
filtrar mente	arcano	6	metal	"una tracería de lineas plateadas"		targeted		--	
curar calvicie	curativo	4	carne	"un vapor de olor cítrico"	targeted
corroer	ofensivo	4	madera	"niebla densa"	targeted

[* NT: más hechizos: mindsift, cure baldness, corrode.]

Effect of casting curar calvicie at something:
	record outcome "pero se evapora de nuevo sin lograr nada salvo un leve aroma a limones";
	rule succeeds.
Effect of casting curar calvicie at a person:
	record outcome "pero se evapora de nuevo sin ningún efecto notable - este hechizo nunca funciona";
	rule succeeds.
Effect of casting curar calvicie at a araña gigante:
	record outcome "- un procedimiento patentemente estúpido considerando que estas cosas ya tienen bastante pelo";
	rule succeeds.

Effect of casting filtrar mente at something:
	record outcome "dejándote una breve y apaciguante amnesia antes de que tu propia vida presione detrás de tu mente";
	rule succeeds. 
Effect of casting filtrar mente at esqueleto:
	record outcome "y, para tu sorpresa, encuentras un leve residuo de un último deseo desvaneciente de vivir; pero sin respiración, la memoria no permanece, y no te llega nada más";
	rule succeeds.
Effect of casting filtrar mente at goblin muerto:
	record outcome "pero no queda nada específico, sólo una sensación ardiente de singular desapacibilidad";
	rule succeeds.
Effect of casting filtrar mente at a wyvern:
	record outcome "y eres asaltado por una rápida sucesión de sencillas pero poderosas sensaciones: volar, holgazanear bajo el sol templado, un calor abrasador en tu garganta. Pero nada de magia";
	rule succeeds.
Effect of casting filtrar mente at the sucubos:
	record outcome "pero los recurdos son los tuyos propios, sólo que con una sensación mayor de poder invocarlos simplemente con pensar sobre ello. De repente sientes un calor interior";
	rule succeeds.
Effect of casting filtrar mente at the serpiente de escamas de cobre: now the player knows corroer; record outcome "extrayendo sus remembranzas, aunque bastante simplificadas por su cerebro de reptil: cólera, y el recuerdo borroso de un hechizo de causar la ruina, que fue lanzado aquí a modo de venganza; y que ahora pasa a ser tuyo";
	rule succeeds.
Effect of casting filtrar mente at a person:   
	repeat through Table of Enchantments
	begin; 
		if the second noun knows the spell entry and the player does not know the spell entry
		begin;
			let the extracted spell be the spell entry;  
			now the player knows the extracted spell; 
			record outcome "y desde la vertiginosa masa de pensamientos logras atrapar algo poderoso y desconocido";
			rule succeeds;
		end if;
	end repeat;  
	record outcome "pero no hay nada mágico que puedas extraer de la súbita ráfaga de pensamientos"; 
	rule succeeds. 

Effect of casting corroer at something metal:
	record outcome "que ahora parece algo más rojizo";
	rule succeeds.
Effect of casting corroer at a portable metal thing:
	remove the second noun from play;
	record outcome "el cual se oxida hasta desaparecer";
	rule succeeds.
Effect of casting corroer at a weapon when the weapon is not metal:
	record outcome "pero no le hace mucho daño porque el arma no está hecha en su mayor parte de metal"; 
	rule succeeds.
Effect of casting corroer at a person:
	record outcome "causando que [the second noun] se llene de pecas"; 
	rule succeeds.

Section O(b) - El Canal Seco

Sandy Area is a region. The Canal Seco, the Plaza del Templo, and the Habitación Anudada are rooms. The Canal Seco, the Plaza del Templo, and the Habitación Anudada are in the Sandy Area.

The Canal Seco is west of the Apoteósico Trono. The Canal Seco is below the Apoteósico Trono. "Pesadas piedras alinean las paredes [if the capa is in location]de este canal. Bajo tus pies hay unos cuantos metros de arena[otherwise]y el suelo de este canal, aunque la mayor parte del suelo está cubierto por una delgada capa de fina arena[end if]. Hace mucho tiempo los muros estaban enlucidos, y aún quedan restos de la pinturas originales que antaño los adornaban." The gruesa puerta is west of the Canal Seco. It is a door. "Una gruesa puerta de piedra deslizante [if the gruesa puerta is closed]bloquea[otherwise]permanece abierta en[end if] [if in the Canal]el final del canal hacia el oeste[otherwise]el este, hacia la vía del desfile ceremonial[end if]." The gruesa puerta is trapped. Instead of opening the gruesa puerta for the first time: say "Agarras las asas de la puerta y tiras hacia los lados. Rápidamente arena comienza a fluir a través de la leve apertura golpeándote en la cara y en todo el cuerpo. Y la cierras con fuerza antes de que te veas enterrado vivo." Instead of closing the open gruesa puerta, say "La arena la mantiene permanentemente abierta."

Some pinturas de pared are scenery in the Canal Seco. Understand "frescos" or "delfines" or "pulpo" or "nadador" or "enlucido" or "paredes" or "muros" as the pinturas de pared. The description is "Ondulados trazos de azul y negro sugieren las formas de delfines saltando, un pulpo y un nadador solitario." Effect of casting remendar at the pinturas de pared: record outcome "que parecen buscar más trozos del enlucido original, pero ya no queda ninguno para reesamblar"; rule succeeds. The pinturas de pared are female.

The suelo arenoso is scenery in the Canal. Understand "arena" or "fina" as the suelo arenoso. The description is "Hay arena entre las rendijas y esparcida por toda la superficie de las piedras, que han sido desgastadas hasta quedar pulidas." Instead of digging or pushing or blowing or turning the suelo arenoso, try looking under the suelo arenoso. Instead of looking under the suelo arenoso, say "La arena es demasiado fina como para ocultar nada interesante." Instead of touching the suelo arenoso, say "Apartas a un lado algo de arena, pero sin ningún efecto interesante."

Digging is an action applying to one thing. Instead of digging something, say "Cavando aquí no conseguirás nada." Understand "cava [something]" or "cava en [something]" as digging.

Blowing is an action applying to one thing. Instead of blowing something, say "Soplar eso no te reportará nada." Understand "sopla [something]" as blowing. [* NT: Más acciones añejas vueltas a colocar porque I7 exterminó a todas las acciones tontas que no hacían nada útil. Autor, si las quieres, ¡cúrratelas!]

The pergamino endeble is a scroll. "El filo de un pergamino medio enterrado emerge de la arena." The inscribed spell of the pergamino endeble is curar calvicie. Effect of casting remendar at the pergamino endeble: record outcome "borrando su escritura más reciente y reemplazándola por unas letras de tipografía más antigua..."; change the inscribed spell of the pergamino endeble to filtrar mente; rule succeeds. Understand "filo" as the pergamino endeble.

Instead of casting memorizar at the pergamino endeble when the inscribed spell of the pergamino endeble is curar calvicie for the first time: say "Echas un vistazo al hechizo de curar calvicie pero algo te distrae, la sombra de la evidencia de una escritura mucho más antigua; sin duda otro hechizo sustentaba anteriormente este pergamino, pero alguien lo borró para inscribir el actual. Pero con otro intento de 'memorizar' sin duda podrás superar este impedimento."

After opening the gruesa puerta:
	now the gruesa puerta is untrapped;
	remove the suelo arenoso from play;
	move the capa de arena to the Sandy Area;[* Esto hace que la arena esté presente en las tres habitaciones a la vez que componen la región Sandy Area (área arenosa).]
	say "Abres la gruesa puerta. De más allá te viene encima un torrente de arena tan veloz y en tantas cantidades que amenaza con enterrarte vivo, y aún queda más por entrar..."
	
The description of the gruesa puerta is "Lo suficientemente robusta como para poder sujetar un peso considerable." Before going through the closed gruesa puerta, say "Esta no es del tipo de puerta que simplemente la abres sin pensar y pasas por ella; esta cosa necesita de mayor fuerza para poder abrirla." instead. Instead of turning the gruesa puerta, say "Se abre deslizándo, no girándo." Instead of pushing the gruesa puerta: try closing the gruesa puerta. Instead of pulling the gruesa puerta: try opening the gruesa puerta. Instead of listening to the gruesa puerta, say "Tras ella todo está en silencio."

[ *NT: Lo siguiente ha tenido que ser quitado porque interfiere con la gramática del hechizo "forzar laberinto"... y de todas formas no existe una ganzúa en el juego así que... Y es que no existe traducción posible para el verbo "pick" de "Pick lock" que significa "abrir una cerradura con una ganzúa".]
[Understand "forzar [a locked thing]" as a mistake ("No posees ninguna habilidad de ladrón.").]

The capa de arena is a backdrop. The capa can be flowing or still. The capa is flowing. The description is "La capa de arena te llegaría hasta la cintura, o incluso más arriba, si estuvieses en el fondo del canal, debajo de esta." The capa is female. Instead of going through the gruesa puerta in the presence of the capa when the capa is flowing: say "Te es imposible hacerte camino contra corriente." Instead of going to the Apoteósico Trono in the presence of the capa when the capa is flowing: say "Tratas de huir del torrente de arena, pero de hecho es casi imposible luchar por moverse rápido con la fina arena bajo tus pies, así que no consigues llegar a la base del ziggurat." Effect of casting remendar at the capa de arena: record outcome "alisando la superficie de la arena hasta que queda completamente lisa"; rule succeeds. Instead of digging the arena: say "Haces hoyos en la arena en busca de algún detrito del interior, pero no encuentras nada interesante." Instead of searching the arena: try digging the arena.

After deciding the scope of the player when the player is in the Sanctorum:
	if the contornos arcoiris are in the Canal Seco 
	begin;
		if we have opened the gruesa puerta, place the arena in scope;
	end if.

Every turn when the capa is flowing:  
	if opening the gruesa puerta, rule succeeds;
	if the player can see the arena
	begin;
		now the arena is still;
		move the pergamino endeble to the Canal Seco;
		if the player is in the Sanctum
		begin;
			say "La arena fluye subiendo de nivel y alrededor de los muros de tu santuario, pero tu, dentro, continúas respirando fácilmente. Eventualmente el torrente se apacigua."; 
		otherwise;	
			if the player is affected by escudo aéreo, say "Tus escudo aéreo no ayuda cuando tus piernas, cintura y pecho está siendo enterrados. ";
			say "La arena sigue derramándose a tu alrededor hasta que tu cara es cubierta por completo por un fino polvo sofocante. Hace ";
			let the damage be the roll of 10d6;
			say " puntos de daño"; 
			make the player take the damage points of damage;
			if the player is killed, end the game saying "Has muerto como una polilla en un reloj de arena"; 
		end if;
	end if.

Section O(c) - La Diosa y la Serpiente

The Plaza del Templo is west of the gruesa puerta. "En mitad de la plaza hay una estatua colosal dedicada a la diosa del Agua. Hace mucho tiempo era una muestra del verdadero y asombroso poder de los habitantes de Tolti-Aph, que para mantener la función de su divinidad, estába hecha del cristal más puro. Pero algo la ha corrompido, y hoy día no es más que una ruina que está desintegrándose poco a poco, convirtiéndonse en arena. A pesar de esto, los muros aún permanecen decorados con las dedicatorias de sus agradecidos seguidores.

Hacia el norte hay un edificio marcado con una runa que simboliza el conocimiento esotérico."

The brazo roto is scenery in the Plaza del Templo. The description is "Antaño fue un increíble trabajo de orfebrería. El más puro cristal en la forma de la muñeca más fina, la mano más suave y los dedos más esbeltos. Aunque evidentemente no es una joya fácil de lucir. Sería muy poco elegante llevar como colgante una mano de prístino cristal cuando cada una de sus uñas es más ancha que tu cabeza." Instead of taking the brazo roto, try examining the brazo roto. Understand "brazo gigante" as the brazo roto.

Some dedicatorias are scenery in the Plaza del Templo. The description of the dedicatorias is "Varios mensajes dando gracias a la diosa por purificar pozos, enviar lluvia, traer de vuelta a casa a primos que se creían perdidos en el fondo del mar, causar la putrefacción de la cerveza de un rival... Ese tipo de cosas." The dedicatorias are female. Understand "muros" or "paredes" as the dedicatorias.

The biblioteca is scenery in the Plaza del Templo. Understand "runa" or "libreria" or "edificio" as the biblioteca. The description is "Parece tentador." The biblioteca is female. Instead of entering the biblioteca, try going north.

The estatua colosal is scenery in the Plaza del Templo. Understand "diosa" as the estatua. The description is "La cabeza y los hombros han desaparecido, y un brazo gigante se ha separado por completo y está tirado sobre la arena. Además, si superficie parece áspera, granulosa, como si toda ella fuesen partículas de arena listas para descamarse." The estatua colosal is female. Instead of praying in the presence of the estatua colosal, say "Sencillamente, ella ya no te puede ayudar." Effect of casting remendar at the estatua colosal: record outcome "que pule un poco su superficie, pero es incapaz de lograr una auténtica reconstrucción"; rule succeeds.

The serpiente de escamas de cobre is a reptil in the Plaza del Templo. It is indifferent. "Una serpiente con escamas de cobre está enrollada en uno de los inmensos dedos de cristal del brazo caido de la diosa." The description of the serpiente is "Parece ligeramente acongojada. Hay mucha inteligencia en sus ojos para ser un simple reptil." The serpiente de escamas de cobre knows corroer. It is metal. Instead of kissing the serpiente: say "Retira su cabeza hacia atrás, negándose a morder. Si buscas envenenarte, tendrás que buscar una forma más directa de hacerlo." Instead of taking the indifferent serpiente: move the serpiente to the player; say "La serpiente de escamas de cobre se enrolla a tu muñeca como si fuese un caro brazalete." Instead of taking the hostile serpiente: say "Parece que no está de humor." Instead of attacking the serpiente when the serpiente is carried by the player: say "Eso sería algo complicado mientras aún la lleves en tu brazo." The serpiente is female.

Instead of asking the serpiente about something, say "Se calla sus misteriosos consejos." Instead of telling the serpiente about something, say "Gira su cabeza escuchando." Instead of answering the serpiente that something: say "Parece mover su cabeza afirmativamente." Instead of asking the serpiente to try doing something, say "Te devuelve una mirada que, aparentemente no acepta órdenes de nadie."

After printing the name of the serpiente while taking inventory: say " (sorprendentemente dócil)".

Section O(d) - Nudos

The Habitación Anudada is north of the Plaza del Templo. "En todo lo alto hay una abertura circular que conduce a la habitación de arriba[if the escala de cuerda is not in the location]. Si hubo alguna vez una escalera o escala de alguna clase que llevase hasta allí arriba, hace mucho tiempo que se derrumbó o que fué retirada.[end if]."

Some cuerdas are fixed in place in the Habitación Anudada. "Colgando del techo hay cientos de cuerdas, algunas tan gruesas como una soga,  otras tan finas como hilos de telaraña; y cada una de ellas está anudada a ciertos intervalos, de forma que cada cuerda está repleta de nudos, sin duda algún tipo de lenguaje. Si supieses el código, podrías leer sus historias y leyendas sangrientas. Pero, tal como están, rozan tu cabeza al pasar, pero no rozan tu sabiduría." Understand "nudos" or "nudo" or "hilo" or "hilos" or "hebras" or "hebra" or "sogas" or "soga" as the cuerdas. Instead of pulling or taking the cuerdas: say "Están bien aseguradas al techo." Instead of touching or examining the cuerdas, say "Llevas tus dedos por el filamento más cercano, y aciertas a leer lo siguiente: bum, bum-bum, bum-espacio-bum..." Instead of tying something to the cuerdas: try tying the second noun to the noun. Instead of tying the cuerdas to something: say "Son demasiado gruesas para atarlas a las cosas. Salvo para atarlas a si mismas." Instead of tying cuerdas to cuerdas: say "Tratas de construir algún tipo de escala, pero no termina de funcionar: tus habilidades anudatorias son mínimas, y cada hebra es muy diferente en grosor y composición." The cuerdas is female.

Effect of casting telaraña at the cuerdas:
	remove the cuerdas from play;
	move the escala de cuerda to the location;
	record outcome "uniendo unas a otras con los hilos cruzados de una tela de araña";
	rule succeeds.
	
Effect of casting remendar at the escala de cuerda:
	remove the escala de cuerda from play;
	move the cuerda to the location;
	record outcome "limpiando los restos de la seda de araña y restaurando las cuerdas en su prístina gloria original";
	rule succeeds.
Effect of casting remendar at the cuerdas:
	record outcome "causando que algunos nudos varíen ligeramente en la hebra más cercana, esperemos que hayas deshecho alguna censura centenaria de algún texto venerable";
	rule succeeds.
	
Effect of casting filtrar mente at cuerdas:
	record outcome "el cual te revela la breve historia de un héroe, un dios con alas de águila, y una mujer convertida en rana";
	rule succeeds.
	
The escala de cuerda is a fixed in place thing. "Hay una curiosa escala de cuerda hecha de telarañas y de las hebras que cuelgan del techo."  Instead of climbing the escala de cuerda, try going up. The escala de cuerda is female. Understand "cuerdas" as the escala.

Instead of going up in the Habitación Anudada in the presence of the cuerdas, try climbing the cuerdas. Instead of jumping in the presence of the cuerdas: say "El agujero sigue estando fuera de alcance."

Instead of climbing the cuerdas:
	if the strength of the player < 3, say "Estás demasiado débil para intentarlo." instead;
	decrease the strength of the player by 1;
	if a saving roll of 25 by the player to "escalar las cuerdas" is made
	begin;
		move the player to the Oscura Buhardilla;
	otherwise;
		say "No lo consigues. Estas son el tipo de cosas que es mejor dejárselas a los guerreros.";
	end if.

Section O(e) - La Buhardilla y el Archivero

The agujero is an open unopenable door. It is scenery. Understand "abertura" or "abertura circular" as the agujero. It is above the Habitación Anudada and below the Oscura Buhardilla. The printed name of Oscura Buhardilla is "[if the archivero is lit and the archivero is in location]Luminosa[otherwise]Oscura[end if] Buhardilla". 
	
Instead of searching the agujero in the Buhardilla:
	say "Miras hacia la habitación de abajo esperando que tu improvisada escala aguante para el viaje de vuelta."

Instead of searching the agujero in the Habitación Anudada:
	if a lit thing is in the Buhardilla, say "A través del agujero puedes ver una luz blanca y extrañas sombras, pero no alcanzas a distinguir nada más.";
	otherwise say "Parece que está oscuro."

The description of the Oscura Buhardilla is "Una habitación circular[if the archivero is in location and archivero is lit], sucia por el tiempo[otherwise], muy mal iluminada[end if], con un agujero en el suelo que comunica con la habitación de abajo." The casillero is fixed in place in the Oscura Buhardilla. "[if fixed in place]Un casillero vacío, hecho de madera podrida, reposa sobre una de las paredes; debió contener hace mucho hebras de distinto color y grosor[otherwise]En el suelo hay una especie de cajón hecho de madera podrida[end if]." It is a container. Understand "casillero" or "cajon" as the casillero. The casillero is madera.

Instead of attacking the fixed in place casillero: now the casillero is portable; change the printed name of the casillero to "cajón de madera podrida"; say "Golpeas el casillero, el cual cae de la pared a trozos, dejándote con una especie de cajón hecho de madera podrida." 

Instead of attacking the portable casillero: say "¿No has tenido suficiente?"

Instead of casting remendar at the portable casillero when the casillero are not in the location:
	say "Para remendarlo apropiadamente, debe dejarse en el suelo de la habitación, ya que aparenta ser mobiliario."

Effect of casting remendar at the portable casillero: 
	now the casillero is fixed in place;
	change the printed name of the casillero to "casillero";
	record outcome "recomponiéndose en un desvencijado pero funcional contenedor";
	rule succeeds;

The archivero is a clérigo in the Oscura Buhardilla. It is indifferent. The archivero can be active or passive. "Agachado en cuclillas en el centro de la habitación, rodeado por filamentos de diferentes tamaños y colores, hay un archivero[if lit]. Él brilla con luz mágica[end if]." The description is "Es muy delgado, como si se hubiese preservado por desecación. Lleva unos pequeños anteojos redondos[if lit]. Además él brilla con una trémula luz blanca[end if]."  

Instead of going to the Buhardilla when the player knows luz mágica and the archivero is unlit for the first time:
	say "Dudas, pues después de todo, el viejo lunático se habrá apagado como una lámpara vieja, y si asomas la cabeza tendrás que reiluminarle otra vez."

Instead of attacking the archivero: say "Te lanzas sobre él, pero no consigues hacer contacto. 'Ah,' dice, 'has venido demasiado tarde para matarme, me temo.'"

Instead of going to a room in the presence of the unlit archivero when the player knows luz mágica:
	say "El archivero te detiene con una señal que hace vibrar el aire[if the archivero is affected by silencio]. Aparentemente no te está permitido abandonar la habitación hasta que hayas completado tu parte del trato[otherwise]. 'No hasta que me hayas conseguido algo de luz; ese es nuestro pacto,' dice[end if]."
 
Every turn:
	repeat through the Table of Enchantments
	begin; 
		if the duration timer entry < 1,  		now the archivero is not affected by the spell entry;	
	end repeat;
	if the archivero is not affected by luz mágica, now the archivero is unlit.

Report casting in the presence of the archivero:
	say "Mientras entonas las palabras del hechizo [italic type][spell understood][roman type], ";
	if the current spell focus is something
	begin;
		say "[the current spell focus] ";
		if the player is not holding the current spell focus, say "desaparece mientras ";
		say "proyecta ";
	otherwise;
		say "tus dedos proyectan ";
	end if;
	say emission of the spell understood;
	if the second noun is not a room, say " al [the second noun]";
	say ", [current spell outcome]";
	if the archivero is affected by the spell understood begin;
		if duration of the spell understood is greater than 0
		begin;
			say ", que durará por [duration of the spell understood in words] turno[s]";
			change the duration timer of the spell understood to the duration of the spell understood;
			increase the duration timer of the spell understood by 1;
		end if;
	end if;
	say ".";
	consider the current spell event;
	now the archivero is passive;
	stop the action. 

Effect of casting filtrar mente at the archivero:
	record outcome "pero sus ojos se alzan para sostener tu mirada [if archivero is affected by silencio]Él sonríe y sacude la cabeza, y ahora sabes que involuntariamente le has dejado echar un vistazo a tu propia historia[otherwise]Él sonríe. 'Yo no lo haría,' te previene, en el dialecto de tu ciudad natal[end if]";
	rule succeeds.
Effect of casting telaraña at the archivero:
	record outcome "pero las hebras se enrollan en tus propios brazos, dejándote quieto en el sitio, y luego se disuelven ante un gesto del clérigo";
	rule succeeds.
Effect of casting misil mágico at the archivero:
	record outcome "pero el fuego parece girar y tratar de engullirte en vez de a él. Sólo que en el último momento un movimiento de su mano hace desaparecer la bola de fuego con un sonoro ¡pop!";
	rule succeeds.
Effect of casting remendar at the archivero:
	restore the health of the player;
	record outcome "pero el hechizo se refleja e impacta sobre ti, restaurando tu propia fuerza. [if archivero is affected by silencio]La boca del archivero se abre con una carcajada que no puedes oir[otherwise]El archivero se ríe, una carcajada agradable y alegre. 'Tienes potencial. Casi desearía poder tener un aprendiz,' agrega[end if]";
	rule succeeds.
Effect of casting silencio at in the presence of the archivero:
	record outcome "se aposenta alrededor del archivero, el cual hace un comentario que eres incapaz de oir";
	now the archivero is affected by silencio;
	rule succeeds.
Effect of casting escudo aéreo at in the presence of the archivero:
	now the archivero is affected by escudo aéreo;
	record outcome "creando un escudo de protección sobre el archivero";
	rule succeeds. 
Effect of casting luz mágica at in the presence of the archivero:
	now the archivero is affected by luz mágica;
	now the archivero is lit;
	record outcome "iluminando al archivero";
	rule succeeds. 
Effect of casting curar calvicie at the archivero:
	record outcome "pero el hechizo rebota y te golpea. [if archivero is affected by silencio]El archivero sonríe silencionsamente[otherwise]'Si me permites una opinión informada por la moda de hace cientos de años - los bucles no te sientan nada bien,' remarca el archivero[end if]";
	rule succeeds.	 

Instead of casting memorizar at in the presence of the archivero:
	say "El archivero levanta una mano[if the archivero is affected by silencio]. Y señala a su frente a modo de advertencia[otherwise]. 'No, a menos que quieras que sea yo quien aprenda el hechizo,' te advierte[end if]."

Instead of giving something to the archivero:
	say "Le ofreces [the noun], pero cuando el archivero lo alcanza sus dedos traspasan los tuyos sin dejarte el escalofrío que produce el toque de un fantasma."
	
Instead of showing a display listed in the Table of archivero Reactions to the archivero:
	if the archivero is affected by silencio, say "Se encoje de hombros y señala su boca silenciada.";
	say "[reaction entry][paragraph break]".
Instead of showing or giving the cuerda profusamente anudada to the archivero:
	remove the cuerda profusamente anudada from play;
	now the player knows luz mágica;
	say "El archivero se inclina más cerca, murmurando para si mismo mientras interpreta el hechizo y lo confía a la memoria - a tu memoria, eso es."
	
The cuerda profusamente anudada is a thing. The description is "Presumes que es el equivalente a un pergamino, conteniendo algún encantamiento de luz." The cuerda profusamente anudada is female.
	
Table of archivero Reactions
display		reaction
pergamino alargado	"Él lee a través de sus anteojos. 'No parece completamente inútil, creo,' comenta."
pergamino en blanco	"'Estoy sorprendido de que nadie haya escrito todavía sobre una superficie tan prometedora,' dice."
diario en cursiva	"'Ah, que pena,' dice. 'Ella tenía coraje, pero el coraje por si sólo no siempre es suficiente.'"

Every turn:  
	if the player can see the archivero and the archivero is active
	begin;
		if the archivero is affected by silencio
		begin;
			say "El archivero continúa trabajando, pero no puedes escuchar en él ningún movimiento.";
		otherwise;
			if the archivero is lit
			begin;
				say "El archivero trabaja ligero sobre sus hebras, comparando colores.";
			otherwise;
				repeat through Table of archivero Chatter
				begin;
					say "[reaction entry][paragraph break]";
					blank out the whole row;
					stop the action;
				end repeat;
				say "El archivero mueve sus dedos vigorosamente sobre las hebras, anudando aquí y allá.";
			end if;
		end if;
	otherwise;
		now the archivero is active;
	end if.
	

Instead of asking the archivero about a topic listed in the Table of archivero Chatter: 
	if the archivero is affected by silencio, say "Él señala a su garganta silenciada." instead;
	now the archivero is passive;
	say "[reaction entry][paragraph break]";
	blank out the whole row.

Instead of asking the archivero about something, say "'¿Qué? ¿Cómo? Bah, no hablas más que tonterías,' dice el archivero."

Instead of answering the archivero that something: try asking the archivero about it. Instead of telling the archivero about something: try asking the archivero about it.
 
Table of archivero Chatter
topic	reaction
"hi/hey/hola/salud/saludos/nas"	"'Tu otra vez,' remarca el archivero sin siquiera mirarte. '¿O es tu primera vez? Bueno, no importa.'"
"tiempo/edad/temporal/reflejo"	"'El hechizo temporal consume toda mi fuerza,' dice. 'Yo lo mantengo a él, él me mantiene a mi, todo el mundo contento.'"
"hechizo temporal/hechizo/conjuro/tiempo/pergamino/temporal/edad/infinito/eternidad"	"El archivero saca un pergamino peculiar, con la parte de arriba cosida a la de abajo y girado de forma que no tiene ni principio ni fin, pero cuando alargas la mano tus dedos lo atraviesan. Él se lo guarda de nuevo en sus ropajes. [paragraph break]'No para ti,' dice. 'Permite hacer cosas y deshacerlas, ir hacia adelante, ir hacia atrás... Esta clase de poder no es algo que se supone debamos descubrir, creo yo.'[paragraph break]Entonces frunce el ceño, arrepintiéndose de la revelación que acaba de hacer. Luego hay una especie de pegajoso POP en el aire alrededor de tu cabeza, y te olvidas -[line break]"
"tarea/trabajo/nudos/nudo/hebras/hilo/cuerda/cuerdas/archivo/archivos/archivero"	"'Ya sabes,' dice el archivero, mirándote por encima de sus anteojos. 'Esta tarea sería más sencilla con algo más de luz. Cada hebra tiene colores además de los nudos.'"
"significado/proposito/tema/hebra/hilo/cuerda/cuerdas/nudos/nudo/archivo/archivos"	"'Todo el día y noche contando y comparando,' murmura, más para si mismo que para ti. 'Comparando y contando. Bueno, a veces salgo ahí afuera y practico algo de tiro al arco. ¿Sabías que una buena flecha con suficiente altura puede incluso alcanzar la vieja torre del Gran Muro? ¡Pero a seguir contando! Ese es el espíritu.'"
"luz/hechizo de luz/conjuro de luz"	"'Haría yo mismo el conjuro de luz, pero no tengo la fuerza necesaria, menos aún la madera.'"
"luz/hechizo de luz/conjuro de luz"	"'Tú mismo podrías hacerlo, por supuesto,' dice. 'Aprender el conjuro de luz, lanzarlo por mi. Puedes quedártelo después, si quieres. En tu cabeza. Un pago mental, ¿qué te parece?' Él mueve su cabeza de un lado a otro, como un pajarillo '¿Sí?'"
"luz/hechizo de luz/conjuro de luz/conjuro/hechizo"	"Él selecciona una nueva hebra y comienza a anudarla cuidadosamente, contando, murmurando. No puedes escuchar qué palabras. [string placement] " 
"oscuridad/oscuro"	"[if archivero is lit]El archivero sonríe. [otherwise]El archivero continúa trabajando, entornando los ojos sobre las hebras y maldiciendo la oscuridad. [end if]"
"ayuda/ayudar"	"[if archivero is lit]'No creas que no te estoy agradecido,' he says. 'Pero es que tengo que trabajar mientras el hechizo aguante.' [otherwise]'Podrías ayudar si quisieses,' dice, 'sino, preferiría que te largaras.' Y firma esto con una mirada incisiva. [end if]"
"agua/diosa"	"[if archivero is lit]El archivero observa con claridad una hebra: 'No sé si la diosa vive aún,' dice. 'Quizás tan sólo se ha mudado de lugar.' [otherwise]El archivero entorna los ojos sobre su hebra, murmurando: 'Agua, ¿agua como líquido? ¿o la diosa? Difícil de decir sin los colores... ¿Dirías que esto es azul ¿o verde? No, no serías capaz de adivinarlo mejor que yo.' [end if]"
"agua/diosa/azul/verde"	"[if archivero is lit]'El gris verdoso es su color, si es que quieres encontrar a la diosa en las hebras.' Pero por supuesto no serías capaz de obtener ningún significado de ellas. [otherwise]'Debieron dejar una lámpara aquí conmigo,' dice el the archivero. 'Se lo dije - mala organización - los burócratas del templo nunca fueron muy sabios.' [end if]"
"sabios/listos/organizacion/burocratas/templo"	"'Este lugar era un sitio bullicioso,' dice. 'No podrías creerlo... por supuesto, todos se fueron, por supuesto, por supuesto. Demandar tributo es un negocio peligroso en el que meterse.'"
"tributo"	"'Las personas se vuelven irritables cuando sus pozos se secan, ' comenta sin parar de contar. 'Adecuado para echar la culpa - cuatro, cinco, eso es una sequía en toda regla, y no sólo un simple hechizo de secar.' Él sostiene en alto la hebra afrentosa para que la veas, pero no consigues discernir más que una fila de cinco nudos en vez de lo que te ha dicho."
"serpiente/serpientes/serpiente de escamas de cobre"	"'Disminuye de tamaño año tras año mientras la maldición sigue su curso,' comenta, distraídamente. 'No será más que un gusano cuando el hechizo termine. Podría mirar, pero no me gusta implicarme tanto.'"
 
To say string placement:
	if casillero are fixed in place and casillero are in location
	begin;
		say "Entonces alza y mete la hebra en uno de los casilleros; y en cuanto su mano la deja, se vuelve vieja, seca y quebradiza como si hubiese estado ahí durante siglos. ";
		move cuerda profusamente anudada to casillero;
	otherwise;
		say "Entonces él alza y deja en el suelo una hebra a una cierta distancia de él; y en cuanto su mano la deja, se vuelve vieja y seca y quebradiza como si hubiese estado ahí durante siglos. ";
		move cuerda profusamente anudada to location;
	end if.

Chapter N - Barrio Norte

Section N(a) - Eso ha sido de la vieja escuela

After going north from the Apoteósico Trono: say "Desciendes los escalones hasta la parte más alejada de Tolti-Aph, la cual parece estar mucho más ruinosa que la ruta de entrada."; continue the action.

Patio de la Vieja Escuela is north of the Apoteósico Trono. "Por lo que sabes este nunca fue un lugar dedicado a la educación... bueno, bien pensado, sí que podían educarte en ciertas cosas..., en la escuela de la vida, como se suele decir. Hoy en día no es más que un montón de columnas caídas invadidas por la vegetación, aunque estás bastante seguro de que es el mismo patio que hay grabado en la portada de Reliquias de Tolti-Aph.

De la posada 'Vieja Escuela', notoriamente frecuentada por mentirosos y fanfarrones, el tiempo lo ha barrido todo excepto unas cuantas columnas de piedra[if the revoltijo is in Vieja Escuela]; e incluso algunas de estas están derrumbadas por todo el patio en revoltosas aglomeraciones como si fuese la cosecha de un granjero borracho[otherwise], que yacen segmentadas a todo tu alrededor[end if]."

Up from the Patio de la Vieja Escuela is the Apoteósico Trono. Instead of going nowhere from Patio de la Vieja Escuela, say "Es una pena lo poco que resta del que fue una vez el barrio más próspero de la ciudad: tan sólo queda lo que puedes ver."

The trampilla de madera is a door. "[if the revoltijo is in Patio de la Vieja Escuela]Lo que debe de ser una trampilla de madera, quizás para acceder a donde se guardaban los barriles de vino, está parcialmente enterrada bajo los restos de una columna inclinada[otherwise]Ahora la trampilla está accesible[end if]." The trampilla de madera is below the Patio de la Vieja Escuela. The other side of the trampilla is the Cámara Archivo. The trampilla is openable and closed. Instead of opening the trampilla when the revoltijo is in Patio de la Vieja Escuela, say "Tan sólo la idea de pensar en levantar esas columnas es agotadora. La trampilla se encuentra medio tapada por los restos de una columna desplazada, inclinada y apoyada sobre otra que mantiene lo que queda del techo de forma muy precaria." After going through the trampilla: say "Pierdes pié, y, medio saltando medio cayendo, acabas en el sótano."; continue the action. The trampilla is trapped. [Por el juego de palabras, creo.] The trampilla is madera. The trampilla is female.

The revoltijo de columnas are fixed in place scenery in Patio de la Vieja Escuela. Understand "columna" or "columnas" as the revoltijo. Instead of casting misil mágico at the revoltijo, say "La violencia extrema no es la solución." Effect of casting remendar at the revoltijo: record outcome "que, con un aire de autosuficiencia, resiste todo intento de ser enderezado"; rule succeeds.

Pushing or pulling the revoltijo is a Samson act. Instead of a Samson act for the first time, say "Pero es que todo parece sumamente precario, con lo poco que queda del techo a punto de caerse, pero si es eso lo que quieres..." Instead of a Samson act: say "El sonido es atronador cuando los pilares de piedra caen uno sobre otros, pero sobre todo cuando la última losa del techo se desploma. "; if the player is not affected by escudo aéreo begin; say "Podríamos seguir con la charada de calcular el daño de [if the player is affected by huesos de hierro]210d8+50[otherwise]420d8+100[end if], pero sencillamente terminemos con esto de una forma honrosa."; end the game saying "Has muerto sepultado"; stop; end if; say "Probablmente jamás el hechizo 'escudo aéreo' había sido puesto ante una tarea tan formidable, pero el encantamiento aguanta. Y aún así, y mientras los escombros se aposentan por todo el patio alrededor, te sientes desfallecer, e incas una rodilla en el suelo tratando de recuperar el aliento.

Eso sí que ha sido de la vieja escuela."; remove the revoltijo from play; award 14 points.

Section N(b) - ¡Rescatado!

The Cámara Archivo is a room. "Un sótano, pero difícilmente el sótano de una posada; esta debía de ser una tapadera. Aquí estaban almacenados el conocimiento de ciertos hechizos de un poder o importancia particular, aquellos que sus poseedores no querían confiar a los simples pergaminos. Hace mucho tiempo los féretros ocupaban ambos lados de esta habitación, pero hoy en día la mayoría están rotos y vacíos, sus ocupantes convertidos en polvo; en algunos casos muy recientemente, debido tu caida.

El último ataúd que queda de una pieza está sellado mágicamente. Es de una madera semitransparente y contiene una inmóvil figura."

Some ataúdes rotos are scenery in the Cámara Archivo. The description is "Sus sellos están rotos y el contenido no es más que polvo." Effect of casting remendar at the ataúdes rotos: record outcome "pero no puede restaurar las múltiples capas de magia antigua que los mantenían intactos"; rule succeeds. The ataúdes rotos are madera.

Some gafas de infravisión are in the Cámara Archivo. "Desplazadas quizás por tu caida, un par de gafas de infravisión está tiradas en el suelo de piedra, la calavera que las llevaba ahora no es más que polvo." The description of the gafas is "No observas nada especial en las gafas de infravisión. No, en serio, nunca les has encontrado nada de especial. Pero ok, de hecho a los usuarios de magia-del-lado-oscuro les gusta llevarlas por la ciudad con una pose de soy-demasiado-guai-para-que-me-de-la-luz-solar." The gafas are wearable. After looking when in darkness and the player is wearing the gafas de infravisión, say "Realmente es un mito que las gafas de infravisión permiten ver en la oscuridad. En realidad te permiten ver la luz refractándose sobre superficies mágicas." The gafas are metal. The gafas are female.

The último ataúd is transparent closed scenery in the Cámara Archivo. It contains a inmóvil figura. The figura is a woman. The figura knows invocar elemental. The description of the inmóvil figura is "Su cara es de rasgos afilados, sus cejas rectas de una forma que sólo habías visto en las estatuas. Pero ella respira. Muy lentamente, pero respira." Instead of opening the ataúd, say "Está sellado con una magia muy poderosa, protejiendo la vida en su interior." Instead of entering the ataúd, say "Subirte al ataúd no te ayudará a estar más cerca del techo, y si te refieres a entrar, está cerrado a cal y canto; aparte de las consideraciones sobre la decencia humana." The último ataúd is madera.

Understand "ultimo ataúd" or "ataúd" as the último ataúd.

Instead of going up in the Cámara Archivo, say "Parece que no hay manera humana de trepar hasta el agujero cuadrado del techo abovedado de este sótano." Instead of going nowhere from the Cámara Archivo, say "Exploras cada esquina del sótano, con la esperanza de encontrar una salida. Pero está muy bien asegurado contra las plagas, inhundaciones, ladrones y cosas por el estilo."

The agujero cuadrado en el techo abovedado is scenery thing in the Cámara Archivo. The description of the agujero cuadrado is "A través del agujero cuadrado en el techo, el sol de la tarde te tienta: esa etérela, sencilla perfección que sólo es apreciada por aquellos que la ven desde la celda en su prisión." Understand "trampilla" as the agujero cuadrado. The agujero cuadrado is aire.

The Prison Visit is a scene. The Prison Visit begins when the player is in the Cámara Archivo for the ninth turn. The Prison Visit ends when the player is not in the Cámara Archivo.

Table of Prison Visit Noises Off
noise message
"Justo cuando comienzas a pensar que el estar prisionero aquí abajo no es vida para un usuario de magia joven con tanto que ofrecer (o por ejemplo, tanto que recibir), crees que podrías haber oido un ligero sonido proveniente desde arriba."
"No, no debe de haber sido nada."
"Ese ligero segundo sonido también debe de haber sido nada."
"Quizás todas esas columnas se están reagrupando por si mismas."
"Comienzas a conjurar una imagen mental del salvador ideal, pisando suavemente por los escombros de ahí arriba, y apunto de caer sobre ti."
"Un salvador. Sin lugar a dudas. Veamos. Bonita sonrisa, bronceado saludable quizás, un punto de brillante excitación en sus ojos, veinte metros de cuerda y un garfio de escala enrollados sobre su hombro. Un poco de temor reverencial por los usuarios de magia, puestos a pedir. Sí, todo eso vendría primorosamente bien en estos momentos."
"Espera... parece que el ruido aumenta. Parecen pisadas que se acercan, de hecho."
"¿Es tu imaginación? ¿O eso ha sonado como una respiración?"
"Parándose a pensarlo, la idea de este encuentro inminente te hace estar algo nervioso. Juegas con tu pelo, miras tus uñas, inquieto."
"Dentro de un minuto, y será como esos poemas de aventura romántica. Viajareis por el bosque salvaje juntos."
"Eso es, estaréis juntos en el bosque a menos que no ocurra nada."
"Oh, ¿cuándo va a aparecer esa sonrisa divina por el agujero del techo?"
"Ah, esto es una metáfora de la vida misma."
"Tum te tum. Tum tum te-tum."

[NT: Lo siguiente no funciona... estaría sin testear así que añadiré un verbo básico para que sí funcione:]
Understand the command "grita" as something new.
Understand "grita" as screaming. Screaming is an action applying to nothing. Report screaming: say "No hay necesidad de armar tal alboroto."

[Lo siguiente es lo que no funcionaba muy allá.]

Screaming is making a rumpus. Answering is making a rumpus. Singing is making a rumpus. Asking someone for something is making a rumpus. Knocking on the agujero is making a rumpus. Instead of making a rumpus during the Prison Visit, say "No importa cuán alto llames, el sonido parece morir ante los fúnebres muros de esta cripta."

Every turn during the Prison Visit:
	repeat through the Table of Prison Visit Noises Off 
	begin;
		say "[noise message entry][paragraph break]";
		blank out the whole row;
		stop;
	end repeat.[* El bucle que se repite aquí puede ser un poco engañoso, ya que ese "stop" significa que siempre mirará en lo alto de la tabla - pero cuando miramos esa fila, la vaciamos, así que la siguiente fila estará en lo alto de la tabla. El efecto es que los mensajes de la tabla se muestran en una secuencia, uno cada turno, hasta que todos salen por pantalla, y luego no ocurra nada más.]

Effect of casting telaraña at the agujero cuadrado:
	if Prison Visit is happening, record outcome "pero aunque una plausible telaraña se mantiene en el agujero por un momento, obviamente no es tan espectacular como para llamar la atención de la persona misteriosa de ahí arriba";
	otherwise record outcome "pero aunque una plausible telaraña se mantiene en el agujero por un momento, no dura mucho, y de todas formas eso no significa que se descuelgue una hebra hasta tu nivel para poder escalar";
	rule succeeds.

Effect of casting misil mágico at the agujero cuadrado:
	if Prison Visit is happening
	begin;
		record outcome "y un espectacular misil de fuegos artificiales es lanzado al cielo del atardecer. Debe de haber llamado la atención de alguien, seguro. Y tu corazón se acelera cuando el extremo de una cuerda de unos quince metros llega hasta tus pies, y una vaga figura te lanza un grito amortiguado de bienvenida desde arriba, y subes al gancho de escalada para ser elevado arriba, arriba, por encima de los viejos ataúdes y por encima del borde de la trampilla hasta...

Oh, bueno, ¿no es [italic type]exactamente[roman type] como la vida misma? Saltas hacia atrás. Al igual que tu benefactor. La trampilla se cierra coléricamente, engullendo la cuerda como si fuese un espagueti";
		record event the rescued from the archive rule;
	otherwise;
		record outcome "y un espectacular misil de fuego es lanzado al cielo del atardecer. Debe de haber llamado la atención de alguien, ¿seguro? Pero, ¿en una ciudad abandonada desde hace siglos, quien va ha haber?";
	end if;
	rule succeeds.

Instead of listening during Prison Visit, say "El problema es que, cuanto más te concentras en escuchar, más y más escuchas los latidos de tu propio corazón y de tu respiración."

Glog el Troll is a troll de las cavernas.[* Glog, probablemente, tenía los mismos sentimientos románticos, y probablemente está igual de sorprendido que el jugador por el resultado. La vida es terriblemente cruel.]

This is the rescued from the archive rule:
	now the trampilla is closed;
	now the trampilla is locked;
	move Glog to the Patio de la Vieja Escuela;
	now Glog is surprised;
	move the player to the Patio de la Vieja Escuela.

Section N(c) - ¡Rescatando!

Mutatis Mutandis is a room. "Aquí en las demacradas verjas del mundo, encuentras lo que en su día debió de ser, hace cientos de años, el Santuario de otro usuario de magia. El hechizo debe de haber decaído tras la muerte su conjurador, o no podrías haber entrado en él. A través de los descoloridos y ennegrecidos muros, puedes ver vagamente el Vestidor Real, pero como si fuese tan irreal como una pesadilla." Before going outside from Mutatis Mutandis, say "Sientes una oleada de vitalidad."

A pergamino rojo penetrante is a scroll in Mutatis Mutandis. The inscribed spell of the pergamino rojo penetrante is huesos de hierro.

Instead of sleeping in Mutatis Mutandis for the first time:
	let the depletion be the strength of the player;
	let the depletion be the depletion divided by 2;
	if the depletion is not 0, decrease the strength of the player by the depletion;
	remove the esqueleto from play;
	award 150 points;
	say "Tu sueño es intranquilo. Es un extraño desfile de recuerdos de otra vida, hace mucho, mucho tiempo. Tú eres ella, graduándote como usuaria de magia, celebrándolo en el amplio claustro del Collegium repleto de ecos, comprando provisiones en el mercado, saliendo a la espesura con unos cuantos amigos, luchando contra las bestias del bosque... y mientras su historia se desarrolla, te sumerges más profundamente en su identidad mientras tu propia fuerza es drenada poco a poco. Para cuando su historia termina, quedándose sin fuerzas en mitad de la vieja calle, la mayor parte de tu fuerza ha pasado a ser parte de ella, pero hace cientos de años.

Te sientas derecho, tu pose repentinamente es un eco de su esqueleto. Estás despierto. Y aún así tienes un tenue recuerdo, tal vez una visión, de ella levantándose, alejándose, abandonando la ciudad; hace cientos y cientos de años. Todo esto no tiene ningún sentido, y sin embargo te sientes satisfecho."

The contornos oscurecidos de un antiguo santuario are fixed in place. "A través de las lentes de infravisión, puedes ver el contorno oscurecido de un antiguo conjuro de santuario." Instead of entering the contornos oscurecidos: move the player to Mutatis Mutandis. 

Every turn:
	if the player is wearing the gafas de infravisión
	begin;
		move the contornos oscurecidos to the Vestidor Real;
		change the outside exit of Mutatis Mutandis to the Vestidor Real;
	otherwise;
		remove the contornos oscurecidos from play;
	end if.

Chapter Especial - Hack para la Aceleración del Veneer (por Eliuk Blau)

Include (-
    [ InitAcceleration addr res;
        @gestalt 9 0 res;
        if (res == 0) { return; }

        addr = #classes_table;
        @accelparam 0 addr;
        @accelparam 1 INDIV_PROP_START;
        @accelparam 2 Class;
        @accelparam 3 Object;
        @accelparam 4 Routine;
        @accelparam 5 String;
        addr = #globals_array + WORDSIZE * #g$self;
        @accelparam 6 addr;
        @accelparam 7 NUM_ATTR_BYTES;
        addr = #cpv__start;
        @accelparam 8 addr;
        @accelfunc 1 Z__Region;
        @accelfunc 2 CP__Tab;
        @accelfunc 3 RA__Pr;
        @accelfunc 4 RL__Pr;
        @accelfunc 5 OC__Cl;
        @accelfunc 6 RV__Pr;
        @accelfunc 7 OP__Pr;
    ];
-)

To enable veneer acceleration:
    (- InitAcceleration(); -)

Before starting the virtual machine, enable veneer acceleration.

[ELIUK BLAU: Un capricho... =)]
After printing the banner text, say "Versión con Aceleración del Veneer Activada (Release 1.1)[line break]".


Chapter the Last - Not for release

Understand "/ [text]" as commenting on the transcript.[* Una notación para los testers. Personalmente prefiero que me manden las transcripciones de una partida en vez de reportes de bugs, y esto permite a los testers escribir indicaciones aleatorias como si fueran comandos, para que aparezcan en la transcripción.] Commenting on the transcript is an action out of world applying to a topic. Carry out commenting on the transcript: say "(Ok. Anotado.)"

Understand "sisa [spell]" as pilfering. Pilfering is an action applying to one spell. Carry out pilfering: now the player knows the spell understood; say "OK."

Understand "wiggle" as preparing to test. Preparing to test is an action applying to nothing. Carry out preparing to test: now the player knows misil mágico; now the player knows hacer santuario; now the player knows remendar; [move the pack to the player;] move the mochila to the player; now the mochila is untrapped; move the vieja pipa to the player; now the player carries Bliddforn; now the player carries the flecha; now the player knows telaraña; now the player knows silencio; now the player knows escudo aéreo; now the player knows dormir dragón; move player to Apoteósico Trono; increase score by 245.

Understand "woggle" as scanning for materials. Scanning for materials is an action applying to nothing. Carry out scanning for materials: repeat with the lump running through portable things begin; say "[The lump] - [material of the lump]."; end repeat.

Understand "articulunculo" as scanning for articles. Scanning for articles is an action applying to nothing. Carry out scanning for articles: repeat with the lump running through portable things begin; say "[The lump]."; end repeat. [* NT: Aprovechando la notación del anterior test "woggle", he construido un par de test que lo que hacen es simplemente mostrar el nombre corto de todos los objetos portables, y luego otro con el escenario. Lo bueno de este test es que permite revisar de una tacada todos los objetos del juego y comprobar que plurales y femeninos estén asignados correctamente. Es fácil olvidarse de añadir un female por aqui o por allá cuando se está traduciendo sobre un código ya estable, o fallar en poner el plural al olvidar usar "Some". Este test soluciona el asunto.]

Understand "escenariano" as scanning for scenery articles. Scanning for scenery articles is an action applying to nothing. Carry out scanning for scenery articles: repeat with the lump running through scenery things begin; say "[The lump]."; end repeat.


Understand "juega [any hazard]" as hazard-playing.[* Para testear los peligros Terremoto y Trampa del Laberinto, los cuales tomaron mucho tiempo para que funcionasen bien.]

